--region lua入口类
--Date
--此文件由[BabeLua]插件自动生成

require "common/class"
require "common/define"
require "common/gameTools"
require "framework/manager"

luaMain = 
{
    heartCd = 10,
    heartTimer = 0,
    lastRealtimeSinceStartup = 0,
    firstLogin = false,
}

--启动整个lua逻辑
function luaMain:start()
    dataConfigMgr.init()
    resMgr:init()
    uiMgr:init()
    audioMgr:init()
    levelMgr:init()
    gameDataManager.init()
    battleMgr:init()
    sdkMgr:initSDK()

    self.directionalLight = GameObject.Find("DirectionalLight")

    _gameTools.eventDot(159)
    if gameDataManager.getGameLv() == 1 then
        battleMgr:setCurrentLevel(gameDataManager.getGameLv())
        levelMgr:changeScene(_ESceneName.Battle)
    else
        levelMgr:changeScene(_ESceneName.MainCity)
    end
   
    _gameTools.eventDot(156)
    sdkMgr:login()
end

function luaMain:update()
    uiMgr:update()
    resMgr:update()
    audioMgr:update()
end

--连接服务器结果回调
function luaMain:onConnectServer(result)
    
end
function luaMain:onDisconnectServer(result)
    
end
function luaMain:onUserDisconnectServer(result)
    
end
function luaMain:OnReconnectServer(result)
    
end
function luaMain:OnConnectException(result)
    
end

--function luaMain:requestGlobalCfg()
----    Dictionary<string, string> headers = new Dictionary<string, string>();
----        string jsonData = "{\"code\":\"-1\",\"shareType\":\"0\",\"shareFromUuid\":\"0\",\"shareFromImage\":\"0\",\"sceneId\":1001}";
----        byte[] bs = System.Text.UTF8Encoding.UTF8.GetBytes(jsonData);
----        headers.Add("X-WRE-APP-ID", "wx4e0f107160341efc");
----        headers.Add("X-WRE-APP-NAME", "nationalCS");
----        headers.Add("X-WRE-VERSION", "1.0.1");
----        headers.Add("X-WRE-CHANNEL", "google");
----        headers.Add("Content-Type", "application/json");

----        WWW www = new WWW("https://www.loveballs.club/test/gameapi/v1/users/login", bs, headers);

----        yield return www;

----        Debug.LogError(www.text);
--    local headers = System.Collections.Generic.Dictionary_string_string.New()
--    headers:Add("X-WRE-APP-ID", "wx4e0f107160341efc")-- ["X-WRE-APP-ID"] = "wx4e0f107160341efc"
--    headers:Add("X-WRE-APP-NAME", "nationalCS")-- ["X-WRE-APP-NAME"] = "nationalCS"
--    headers:Add("X-WRE-VERSION", "1.0.1")-- ["X-WRE-VERSION"] = "1.0.1"
--    headers:Add("X-WRE-CHANNEL", "google")-- ["X-WRE-CHANNEL"] = "google"
--    headers:Add("Content-Type", "application/json")-- ["Content-Type"] = "application/json"
--    local str = "{\"code\":\"-1\",\"shareType\":\"0\",\"shareFromUuid\":\"0\",\"shareFromImage\":\"0\",\"sceneId\":1001}"

--    CGameUtil.DowloadGlobalCfg("https://www.loveballs.club/test/gameapi/v1/users/login", str, headers, function(ret)
--        local json = require "cjson"
--        local t = json.decode(ret)
--        _gameTools.luaError(_gameTools.tableToStr(t))
--        _gameTools.luaError("Edward: ".. ret)
--    end)
--end


--发送心跳消息
function luaMain:sendHeartMsg()
    
end

--接受心跳信息
function luaMain:getHeartMsg(data)
    
end

function luaMain:getAudioManager()
    return audioMgr
end

function luaMain:getResManager()
    return resMgr
end

function luaMain:getServerAddress()
    
end

--结束游戏
function luaMain:onApplicationQuit()
    
end


--endregion
