--region 成就相关接口

function gameDataManager.initAchievementData()
    gameDataManager.achievementData = {}
    local kindlist = {}
    for k, v in pairs(t_achievement) do
        local has = false
        for k1, v1 in pairs(kindlist) do
            if(v1 == v.kind) then
                has = true
                break
            end
        end
        if(not has)then
            table.insert(kindlist, v.kind)
        end
    end
    for k, v in pairs(kindlist) do
        gameDataManager.achievementData[v] = {}
    end
    for k, v in pairs(t_achievement) do
        table.insert(gameDataManager.achievementData[v.kind], v)
    end  
    for k,v in pairs(gameDataManager.achievementData) do
        table.sort(v, 
            function(a, b)
                return a.sid < b.sid
            end
            )
    end

    local t = {}
    for k, v in pairs(t_dayTaskChest) do
        table.insert(t, v)
    end
    t_dayTaskChest = t

    table.sort(t_dayTaskChest, 
        function(a, b)
            return a.sid < b.sid
        end
        )

    local t2 = {}
    for k, v in pairs(t_dayTask) do
        table.insert(t2, v)
    end
    t_dayTask = t2

    table.sort(t_dayTask, 
        function(a, b)
            return a.sid < b.sid
        end
        )
end

function gameDataManager.hasFinishAndNotCollected(kind, data)
    for k, v in pairs(gameDataManager.achievementData[kind]) do
        if((data.sid == v.sid) and (data.value >= int64.new(v.need)) and (not data.getAward)) then
            return true
        end
    end
    return false
end

function gameDataManager.hasFinishAndNotCollectedForAll()
    local b = false
    for k, v in pairs(gameDataManager.playerInfo.achievementData) do
        b = gameDataManager.hasFinishAndNotCollected(v.kind, v)
        if(b) then
            return true
        end
    end
    return false
end


--获取某类成就
function gameDataManager.getAchievementKind(kind)
    return gameDataManager.achievementData[kind]
end

--endregion
