--region 副本数据管理
--Date
--此文件由[BabeLua]插件自动生成

--region 副本接口

function gameDataManager.initFubenData()
    gameDataManager.fubenData = {}
    --gameDataManager.fubenData.yamenInfo = {}
end

--设置副本状态
function gameDataManager.setFubenData(data)
    gameDataManager.fubenData = data
end
function gameDataManager.getFubenData()
    return gameDataManager.fubenData
end

--获取副本战斗状态
function gameDataManager.setFubenFightData(data)
    local guestMap = {}
    for i = 1, #data.guests do
        guestMap[data.guests[i]] = data.guests[i]
    end
    data.guests = guestMap
    gameDataManager.fubenFightData = data
end
function gameDataManager.getFubenFightData(data)
    return gameDataManager.fubenFightData
end

--设置战报数据
function gameDataManager.setFubenReportData(data)
    gameDataManager.fubenFightData.record = data
end
--获取战报数据
function gameDataManager.getFubenReportData()
    return gameDataManager.fubenFightData.record
end

--变更对噶尔丹造成的伤害和排名
function gameDataManager.setFubenSelfDamageData(damage)
    gameDataManager.fubenFightData.damage = gameDataManager.fubenFightData.damage + damage
    local fightData = gameDataManager.getFubenFightData()
    local index = 101
    local isChanged = false
    for i = 1, #fightData.record do
        if gameDataManager.fubenFightData.damage > fightData.record[i].value then
            if gameDataManager.getPlayerNickName() ~= fightData.record[i].name then
                index = i
                isChanged = true
                break
            else
                fightData.record[i].value = gameDataManager.fubenFightData.damage
                break
            end
        end
    end
    if isChanged then
        for i = fightData.playerrank, index + 1, -1 do
            if fightData.record[i - 1] ~= nil then
                fightData.record[i] = fightData.record[i - 1]
                fightData.record[i].rank = i
            end
        end
        local t = p_warzone_record()
        t.rank = index
        t.name = gameDataManager.getPlayerNickName()
        t.title = gameDataManager.getPlayerHead()
        t.value = gameDataManager.fubenFightData.damage
        fightData.record[index] = t
        fightData.playerrank = index
    else
        if fightData.playerrank == 0 and #fightData.record < 100  then
            local t = p_warzone_record()
            t.rank = #fightData.record + 1
            t.name = gameDataManager.getPlayerNickName()
            t.title = gameDataManager.getPlayerHead()
            t.value = gameDataManager.fubenFightData.damage
            fightData.record[t.rank] = t
            fightData.playerrank = t.rank
        end
    end
end

--获取副本排行榜数据
function gameDataManager.setFubenRankData(data)
    gameDataManager.fubenRankData = data
end
function gameDataManager.getFubenRankData()
    return gameDataManager.fubenRankData
end

--添加已使用的门客
function gameDataManager.addFubenFightMenke(menkeId)
    gameDataManager.fubenFightData.guests[menkeId] = menkeId
end
--恢复门客状态
function gameDataManager.recoverFubenMenke(menkeId)
    gameDataManager.fubenFightData.guests[menkeId] = nil
end

--副本商店数据
function gameDataManager.setFubenShopData(data)
    gameDataManager.fubenShopData = data
end
function gameDataManager.getFubenShopData(data)
    return gameDataManager.fubenShopData
end


--endregion

--endregion
