--region 战斗场景
--Date
--此文件由[BabeLua]插件自动生成

require "common/class"

BattleScene = Class()

function BattleScene:ctor()
    self.sceneName = _ESceneName.Battle
end

function BattleScene:enterScene()
    --切换场景
    battleMgr:startBattle()
    if not luaMain.firstLogin then
        _gameTools.eventDot(160)
        luaMain.firstLogin = true
    end
end

function BattleScene:exitScene()
    battleMgr:clear()
    local unloadResList = battleMgr:getLevelUnloadRes()
    for i = 1, #unloadResList do
        resMgr:unloadAssetBundle(unloadResList[i])
    end

    --卸载场景资源
    uiMgr:clear()
end

function BattleScene:getPreLoadRes()
    local loadList = {}
    
--    local pLoadInfo = PreLoadInfo.new(_EPreLoadResType.Map, "gongchang")
--    pLoadInfo.callBack = function(obj)
--        local mapObj = GameObject.Instantiate(obj)
--        mapObj.transform.position = Vector3.New(0,0,0)
--    end

--    table.insert(loadList, pLoadInfo)
    if not uiMgr:isExistOpenList(_UI.FloatTips) then
        table.insert(loadList, PreLoadInfo.new(_EPreLoadResType.UI, _UI.FloatTips))
    end

    table.insert(loadList, PreLoadInfo.new(_EPreLoadResType.UI, _UI.Battle))

    local tempList = battleMgr:getLevelNeedRes(1)
    for i = 1, #tempList do
        table.insert(loadList, tempList[i])
    end
    return loadList
end

function BattleScene:handlePreLoad()
    local loadList = self:getPreLoadRes()
    if #loadList > 0 then
        uiMgr:openUI(_UI.Loading, false, {loadList,0})
    else
        self:enterScene()
    end
end

--endregion
