--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

require "common/class"

GameAnalyticsSDK = Class()

function GameAnalyticsSDK:ctor()
    self.isInited = false
end

function GameAnalyticsSDK:initSDK()
    CGameAnalyticsSDK.InitSDK()
    self.isInited = true
end
    
function GameAnalyticsSDK:statisticsDot(opts)
    if not opts then
        return
    end

    if not self.isInited then
        return
    end

    if opts.type == _DotType.CustomEvent then
        self:customEvent(opts)
    elseif opts.type == _DotType.ResourceEvent then
        self:resourceEvent(opts)
    elseif opts.type == _DotType.ErrorEvent then
        self:errorEvent(opts)
    elseif opts.type == _DotType.StageStart then
        self:stageStartEvent(opts)
    elseif opts.type == _DotType.StageEnd then
        self:stageEndEvent(opts)
    end
end

function GameAnalyticsSDK:customEvent(opts)
    CGameAnalyticsSDK.NewDesignEvent(opts.args.content)
end

function GameAnalyticsSDK:resourceEvent(opts)
    CGameAnalyticsSDK.NewResourceEvent(opts.flowType, opts.currency, opts.amount, opts.itemType, opts.itemId)
end

function GameAnalyticsSDK:errorEvent(opts)
    CGameAnalyticsSDK.NewErrorEvent(4, opts.msg)
end

function GameAnalyticsSDK:stageStartEvent(opts)
    CGameAnalyticsSDK.NewProgressionEvent(1, opts.args.levelId)
end

function GameAnalyticsSDK:stageEndEvent(opts)
    if opts.args.result then
        CGameAnalyticsSDK.NewProgressionEvent(2, opts.args.levelId)
    else
        CGameAnalyticsSDK.NewProgressionEvent(3, opts.args.levelId)
    end
end


--endregion
