--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

require "common/class"

JunhaiAnalyticsSDK = Class()

function JunhaiAnalyticsSDK:ctor()
    self.isInited = false
end

function JunhaiAnalyticsSDK:initSDK()
    self.isInited = true
    self:activeEvent()
end
    
function JunhaiAnalyticsSDK:statisticsDot(opts)
    if not opts then
        return
    end

    if not self.isInited then
        return
    end

--    if opts.type == _DotType.CustomEvent then
--        self:customEvent(opts)
--    elseif opts.type == _DotType.ResourceEvent then
--        self:resourceEvent(opts)
--    elseif opts.type == _DotType.ErrorEvent then
--        self:errorEvent(opts)
--    elseif opts.type == _DotType.StageStart then
--        self:stageStartEvent(opts)
--    elseif opts.type == _DotType.StageEnd then
--        self:stageEndEvent(opts)
--    end
end

function JunhaiAnalyticsSDK:activeEvent()
    local headers = System.Collections.Generic.Dictionary_string_string.New()
    headers:Add("Content-Type", "application/json")-- ["Content-Type"] = "application/json"
    local json = require "cjson"
    local data = {}
    data.event = "active"
    data.data_ver = "1.8"
    data.server_ts = tostring(os.time())
    data.client_ip = CGameUtil.GetClientIP()
    data.is_test = "regular"
    data.game = { game_id = "231", game_ver = "1.0.0.1"}
    data.agent = { game_channel_id = "112725" }
    data.device = 
    {
        device_name = SystemInfo.deviceName,
        os_type = CGameUtil.GetPlatform() == 2 and "ios" or "android",
        net_type = CGameUtil.IsWifi and "wifi" or "4G",
        os_ver = SystemInfo.operatingSystem,
        ios_idfa = "",
        android_imei = SystemInfo.deviceUniqueIdentifier,
        package_name = "com.dreamstar.operation",
        screen_width = Screen.width,
        screen_height = Screen.height,
        user_agent = ""
    }
    
    local jsonData = json.encode(data)
    
    CGameUtil.JunhaiEvent("http://overseas-cp-data.itrigirls.com/", jsonData, headers)
end

function JunhaiAnalyticsSDK:loginEvent()
    local headers = System.Collections.Generic.Dictionary_string_string.New()
    headers:Add("Content-Type", "application/json")-- ["Content-Type"] = "application/json"
    local json = require "cjson"
    local data = {}
    data.event = "login"
    data.data_ver = "1.8"
    data.server_ts = tostring(os.time())
    data.client_ip = CGameUtil.GetClientIP()
    data.is_test = "regular"
    data.game = { game_id = "231", game_ver = "1.0.0.1"}
    data.agent = { game_channel_id = "112725" }
    data.device = 
    {
        device_name = SystemInfo.deviceName,
        os_type = CGameUtil.GetPlatform() == 2 and "ios" or "android",
        net_type = CGameUtil.IsWifi and "wifi" or "4G",
        os_ver = SystemInfo.operatingSystem,
        ios_idfa = "",
        android_imei = SystemInfo.deviceUniqueIdentifier,
        package_name = "com.dreamstar.operation",
        screen_width = Screen.width,
        screen_height = Screen.height,
        user_agent = ""
    }
    data.user = 
    { 
        user_id = sdkMgr.uuid
    }
    data.role = 
    {
        role_id = sdkMgr.uuid,
        role_name = "",
        role_level = 1,
        role_type = "",
        role_vip_lv = 1,
        role_sex = "男",
        server_id = "0",
        server_name = ""
    }
    local jsonData = json.encode(data)
    
    CGameUtil.JunhaiEvent("http://overseas-cp-data.itrigirls.com/", jsonData, headers)
--    _gameTools.luaError("loginEvent : " .. jsonData)
end

--function JunhaiAnalyticsSDK:resourceEvent(opts)
--    CGameAnalyticsSDK.NewResourceEvent(opts.flowType, opts.currency, opts.amount, opts.itemType, opts.itemId)
--end

--function JunhaiAnalyticsSDK:errorEvent(opts)
--    CGameAnalyticsSDK.NewErrorEvent(4, opts.msg)
--end

--function JunhaiAnalyticsSDK:stageStartEvent(opts)
--    CGameAnalyticsSDK.NewProgressionEvent(1, opts.args.levelId)
--end

--function JunhaiAnalyticsSDK:stageEndEvent(opts)
--    if opts.args.result then
--        CGameAnalyticsSDK.NewProgressionEvent(2, opts.args.levelId)
--    else
--        CGameAnalyticsSDK.NewProgressionEvent(3, opts.args.levelId)
--    end
--end


--endregion
