--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

require "common/class"

UMengSDK = Class()

function UMengSDK:ctor()
    self.isInited = false
end

function UMengSDK:initSDK()
--    CUMengSDK.InitSDK()
    self.isInited = true
end
    
function UMengSDK:statisticsDot(opts)
    if not opts then
        return
    end

    if not self.isInited then
        return
    end

    if opts.type == _DotType.CustomEvent then
        self:customEvent(opts)
    elseif opts.type == _DotType.ResourceEvent then
        self:customEvent(opts)
    elseif opts.type == _DotType.StageStart then
        self:stageStartEvent(opts)
    elseif opts.type == _DotType.StageEnd then
        self:stageEndEvent(opts)
    elseif opts.type == _DotType.WatchVideo then
        self:watchVideoEvent(opts)
    elseif opts.type == _DotType.WatchVideoSuccess then
        self:watchVideoSuccessEvent(opts)
    elseif opts.type == _DotType.WatchVideoFail then
        self:watchVideoFailEvent(opts)
    end
end

function UMengSDK:customEvent(opts)
    CUMengSDK.CustomEvent("dot_"..opts.args.id)
end

function UMengSDK:watchVideoEvent(opts)
    CUMengSDK.CustomEvent("dot_"..(opts.args + 200))
end

function UMengSDK:watchVideoSuccessEvent(opts)
    CUMengSDK.CustomEvent("dot_"..(opts.args + 400))
end

function UMengSDK:watchVideoFailEvent(opts)
    CUMengSDK.CustomEvent("dot_"..(opts.args + 300))
end

function UMengSDK:stageStartEvent(opts)
    CUMengSDK.StartLevel(opts.args.levelId)
end

function UMengSDK:stageEndEvent(opts)
    if opts.args.result then
        CUMengSDK.FinishLevel(opts.args.levelId)
    else
        CUMengSDK.FailLevel(opts.args.levelId)
    end
end


--endregion
