--region 加载界面
--Date
--此文件由[BabeLua]插件自动生成
require "ui/uiBase"

UIGoldBox = Class(UIBase)

function UIGoldBox:start()
    self:addClickByPath("content/closeBtn", self.onCloseBtn) 
    self:addClickByPath("content/videoBtn", self.onVideoBtn) 

    self.gunIcon = self:getCom("content/gunIcon",_UICom.Image)
    self.gunLv = self:getCom("content/gunIcon/num",_UICom.Text)
    self.goldNum = self:getCom("content/gold/num",_UICom.Text)
    self.diamondNum = self:getCom("content/diamond/num",_UICom.Text)
    self.goldBoxTitle = self:getCom("content/title/text", _UICom.Text)
    self.videoText = self:getCom("content/videoBtn/text", _UICom.Text)
    self.gunBg = self:getObj("content/gunBg")
    self.content = self:getObj("content")
    self.goldBg = self:getObj("content/goldBg")
    self.diamondBg = self:getObj("content/diamondBg")

    self.awardGoldNum = 0
    self.awardGunLv = 1
    self.blockTime = 0
    self:bindGoldBoxPanel()
    _gameTools.popupShowAnim(self.content)
    self.updateHandler = _gameTools.addUpdate(self.onUpdate, self)
end

function UIGoldBox:onCloseBtn()
    uiMgr:getUI(_UI.Main):gunBoxInit()
    self:closeSelf()
end

--绑定黄金宝箱奖励界面
function UIGoldBox:bindGoldBoxPanel()
    self.goldBoxTitle.text = dataConfigMgr.getLanguage(1081)
    self.videoText.text = dataConfigMgr.getLanguage(1082)
    self.awardGunLv = gameDataManager.getMaxGunLv() - 4 >= 1 and gameDataManager.getMaxGunLv() - 4 or 1
    self.gunIcon.sprite = self:loadObject("atlas_gunIcon", dataConfigMgr.getFirearms(self.awardGunLv).icon)
    self.gunLv.text = self.awardGunLv
    self.diamondNum.text = 10
    self.awardGoldNum = math.floor(gameDataManager.calExpendGoldNum(gameDataManager.getCurGunLv()) * ( math.random() * 0.4  + 0.5))
    self.goldNum.text = _gameTools.convertNumberToLabelString(self.awardGoldNum)
end

--视频领取按钮
function UIGoldBox:onVideoBtn()
    local opts = {}
    opts.unitId = 6
    opts.objectTable = self
    opts.callBack = self.onVideoCallBack
    sdkMgr:showAd(opts)
end

function UIGoldBox:onVideoCallBack(result)
    if result then
        self:closeSelf()
        uiMgr:getUI(_UI.Main):gunBoxInit()
        gameDataManager.addDiamond(10)
        gameDataManager.addGold(self.awardGoldNum)
        uiMgr:getUI(_UI.Main):addFirearmsToBag(self.awardGunLv, false)
    end
end

--黄金宝箱方块飞动画
function UIGoldBox:blockFly()
    self.blockTime = self.blockTime + Time.deltaTime
    if self.blockTime > 0.08 then
        self.blockTime = 0
        uiMgr:getUI(_UI.FloatTips):goldBoxBlockAnim(self.gunBg.transform)
        uiMgr:getUI(_UI.FloatTips):goldBoxBlockAnim(self.goldBg.transform)
        uiMgr:getUI(_UI.FloatTips):goldBoxBlockAnim(self.diamondBg.transform)
    end
end

function UIGoldBox:onUpdate()
    self:blockFly()
end

function UIGoldBox:onClear()
    _gameTools.removeUpdate(self.updateHandler)
end

return UIGoldBox

--endregion