--region 加载界面
--Date
--此文件由[BabeLua]插件自动生成
require "ui/uiBase"

UIOffline = Class(UIBase)

function UIOffline:start(args)
	self:addClickByPath("content/closeBtn", self.onCloseBtn) 
	self:addClickByPath("content/getBtn", self.onGetBtn) 
	self:addClickByPath("content/videoBtn", self.onVideoBtn) 
    self.offlineMaxTime = self:getCom("content/timeTips",_UICom.Text)
    self.offlineGoldText = self:getCom("content/goldNum",_UICom.Text)
    self.getBtnText = self:getCom("content/getBtn/text",_UICom.Text)
    self.videoBtnText = self:getCom("content/videoBtn/text",_UICom.Text)
    self.content = self:getObj("content")
    self.flyPos = self:getObj("content/fly")
    self.offlineGold = gameDataManager.calOfflineGold(args[1])
    self:bindOfflinePanel()
    self.isCanClick = true
    _gameTools.popupShowAnim(self.content.gameObject)
end

--关闭离线收益界面
function UIOffline:onCloseBtn()
    if not self.isCanClick then
        return
    end
    gameDataManager.addGold(self.offlineGold)
    gameDataManager.setOfflineTime()
    self:goldFlyAnim()
end

--绑定离线界面的信息
function UIOffline:bindOfflinePanel()
    self.offlineMaxTime.text =  string.format(dataConfigMgr.getLanguage(1025),_globalCfg.offlineMaxTime)
    self.offlineGoldText.text = _gameTools.convertNumberToLabelString(self.offlineGold)
    self.getBtnText.text = dataConfigMgr.getLanguage(1024)
    self.videoBtnText = dataConfigMgr.getLanguage(1022)
end

--普通领取按钮
function UIOffline:onGetBtn()
    if not self.isCanClick then
        return
    end
    gameDataManager.addGold(self.offlineGold)    
    self:goldFlyAnim()
    gameDataManager.setOfflineTime()
    uiMgr:getUI(_UI.FloatTips):shwoGetAwardTipsAnim(dataConfigMgr.getLanguage(1057))
end

--视频领取按钮
function UIOffline:onVideoBtn()
    if not self.isCanClick then
        return
    end
    local opts = {}
    opts.unitId = 8
    opts.objectTable = self
    opts.callBack = self.onVideoCallBack
    sdkMgr:showAd(opts)
end
function UIOffline:onVideoCallBack(result)
    if result then
        gameDataManager.addGold(self.offlineGold * 2)                
        self:goldFlyAnim()
        uiMgr:getUI(_UI.FloatTips):shwoGetAwardTipsAnim(dataConfigMgr.getLanguage(1058))
        gameDataManager.setOfflineTime()
    end
end

--播放金币飞行动画
function UIOffline:goldFlyAnim()
    self.isCanClick = false
    for i = 1,15 do
        local x,y = ( math.random() - 0.5) * 300, ( math.random() - 0.5) * 300
        uiMgr:getUI(_UI.FloatTips):showGoldFly(Vector3(x,y,0), Vector3(0,0,0), uiMgr:getUI(_UI.Main).goldIcon, self.flyPos.transform)
    end
    _DoTweenHelper:Move(self.flyPos, Vector3.New(0,0,0), Ease.Linear, 1.2, function()
        self:closeSelf()
    end)
end

return UIOffline
--endregion