--region 加载界面
--Date
--此文件由[BabeLua]插件自动生成
require "ui/uiBase"

UISign = Class(UIBase)

function UISign:start()
	self:addClickByPath("content/closeBtn", self.onCloseBtn) 
	self:addClickByPath("content/getBtn", self.onGetBtn) 
	self:addClickByPath("content/videoBtn", self.onVideoBtn) 

    self.dayAwardObj = self:getObj("content/dayAward")
    self.signTextObj = self:getObj("content/signText")
    self.getBtnObj = self:getObj("content/getBtn")
    self.videoBtnObj = self:getObj("content/videoBtn")
    self.content = self:getObj("content")
    self.getBtnText = self:getCom("content/getBtn/text",_UICom.Text)
    self.signText = self:getCom("content/signText",_UICom.Text)
    self.videoBtnText = self:getCom("content/videoBtn/text",_UICom.Text)
    self.signDayNum = gameDataManager.getSignDay()
    _gameTools.popupShowAnim(self.content)
    self:bindSignPanel()
    self.getBtnText.text = dataConfigMgr.getLanguage(1041)
    self.signText.text = dataConfigMgr.getLanguage(1042)
    self.videoBtnText.text = dataConfigMgr.getLanguage(1043)
end

--关闭签到界面
function UISign:onCloseBtn()
    self:closeSelf()
    uiMgr:getUI(_UI.Main):refreshSignRedPoint()
end

--绑定签到界面
function UISign:bindSignPanel()
    local isSignToday = gameDataManager.isSignToday()  
    for i = 1,7 do
        local childNode = self.dayAwardObj.transform:GetChild(i - 1).gameObject
        local bg = self:getCom("bg",_UICom.Image,childNode)
        local num = self:getCom("num",_UICom.Text,childNode)
        local tag = self:getObj("gou",childNode)
        local dayNum = self:getCom("dayNum",_UICom.Text,childNode)

        num.text = _globalCfg.daySignDiamond[i]
        dayNum.text = string.format(dataConfigMgr.getLanguage(1040),i) 
        if self.signDayNum > i then          
            tag:SetActive(true)
            if i == 7 then            
                bg.sprite = self:loadObject("atlas_uiqiandao", "bg3")
            else
                bg.sprite = self:loadObject("atlas_uiqiandao", "bg1") 
            end
        elseif self.signDayNum == i and not isSignToday then
            tag:SetActive(false)
            if i == 7 then            
                bg.sprite = self:loadObject("atlas_uiqiandao", "bg4")
            else
                bg.sprite = self:loadObject("atlas_uiqiandao", "bg2") 
            end
        else
            tag:SetActive(false)
            if i == 7 then            
                bg.sprite = self:loadObject("atlas_uiqiandao", "bg3")
            else
                bg.sprite = self:loadObject("atlas_uiqiandao", "bg1") 
            end
        end
        self.signTextObj:SetActive(isSignToday)
        self.getBtnObj:SetActive(not isSignToday)
        self.videoBtnObj:SetActive(not isSignToday)
    end    
end

--普通领取
function UISign:onGetBtn()
    gameDataManager.addDiamond(_globalCfg.daySignDiamond[self.signDayNum])
    gameDataManager.addSignDay()
    gameDataManager.setSignTime()
    self:closeSelf()
    uiMgr:getUI(_UI.Main):refreshSignRedPoint()
    uiMgr:getUI(_UI.Main):playFlyAnim(2)
    uiMgr:getUI(_UI.FloatTips):shwoGetAwardTipsAnim(dataConfigMgr.getLanguage(1052))
end

--视频领取
function UISign:onVideoBtn()
    local opts = {}
    opts.unitId = 7
    opts.objectTable = self
    opts.callBack = self.onVideoCallBack
    sdkMgr:showAd(opts)
end
function UISign:onVideoCallBack(result)
    if result then
        gameDataManager.addSignDay()
        gameDataManager.setSignTime()
        gameDataManager.addDiamond(_globalCfg.daySignDiamond[self.signDayNum] * 2)
        self:closeSelf()
        uiMgr:getUI(_UI.Main):playFlyAnim(2)
        uiMgr:getUI(_UI.Main):refreshSignRedPoint()
        uiMgr:getUI(_UI.FloatTips):shwoGetAwardTipsAnim(dataConfigMgr.getLanguage(1053))
    end
end

return UISign
--endregion