--region *.lua
--Date
--此文件由[BabeLua]插件自动生成
require "common/class"

BulletFire = Class()

function BulletFire:ctor(unitObj)
    self.unitObj = unitObj
end

function BulletFire:init(pos, forward)
    self.unitObj:SetActive(true)
    self.trans = self.unitObj.transform
    self.trans.position = pos
    self.trans.forward = forward
    self.speed = 70
    self.state = 1
    self.timer = 0
    self.updateHandler = _gameTools.addUpdate(self.onUpdate, self)
end

function BulletFire:onUpdate()
    if self.state == 1 then
        self.timer = self.timer + Time.deltaTime
        self.trans.position = self.trans.position + self.trans.forward * self.speed * Time.deltaTime
        if self.timer > 2 then
            self:destroy()
        end
    end
end

function BulletFire:destroy()
    self.unitObj:SetActive(false)
    self.state = 0
    _gameTools.removeUpdate(self.updateHandler)
    battleMgr:recoveryBulletFire(self)
end

--endregion
