--region *.lua
--Date
--此文件由[BabeLua]插件自动生成
require "common/class"

Eggshell = Class()

function Eggshell:ctor(unitObj)
    self.unitObj = unitObj
end

function Eggshell:init(pos, fDir)
    self.unitObj:SetActive(true)
    self.unitObj.transform.position = pos
    self.fx = fDir.x
    self.fy = fDir.y + math.random()
    self.fz = fDir.z
    self.unitObj.transform.localEulerAngles = Vector3(math.random(0,360),math.random(0,360),math.random(0,360))
    self.angles = Vector3(math.random(0,360),math.random(0,360),math.random(0,360))
    self.timer = 3
    self.updateHandler = _gameTools.addUpdate(self.onUpdate, self)
end

function Eggshell:onUpdate()
    self.unitObj.transform.position = self.unitObj.transform.position + Vector3(self.fx, self.fy, self.fz) * Time.deltaTime * 2
    self.unitObj.transform.localEulerAngles = Vector3.MoveTowards(self.unitObj.transform.localEulerAngles, self.angles, 100 * Time.deltaTime)
    self.fy = self.fy - 20 * Time.deltaTime

    self.timer = self.timer - Time.deltaTime
    if self.timer <= 0 then
        self:destroy()
    end
end

function Eggshell:destroy()
    audioMgr:playSound("eggShell")
    self.unitObj:SetActive(false)
    _gameTools.removeUpdate(self.updateHandler)
    battleMgr:recoveryEggshell(self)
end

--endregion
