--region 全局定义
--Date 
--此文件由[BabeLua]插件自动生成

------------- Unity中的类,为了简便,去掉了前面的UnityEngine ------------
GameObject = UnityEngine.GameObject
WWW = UnityEngine.WWW
Debug = UnityEngine.Debug
BoxCollider = UnityEngine.BoxCollider
AssetBundle = UnityEngine.AssetBundle
Application = UnityEngine.Application
Resources = UnityEngine.Resources
AudioSource = UnityEngine.AudioSource
LoopType = DG.Tweening.LoopType
RectTransform = UnityEngine.RectTransform
_DoTweenHelper = DoTweenHelper.New()
Ease = DG.Tweening.Ease
PlayerPrefs = UnityEngine.PlayerPrefs
Input = UnityEngine.Input
KeyCode = UnityEngine.KeyCode
Screen = UnityEngine.Screen
Physics = UnityEngine.Physics
RenderTexture = UnityEngine.RenderTexture
SystemInfo = UnityEngine.SystemInfo
-----------------------------------------------------------------------

gameDef = {}

gameDef.LogEnable = true         --日志开关
gameDef.MsgLogEnable = false      --网络消息日志开关
gameDef.IsPlayItemGetEffect = true --是否播放item获取效果
gameDef.GuideEnable = true          --是否开启新手引导
gameDef.ReconectMaxCount = 10       --重连最大次数
gameDef.ResolutionScalerX = 640 / Screen.width
gameDef.ResolutionScalerY = 1280 / Screen.height

------------相关资源路径--------------
gameDef.ManifestPath = CGameUtil.AbOriginPath .. "StreamingAssets"
gameDef.ResRootPath =  CGameUtil.AbOriginPath
gameDef.ResUIPath = ""--"ui/"
gameDef.ResImagePath = "image/"
gameDef.ResAtlasPath = "atlas/"
gameDef.ResUIPrefix = "ui_"
gameDef.ResSoundPrefix = "sound_"
gameDef.ResMusicPrefix = "music_"
gameDef.ResImagePrefix = "pic_"
gameDef.ResAnimaPrefix = "anima_"


--------------本地数据存储键值--------------



--------------枚举定义相关----------------


--预加载资源类型
_EPreLoadResType = 
{
    UI = 1,
    Message = 2,
    Map = 3,
    Unit = 4,
    TextData = 5,
    Effect = 6,
}

---------事件类型Id-------
_EventType = 
{
    EnterGame = 1,                  --游戏启动
    ExitGame = 2,                   --退出游戏
    PreLoadCallBack = 3,            --预加载回调
    ProductMoney = 4,               --产钱通知
    RefreshMoney = 5,               --刷新金币
    RefreshGunPrice = 6,            --刷新购买枪械价格
    RefreshProductPerSec = 7,       --刷新每秒产出
    RefreshGunModel = 8,            --刷新枪械模型
    GunMerge = 9,                   --枪械合成
    CacheGuide = 10,                --缓存引导
    CheckCacheGuide = 11,           --检测缓存引导
    addFreeGun = 12,                --检测添加免费枪支
    RefreshVigorAndGameLv = 13,     --刷新玩家的体力和关卡
    RefreshTargetTask = 14,         --刷新玩家的目标任务
    HideMergeTipsAnim = 15,         --隐藏合成提示
}

_DotType = 
{
    CustomEvent = 1,
    StageStart = 2,
    StageOn = 3,
    StageEnd = 4,
    ResourceEvent = 5,
    ErrorEvent = 6,
    AppsFlyerCustomEvent = 7,
    WatchVideo = 8,
    VideoClick = 9,
    WatchVideoSuccess = 10,
    WatchVideoFail = 11,
}

------------------------------------------
--endregion
