--region 活动数据
--Date
--此文件由[BabeLua]插件自动生成

function gameDataManager.initActivityData()
    gameDataManager.activityData = {}
    gameDataManager.activityData.chengfalist = {}
    gameDataManager.activityData.ranklist = {}
    gameDataManager.activityData.awardlist = {}
    gameDataManager.activityData.recruitlist = {}
end

--设置活动数据
function gameDataManager.setActivityData(data)
    gameDataManager.activityData = data
end
function gameDataManager.getActivityData()
    return gameDataManager.activityData
end

--活动的update
function gameDataManager.onActivityUpdate()
--    local chengFaList = gameDataManager.getChengFaActivityList()
--    for i = 1, #chengFaList do
--        chengFaList[i].countdown = tonumber(tostring(chengFaList[i].countdown)) - Time.deltaTime
--    end

    local xianshiList = gameDataManager.activityData.awardlist
    for i = 1, #xianshiList do
        xianshiList[i].countdown = tonumber(tostring(xianshiList[i].countdown)) - Time.deltaTime
    end

    local zhaomuList = gameDataManager.getZhaoMuActivityList()
    for i = 1, #zhaomuList do
        zhaomuList[i].countdown = tonumber(tostring(zhaomuList[i].countdown)) - Time.deltaTime
    end

    local chongBangList = gameDataManager.getChongBangActivityList()
    for i = 1, #chongBangList do
        chongBangList[i].countdown = tonumber(tostring(chongBangList[i].countdown)) - Time.deltaTime
    end
end

--获取所有活动图标入口数据
function gameDataManager.getAllActivityIconData()
    local iconDataList = {}
    local chengFaList = gameDataManager.getChengFaActivityList()
    for i = 1, #chengFaList do
        if chengFaList[i].curState >= 1 and chengFaList[i].curState <= 2 then
            local iconData = {}
            iconData.activityId = chengFaList[i].sid
            iconData.isRedTip = chengFaList[i].cangetrankaward
            table.insert(iconDataList, iconData)
        end
    end

    local firstRechargeGiftState = true--gameDataManager.getPlayerStatesByKey(19000 + 105)
    if firstRechargeGiftState then
        for i = 109, 117 do
            local vipGiftState = gameDataManager.getPlayerStatesByKey(19000 + i)
            if vipGiftState ~= 1 then
                local iconData = {}
                iconData.activityId = 501
                iconData.isRedTip = gameDataManager.getPlayerVipLv() >= t_fuli[i].vipLevel
                iconData.otherArgs = i
                table.insert(iconDataList, iconData)
                break
            end
        end
    else
        local iconData = {}
        iconData.activityId = 601
        iconData.isRedTip = gameDataManager.getPlayerVipExp() > 0
        table.insert(iconDataList, iconData)
    end
    

    local xianshiList = gameDataManager.activityData.awardlist
    if(xianshiList ~= nil) then
        if(#xianshiList > 0) then
            local xianshiShouRed = false
            local activityId = -1
            for i = 1, #xianshiList do
                if xianshiList[i].curState >= 1 and xianshiList[i].curState <= 2 then
                    activityId = xianshiList[i].sid
                    xianshiShouRed = xianshiShouRed or xianshiList[i].cangetrankaward
                end
            end
            if activityId ~= -1 then
                local iconData = {}
                iconData.activityId = activityId
                iconData.isRedTip = xianshiShouRed
                table.insert(iconDataList, iconData)
            end
        end
    end
    local zhaomuList = gameDataManager.getZhaoMuActivityList()
    for i = 1, #zhaomuList do
        if zhaomuList[i].curState >= 1 and zhaomuList[i].curState <= 2 then
            local iconData = {}
            iconData.activityId = zhaomuList[i].sid
            iconData.isRedTip = zhaomuList[i].cangetrankaward
            table.insert(iconDataList, iconData)
        end
    end
    local chongBangList = gameDataManager.getChongBangActivityList()
    local isChongbangInsert = false
    local chongbangIconData = {}
    for i = 1, #chongBangList do
        if chongBangList[i].curState >= 1 and chongBangList[i].curState <= 2 then
            isChongbangInsert = true
            chongbangIconData.activityId = chongBangList[i].sid
            chongbangIconData.isRedTip = chongbangIconData.isRedTip or chongBangList[i].cangetrankaward
        end
    end
    if isChongbangInsert then
        table.insert(iconDataList, chongbangIconData)
    end

    return iconDataList
end

--region 惩罚活动

--获取惩罚活动列表
function gameDataManager.getChengFaActivityList()
    return gameDataManager.activityData.chengfalist
end

--获取指定惩罚活动
function gameDataManager.getChengFaActivityById(sid)
    local list = gameDataManager.getChengFaActivityList()
    for i = 1, #list do
        if list[i].sid == sid then
            return list[i]
        end
    end
    return nil
end

--具体惩罚活动的数据
function gameDataManager.setChengFaActivityData(data)
    gameDataManager.activityData.chengfaActivityData = data
end
function gameDataManager.getChengFaActivityData()
    return gameDataManager.activityData.chengfaActivityData
end

--惩罚活动道具商店
function gameDataManager.setChengFaItemShopData(data)
    gameDataManager.activityData.chengfaItemShopData = data
end
function gameDataManager.getChengFaItemShopData()
    return gameDataManager.activityData.chengfaItemShopData
end

--惩罚活动积分商店数据
function gameDataManager.setChengFaActivityShopData(data)
    gameDataManager.activityData.chengfaShopData = data
end
function gameDataManager.getChengFaActivityShopData()
    return gameDataManager.activityData.chengfaShopData
end

--变更惩罚活动造成积分变化和排名
function gameDataManager.setChengFaSelfScoreData(score)
    local rankData = gameDataManager.getChengFaActivityData()
    rankData.score = rankData.score + score
    local index = 101
    local isChanged = false
    for i = 1, #rankData.plist do
        if rankData.score > rankData.plist[i].score then
            if gameDataManager.getPlayerNickName() ~= rankData.plist[i].name then
                index = i
                isChanged = true
                break
            else
                rankData.plist[i].score = rankData.score
                break
            end
        end
    end
    if isChanged then
        for i = rankData.rank, index + 1, -1 do
            if rankData.plist[i - 1] ~= nil then
                rankData.plist[i] = rankData.plist[i - 1]
                rankData.plist[i].rank = i
            end
        end
        local t = p_activity_rank()
        t.rank = index
        t.name = gameDataManager.getPlayerNickName()
        t.title = gameDataManager.getPlayerTitle()
        t.score = rankData.score
        rankData.plist[index] = t
        rankData.rank = index
    else
        if rankData.rank == -1 and #rankData.plist < 100  then
            local t = p_activity_rank()
            t.rank = #rankData.plist + 1
            t.name = gameDataManager.getPlayerNickName()
            t.title = gameDataManager.getPlayerTitle()
            t.score = rankData.score
            rankData.plist[t.rank] = t
            rankData.rank = t.rank
        end
    end
end

--排行榜奖励数据
function gameDataManager.setChengFaRankAwardData(data)
    gameDataManager.activityData.chengfaRankAwardData = data
end
function gameDataManager.getChengFaRankAwardData()
    return gameDataManager.activityData.chengfaRankAwardData
end

--排行榜列表
function gameDataManager.setChengFaRankListData(data)
    gameDataManager.activityData.chengfaRankListData = data
end
function gameDataManager.getChengFaRankListData()
    return gameDataManager.activityData.chengfaRankListData
end

--endregion

--region 冲榜活动

--获取冲榜活动列表
function gameDataManager.getChongBangActivityList()
    return gameDataManager.activityData.ranklist
end

--获取指定冲榜活动
function gameDataManager.getChongBangActivityById(sid)
    local list = gameDataManager.getChongBangActivityList()
    for i = 1, #list do
        if list[i].sid == sid then
            return list[i]
        end
    end
    return nil
end

--冲榜活动排行奖励
function gameDataManager.setChongBangActivityRankAwardData(data)
    gameDataManager.activityData.chongBangRankAward = data
end
function gameDataManager.getChongBangActivityRankAwardData()
    return gameDataManager.activityData.chongBangRankAward
end

--endregion

--region 招募活动

function gameDataManager.getZhaoMuActivityList()
    return gameDataManager.activityData.recruitlist
end

--获取指定惩罚活动
function gameDataManager.getZhaoMuActivityById(sid)
    local list = gameDataManager.getZhaoMuActivityList()
    for i = 1, #list do
        if list[i].sid == sid then
            return list[i]
        end
    end
    return nil
end

--具体某个招募活动的数据
function gameDataManager.setZhaoMuAwardData(data)
    gameDataManager.activityData.zhaomuAwardData = data
end
function gameDataManager.getZhaoMuAwardData()
    return gameDataManager.activityData.zhaomuAwardData
end

--endregion

--endregion
