--region 邮件数据
--Date
--此文件由[BabeLua]插件自动生成

function gameDataManager.initMailListData()
    gameDataManager.mailListData = {}
    gameDataManager.mailRed = false
end

--设置邮件列表
function gameDataManager.setMailListData(mailList)
    gameDataManager.mailListData = mailList
end

--获取邮件列表数据
function gameDataManager.getMailLlistData()
    return gameDataManager.mailListData
end

--删除邮件列表
function gameDataManager.delMailListData(delList)
    local mailList = gameDataManager.getMailLlistData()
    for i = #mailList, 1, -1 do
        for j = 1, #delList do
            if mailList[i].id == delList[j] then
                _gameTools.luaError("enter del")
                table.remove(mailList, i)
                break
            end
        end
    end
end

--设置邮件状态数据
function gameDataManager.setMailStateByMailId(mailId, state)
    local mailList = gameDataManager.getMailLlistData()
    for i = #mailList, 1, -1 do
        if mailList[i].id == mailId then
            mailList[i].state = state
            break
        end
    end
end

function gameDataManager.addMailToListData(data)
    table.insert(gameDataManager.mailListData,data)
    gameDataManager.refreshMailRed()
end

function gameDataManager.refreshMailRed()
    local _mailList = gameDataManager.getMailLlistData()
    for i=1, #_mailList do 
        local _award = _gameTools.analyzeAward(_mailList[i].fujian[1]) 
        if _award[1] == nil then
            if _mailList[i].state == 0 then
                gameDataManager.mailRed = true
                return
            end
        else
            if _mailList[i].state < 2 then
                gameDataManager.mailRed = true
                return
            end
        end
    end
    gameDataManager.mailRed = false
end

function gameDataManager.getMailRed()
    gameDataManager.refreshMailRed()
    return gameDataManager.mailRed
end

--endregion
