--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

--region 衙门接口

function gameDataManager.initYamenData()
    gameDataManager.yamenData = {}
    gameDataManager.yamenData.yamenInfo = {}
end

function gameDataManager.setYamenData(data)
    local missonMenkeList = {}
    for i = 1, #data.myFightInfo.otherMissionMenkeSid do
        missonMenkeList[data.myFightInfo.otherMissionMenkeSid[i]] = data.myFightInfo.otherMissionMenkeSid[i]
    end
    data.myFightInfo.otherMissionMenkeSid = missonMenkeList
    gameDataManager.yamenData.yamenInfo = data
end
function gameDataManager.getYamenData()
    return gameDataManager.yamenData.yamenInfo
end

--加成
function gameDataManager.setYamenFightAdditionList(fightAddList)
    gameDataManager.yamenData.yamenInfo.allFightAddList = fightAddList
end
function gameDataManager.getYamenFightAdditionList()
    return gameDataManager.yamenData.yamenInfo.allFightAddList
end

--敌人信息
function gameDataManager.setYamenEnemyPlayerInfo(playerInfo)
    gameDataManager.yamenData.yamenInfo.enemyInfo = playerInfo
end
function gameDataManager.getYamenEnemyPlayerInfo()
    return gameDataManager.yamenData.yamenInfo.enemyInfo[1]
end

--敌人门客
function gameDataManager.setYamenEnemyMenkeList(menkeList)
    gameDataManager.yamenData.yamenInfo.enemyMenkeList = menkeList
end
function gameDataManager.getYamenEnemyMenkeList()
    return gameDataManager.yamenData.yamenInfo.enemyMenkeList
end

--自己战斗信息
function gameDataManager.setYamenSelfFightInfo(fightInfo)
    local missonMenkeList = {}
    for i = 1, #fightInfo.otherMissionMenkeSid do
        missonMenkeList[fightInfo.otherMissionMenkeSid[i]] = fightInfo.otherMissionMenkeSid[i]
    end
    fightInfo.otherMissionMenkeSid = missonMenkeList
    gameDataManager.yamenData.yamenInfo.myFightInfo = fightInfo
end
function gameDataManager.getYamenSelfFightInfo()
    return gameDataManager.yamenData.yamenInfo.myFightInfo
end

--战斗过程
function gameDataManager.setYamenFightProcess(fightProcess)
    local strArr = string.split(fightProcess, ";")
    gameDataManager.yamenData.fightProcess = {}
    local keyValue = string.split(strArr[1], "=")
    gameDataManager.yamenData.fightProcess.atkLife = tonumber(keyValue[2])
    keyValue = string.split(strArr[2], "=")
    gameDataManager.yamenData.fightProcess.defLife = tonumber(keyValue[2])

    gameDataManager.yamenData.fightProcess.rounds = {}
    local len = #strArr - 2
    for i = 3, len, 3 do
        local roundStruct = {}
        keyValue = string.split(strArr[i + 0], "=")
        roundStruct.isSelf = keyValue[2] == "true"
        keyValue = string.split(strArr[i + 1], "=")
        roundStruct.isCrit = keyValue[2] == "true"
        keyValue = string.split(strArr[i + 2], "=")
        roundStruct.hurt = tonumber(keyValue[2])
        table.insert(gameDataManager.yamenData.fightProcess.rounds, roundStruct)
    end

    keyValue = string.split(strArr[1 + len], "=")
    gameDataManager.yamenData.fightProcess.isWin = tonumber(keyValue[2])
    keyValue = string.split(strArr[2 + len], "=")
    gameDataManager.yamenData.fightProcess.defMenkeCount = tonumber(keyValue[2])
end
function gameDataManager.getYamenFightProcess()
    return gameDataManager.yamenData.fightProcess
end

--排行榜
function gameDataManager.setYamenRankData(data)
    gameDataManager.yamenData.rankData = data
end
function gameDataManager.getYamenRankData()
    return gameDataManager.yamenData.rankData
end

--衙门日志
function gameDataManager.setYamenLogData(data)
    gameDataManager.yamenData.yamenLogData = data
end
function gameDataManager.getYamenLogData(data)
    return gameDataManager.yamenData.yamenLogData
end

--自己的衙门战斗日志
function gameDataManager.setYamenMyLogData(data)
    gameDataManager.yamenData.yamenLogData = data
end
function gameDataManager.getYamenMyLogData()
    return gameDataManager.yamenData.yamenLogData
end

--获取衙门出战门客列表
function gameDataManager.getYamenFightMenkeList()
    return gameDataManager.yamenData.yamenInfo.myFightInfo.otherMissionMenkeSid
end

--保存查询追杀对象数据
function gameDataManager.setYamenZhuishaTargetData(data)
    gameDataManager.yamenData.zhuiShaTarget = data
end
function gameDataManager.getYamenZhuishaTargetData()
    return gameDataManager.yamenData.zhuiShaTarget
end

--衙门一键缉捕结果
function gameDataManager.setYamenOneKeyResultData(data)
    gameDataManager.yamenData.oneKeyResult = data
end
function gameDataManager.getYamenOneKeyResultData()
    return gameDataManager.yamenData.oneKeyResult
end

--endregion
