--region UI配置文件
--Date
--此文件由[BabeLua]插件自动生成

require "ui/uiLoading"
require "ui/uiMain"
require "ui/uiBattle"
require "ui/uiBattleResult"
require "ui/uiShop"
require "ui/uiFloatTips"
require "ui/uiSwappedGun"
require "ui/uiMergeGun"
require "ui/uiOffline"
require "ui/uiGameSet"
require "ui/uiFreeGet"
require "ui/uiDial"
require "ui/uiSign"
require "ui/uiAddEarning"
require "ui/uiFreeGun"
require "ui/uiGuide"
require "ui/uiGoldBox"
require "ui/uiFreeUpGun"
require "ui/uiDayAward"

_UILayerType =
{
    Normal = "NormalLayer",
    Popup = "PopupLayer",
    Dialog = "DialogLayer",
    Fixed = "FixedLayer",
}

_UI = 
{
    Loading = "uiLoading",
    Main = "uiMain",
    Battle = "uiBattle",
    BattleResult = "uiBattleResult",
    Shop = "uiShop",
    FloatTips = "uiFloatTips",
    SwappedGun = "uiSwappedGun",
    MergeGun = "uiMergeGun",
    Offline = "uiOffline",
    GameSet = "uiGameSet",
    FreeGet = "uiFreeGet",
    Dial = "uiDial",
    Sign = "uiSign",
    AddEarning = "uiAddEarning",
    FreeGun = "uiFreeGun",
    Guide = "uiGuide",
    GoldBox = "uiGoldBox",
    FreeUpGun = "uiFreeUpGun",
    DayAward = "uiDayAward",
}

_UIConfig =
{   --uiName:ui名字  lua:实例化对象  resName:资源名字
    [_UI.Loading] = { uiName = _UI.Loading, lua = UILoading.new(), resName = "uiLoading", layer = _UILayerType.Fixed, ignoreMgr = false },
    [_UI.Main] = { uiName = _UI.Main, lua = UIMain.new(), resName = "uiMain", layer = _UILayerType.Normal, ignoreMgr = false },
    [_UI.Battle] = { uiName = _UI.Battle, lua = UIBattle.new(), resName = "uiBattle", layer = _UILayerType.Normal, ignoreMgr = false },
    [_UI.BattleResult] = { uiName = _UI.BattleResult, lua = UIBattleResult.new(), resName = "uiBattleResult", layer = _UILayerType.Normal, ignoreMgr = false },
    [_UI.Shop] = { uiName = _UI.Shop, lua = UIShop.new(), resName = "uiShop", layer = _UILayerType.Normal, ignoreMgr = false },
    [_UI.FloatTips] = { uiName = _UI.FloatTips, lua = UIFloatTips.new(), resName = "uiFloatTips", layer = _UILayerType.Popup, ignoreMgr = true },
    [_UI.SwappedGun] = { uiName = _UI.SwappedGun, lua = UISwappedGun.new(), resName = "uiSwappedGun", layer = _UILayerType.Normal, ignoreMgr = false },
    [_UI.MergeGun] = { uiName = _UI.MergeGun, lua = UIMergeGun.new(), resName = "uiMergeGun", layer = _UILayerType.Normal, ignoreMgr = false },
    [_UI.Offline] = { uiName = _UI.Offline, lua = UIOffline.new(), resName = "uiOffline", layer = _UILayerType.Normal, ignoreMgr = false },
    [_UI.GameSet] = { uiName = _UI.GameSet, lua = UIGameSet.new(), resName = "uiGameSet", layer = _UILayerType.Normal, ignoreMgr = false },
    [_UI.Dial] = { uiName = _UI.Dial, lua = UIDial.new(), resName = "uiDial", layer = _UILayerType.Normal, ignoreMgr = false },
    [_UI.Sign] = { uiName = _UI.Sign, lua = UISign.new(), resName = "uiSign", layer = _UILayerType.Normal, ignoreMgr = false },
    [_UI.FreeGet] = { uiName = _UI.FreeGet, lua = UIFreeGet.new(), resName = "uiFreeGet", layer = _UILayerType.Normal, ignoreMgr = false },
    [_UI.AddEarning] = { uiName = _UI.AddEarning, lua = UIAddEarning.new(), resName = "uiAddEarning", layer = _UILayerType.Normal, ignoreMgr = false },
    [_UI.FreeGun] = { uiName = _UI.FreeGun, lua = UIFreeGun.new(), resName = "uiFreeGun", layer = _UILayerType.Normal, ignoreMgr = false },
    [_UI.Guide] = { uiName = _UI.Guide, lua = UIGuide.new(), resName = "uiGuide", layer = _UILayerType.Dialog, ignoreMgr = true },
    [_UI.GoldBox] = { uiName = _UI.GoldBox, lua = UIGoldBox.new(), resName = "uiGoldBox", layer = _UILayerType.Normal, ignoreMgr = false },
    [_UI.FreeUpGun] = { uiName = _UI.FreeUpGun, lua = UIFreeUpGun.new(), resName = "uiFreeUpGun", layer = _UILayerType.Normal, ignoreMgr = false },
    [_UI.DayAward] = { uiName = _UI.DayAward, lua = UIDayAward.new(), resName = "uiDayAward", layer = _UILayerType.Normal, ignoreMgr = false },
}


--endregion
