--region 加载界面
--Date
--此文件由[BabeLua]插件自动生成
require "ui/uiBase"

UIAddEarning = Class(UIBase)

function UIAddEarning:start()
	self:addClickByPath("content/closeBtn", self.onCloseBtn) 
	self:addClickByPath("content/diamondBtn", self.onDiamondBtn) 
	self:addClickByPath("content/videoBtn", self.onVideoBtn) 
    self.diamondBtnText = self:getCom("content/diamondBtn/time", _UICom.Text)
    self.diamondBtn = self:getObj("content/diamondBtn")
    self.videoBtn = self:getObj("content/videoBtn")
    self.videoBtnText = self:getCom("content/videoBtn/time", _UICom.Text)
    self.addEarningTips = self:getCom("content/tips", _UICom.Text)
    self.expendDiamondText = self:getCom("content/diamondBtn/num",_UICom.Text)
    self.content = self:getObj("content")
    
    self.useDiamondNum = 0
    self:bindPanelData()
     _gameTools.popupShowAnim(self.content)
end

--关闭收益界面
function UIAddEarning:onCloseBtn()
    self:closeSelf()
end

--绑定界面信息
function UIAddEarning:bindPanelData()
    self.diamondBtnText.text = string.format(dataConfigMgr.getLanguage(1026),_globalCfg.earningTime[2])
    self.videoBtnText.text = string.format(dataConfigMgr.getLanguage(1026),_globalCfg.earningTime[3])
    self.addEarningTips.text = dataConfigMgr.getLanguage(1075)
    local val = sdkMgr:getVideoPointIsUseUp(4) 
    self.videoBtn:SetActive(not val)
    local gunLv = gameDataManager.getMaxGunLv() - 2 > 0 and gameDataManager.getMaxGunLv() - 2 or 1
    self.useDiamondNum = math.ceil((gunLv / 10))* _globalCfg.earningTime[1]
    self.expendDiamondText.text = self.useDiamondNum
end

--点击钻石获取2倍收益按钮
function UIAddEarning:onDiamondBtn()
    if gameDataManager.useDiamond(_globalCfg.earningTime[1]) then
        uiMgr:getUI(_UI.Main):openEarning(_globalCfg.earningTime[2])
        self:closeSelf()
        uiMgr:getUI(_UI.FloatTips):shwoGetAwardTipsAnim(dataConfigMgr.getLanguage(1047))
    else
        uiMgr:openUI(_UI.FreeGet,false,{ name = "diamond" })
    end
end

--点击视频获取5倍收益按钮
function UIAddEarning:onVideoBtn()
    local opts = {}
    opts.unitId = 4
    opts.objectTable = self
    opts.callBack = self.onVideoCallBack
    sdkMgr:showAd(opts)
end
function UIAddEarning:onVideoCallBack(result)
    if result then
        uiMgr:getUI(_UI.Main):openEarning(_globalCfg.earningTime[3])
        self:closeSelf()
        uiMgr:getUI(_UI.FloatTips):shwoGetAwardTipsAnim(dataConfigMgr.getLanguage(1047))
    end
end

return UIAddEarning
--endregion