
require "ui/uiBase"

UIBattle = Class(UIBase)

function UIBattle:ctor()

end

function UIBattle:start()
    self.content = self:getObj("content")

    self.crossHairRoot = self:getObj("content/zhunxin")
    self.crossHairL = self:getCom("content/zhunxin/left", _UICom.RectTransform)
    self.crossHairLImg = self:getCom("content/zhunxin/left", _UICom.Image)
    self.crossHairR = self:getCom("content/zhunxin/right", _UICom.RectTransform)
    self.crossHairRImg = self:getCom("content/zhunxin/right", _UICom.Image)
    self.crossHairT = self:getCom("content/zhunxin/top", _UICom.RectTransform)
    self.crossHairTImg = self:getCom("content/zhunxin/top", _UICom.Image)
    self.crossHairB = self:getCom("content/zhunxin/bottom", _UICom.RectTransform)
    self.crossHairBImg = self:getCom("content/zhunxin/bottom", _UICom.Image)
    self.sightMirror = self:getObj("content/sightMirror")
    self.txtSightMirror = self:getCom("content/sightMirror/bg/txtDesc", _UICom.Text)
    self:addClickByPath("content/leftBottom/reloadBtn", self.onReloadBtnClick)
    self:addClickByPath("content/leftTop/settingsBtn", self.onSettingsBtnClick)
    self.killIcon = self:getObj("content/killIcon")
    self.killIconImg = self:getCom("content/killIcon", _UICom.Image)
    self.touchObj = self:getObj("content/battleTouchObj")

    self.flashBombComingRoot = self:getCom("content/flashBombComing", _UICom.CanvasGroup)
    self.txtFlashBombComing = self:getCom("content/flashBombComing/Text", _UICom.Text)
    self.flashBombImg = self:getCom("content/flashBombImg", _UICom.Image)
--    self.shootOnHeadImg = self:getCom("content/headShoot", _UICom.Image)

    self.pressShootTipsObj = self:getObj("content/pressShootTips")
    self.pressShootFingerObj = self:getObj("content/pressShootTips/fingerImg")
    self.txtPressShoot = self:getCom("content/pressShootTips/txt1", _UICom.Text)
    self.scrollShootTipsObj = self:getObj("content/scrollShootTips")
    self.scrollFingerObj = self:getObj("content/scrollShootTips/fingerImg")
    self.scrollArrowsRoot = self:getObj("content/scrollShootTips/arrorwsRoot")
    self.scrollArrows = {}
    for i = 1, 9 do
        self.scrollArrows[i] = self:getCom("content/scrollShootTips/arrorwsRoot/arrow"..i, _UICom.Image)
    end
    self.txtScrollShoot = self:getCom("content/scrollShootTips/txt1", _UICom.Text)
    self.guideKillTipsObj = self:getObj("content/guideKillTips")
    self.guideKillTipsStarRoot = self:getObj("content/guideKillTipsStars")
    self.levelWarningTips = self:getCom("content/levelWarningTips", _UICom.CanvasGroup)
    self.levelWarningImg1 = self:getObj("content/levelWarningTips/img1")
    self.txtLevelWarning1 = self:getCom("content/levelWarningTips/img1/Text", _UICom.Text)
    self.levelWarningImg2 = self:getObj("content/levelWarningTips/img2")
    self.txtLevelWarning2 = self:getCom("content/levelWarningTips/img2/Text", _UICom.Text)
    self.levelWarningArrow = self:getObj("content/levelWarningTips/img2/arrow")

    self.guideMaskObj = self:getObj("content/guideMask")
    self.guideMaskImg = self:getCom("content/guideMask", _UICom.Image)
    self:addClickByPath("content/guideMask", self.onGuideMaskClick)
    self.guideFlashBombRoot = self:getObj("content/guideMask/guideFlashBombRoot")
    self.txtGuideFlashBombRoot = self:getCom("content/guideMask/guideFlashBombRoot/txtFlashBombTips", _UICom.Text)
    self.guideShootOnHeadRoot = self:getObj("content/guideMask/guideShootOnHeadRoot")
    self.txtGuideShootOnHeadRoot = self:getCom("content/guideMask/guideShootOnHeadRoot/textContent", _UICom.Text)
    self.guideHpTipsRoot = self:getObj("content/guideMask/guideHpTipsRoot")
    self.txtGuideHp = self:getCom("content/guideMask/guideHpTipsRoot/txtHp", _UICom.Text)
    self.txtGuideBulletNum = self:getCom("content/guideMask/guideHpTipsRoot/txtBulletNum", _UICom.Text)
    self.txtGuideHpDesc = self:getCom("content/guideMask/guideHpTipsRoot/textContent1", _UICom.Text)
    self.txtGuideBulletDesc = self:getCom("content/guideMask/guideHpTipsRoot/textContent2", _UICom.Text)
    self.txtCommonTipsObj = self:getCom("content/guideMask/txtCommonTips", _UICom.Text)
    
    self.reloadpNode = self:getObj("content/reload")
    self.reloadBg = self:getObj("content/reload/bg")
    self.isStartAddBullt = false
    self.reloadBg.gameObject:SetActive(false)
    self.indexT = 1
    self.bulltArr = {}
    self.pos = {-40,-54,-68,-82,-96,-110}
    for i = 2,self.reloadpNode.transform.childCount do
        local item = self.reloadpNode.transform:GetChild(i - 1)
        self.bulltArr[i -1] = item
    end

    self.unHealthyBox = self:getObj("content/unHealthyBox")
    self.unHealthyBox:SetActive(false)
    self.txtHp = self:getCom("content/leftBottom/txtHp", _UICom.Text)
    self.txtBulletNum = self:getCom("content/leftBottom/txtBulletNum", _UICom.Text)
    self.imgDeathMask = self:getCom("content/deathMask", _UICom.Image)
    self.imgDeathMask.color = Color.New(1,1,1,0)

    self.killTipsList = {}
    for i = 1, 4 do
        local obj = self:getObj("content/rightTop/killTips"..i)
        local item = {}
        item.obj = obj
        item.canvasGroup = obj:GetComponent(_UICom.CanvasGroup)
        item.txtName1 = self:getCom("txtName1", _UICom.Text, obj)
        item.txtName2 = self:getCom("txtName2", _UICom.Text, obj)
        item.shootOnHead = self:getObj("shootOnHead", obj)
        item.gunIcon = self:getCom("icon", _UICom.Image, obj)
        self.killTipsList[i] = item
        item.canvasGroup.alpha = 0
        item.obj.transform.localPosition = Vector3(-170,-205,0)
    end
    self.killTipsIndex = 0

    self.beHitDirImgPrefab = self:getObj("content/beHitDirImg")
    self.enemyDirImgPrefab = self:getObj("content/enemyDirTips")
    self.enemyDirImgMap = {}

    self:changeCrossHair(20, 45)
    self.isTouched = false
    self.isCrossHairRed = false
    self.flashBombImg.color = Color.New(1,1,1,0)
    self.isPopupedHpTip = false

    self.isStopMove = true
    self.moveX = 0
    self.moveZ = 0

    self:hideSniperView()

    self.shootOnHeadTimer = 0
    self.showKillIconTimer = 0

    self.updateHandler = _gameTools.addUpdate(self.onUpdate, self)

    self.txtCommonTipsObj.text = dataConfigMgr.getLanguage(3000)
    self.txtGuideBulletDesc.text = dataConfigMgr.getLanguage(120)
    self.txtGuideHpDesc.text = dataConfigMgr.getLanguage(119)
end

function UIBattle:onUpdate()
    if not self.isStopMove then
        battleMgr.player:inputControl(self.moveX, self.moveZ)
    end

--    if self.shootOnHeadTimer > 0 then
--        self.shootOnHeadTimer = self.shootOnHeadTimer - Time.deltaTime
--        self.shootOnHeadImg.color = Color.New(1,1,1, self.shootOnHeadTimer)
--    end

--    if self.showKillIconTimer > 0 then
--        self.showKillIconTimer = self.showKillIconTimer - Time.deltaTime
--        if self.showKillIconTimer <= 0 then
--            self.killIcon:SetActive(false)
--        end
--    end

    self:addBullt(self.bulltArr[self.indexT])
end

function UIBattle:refreshBulletNum(bulletNum, maxBulletNum)
    self.txtBulletNum.text = bulletNum.."/"..maxBulletNum
end

function UIBattle:refreshHP(curHP, maxHP)
    self.txtHp.text = curHP.."/"..maxHP
end

function UIBattle:isTouchOnTouchObj()
    return CGameUtil.IsTouchOnUI(self.touchObj)
end

function UIBattle:deathMaskFadeIn()
    _DoTweenHelper:Fade(self.imgDeathMask.gameObject, 0.3, 1, function()
        battleMgr:setFightEnd(false)
    end)
end

function UIBattle:changeCrossHair(offsetPos, length, duration, callBack)
    duration = duration or 0.03

    if self.crossHairMT1 ~= nil then
        self.crossHairMT1:Kill(false)
        self.crossHairMT1 = nil
    end
    if self.crossHairMT2 ~= nil then
        self.crossHairMT2:Kill(false)
        self.crossHairMT2 = nil
    end
    if self.crossHairMT3 ~= nil then
        self.crossHairMT3:Kill(false)
        self.crossHairMT3 = nil
    end
    if self.crossHairMT4 ~= nil then
        self.crossHairMT4:Kill(false)
        self.crossHairMT4 = nil
    end
    if self.crossHairST1 ~= nil then
        self.crossHairST1:Kill(false)
        self.crossHairST1 = nil
    end
    if self.crossHairST2 ~= nil then
        self.crossHairST2:Kill(false)
        self.crossHairST2 = nil
    end
    if self.crossHairST3 ~= nil then
        self.crossHairST3:Kill(false)
        self.crossHairST3 = nil
    end
    if self.crossHairST4 ~= nil then
        self.crossHairST4:Kill(false)
        self.crossHairST4 = nil
    end

    self.crossHairMT1 = _DoTweenHelper:Move(self.crossHairL.gameObject, Vector3.New(-offsetPos, 0, 0), Ease.Linear, duration, nil)
    self.crossHairMT2 = _DoTweenHelper:Move(self.crossHairR.gameObject, Vector3.New(offsetPos, 0, 0), Ease.Linear, duration, nil)
    self.crossHairMT3 = _DoTweenHelper:Move(self.crossHairT.gameObject, Vector3.New(0, offsetPos, 0), Ease.Linear, duration, nil)
    self.crossHairMT4 = _DoTweenHelper:Move(self.crossHairB.gameObject, Vector3.New(0, -offsetPos, 0), Ease.Linear, duration, nil)
    self.crossHairST1 = _DoTweenHelper:Size(self.crossHairL.gameObject, Vector2.New(length, 5), Ease.Linear, duration, nil)
    self.crossHairST2 = _DoTweenHelper:Size(self.crossHairR.gameObject, Vector2.New(length, 5), Ease.Linear, duration, nil)
    self.crossHairST3 = _DoTweenHelper:Size(self.crossHairT.gameObject, Vector2.New(5, length), Ease.Linear, duration, nil)
    self.crossHairST4 = _DoTweenHelper:Size(self.crossHairB.gameObject, Vector2.New(5, length), Ease.Linear, duration, nil)
end

function UIBattle:touchStart()
    if not self.isTouched then
        self:changeCrossHair(13, 30)
        self.isTouched = true
    end
end

function UIBattle:touchEnd()
    if self.isTouched then
        self:changeCrossHair(20, 45)
        self.isTouched = false
    end
end

function UIBattle:showSniperView()
    self.sightMirror:SetActive(true)
    self.crossHairRoot:SetActive(false)
    self.txtSightMirror.text = ""
    self.txtSightMirror.transform.parent.gameObject:SetActive(false)
    if gameDataManager.guideData.isShowSnipeGuide == nil or gameDataManager.guideData.isShowSnipeGuide == 0 then
        gameDataManager.guideData.isShowSnipeGuide = 1
        self:hideGuideShootTips()
        _gameTools.eventDot(103)
        self.txtSightMirror.transform.parent.gameObject:SetActive(true)
        self.txtSightMirror.text = dataConfigMgr.getLanguage(114)
    end
end

function UIBattle:hideSniperView()
    self.sightMirror:SetActive(false)
    self.crossHairRoot:SetActive(true)
end

function UIBattle:shakeCrossHair()
    coroutine.start(function()
        self:changeCrossHair(20, 45, 0.02)
        coroutine.wait(0.04)
        self:changeCrossHair(13, 30, 0.04)
    end)
end

function UIBattle:crossHairColorState(isRed)
    if isRed == self.isCrossHairRed then
        
    else
        self.isCrossHairRed = isRed
        self.crossHairLImg.color = isRed and Color.New(1,0,0,1) or Color.New(0,1,0,1) 
        self.crossHairRImg.color = isRed and Color.New(1,0,0,1) or Color.New(0,1,0,1) 
        self.crossHairTImg.color = isRed and Color.New(1,0,0,1) or Color.New(0,1,0,1) 
        self.crossHairBImg.color = isRed and Color.New(1,0,0,1) or Color.New(0,1,0,1) 
    end
end

function UIBattle:showEnemyDirTips(sPos, pEnemy, alpha)
--    _gameTools.luaError(sPos)
    if self.enemyDirImgMap[pEnemy.enemyId] == nil then
        local item = {}
        item.trans = GameObject.Instantiate(self.enemyDirImgPrefab).transform
        item.canvasGroup = item.trans:GetComponent(_UICom.CanvasGroup)
        item.arrow = item.trans:Find("enemyDirImg")
        item.trans:SetParent(self.content.transform)
        item.trans.localScale = Vector3.one
        self.enemyDirImgMap[pEnemy.enemyId] = item
    end
    local item = self.enemyDirImgMap[pEnemy.enemyId]
    item.trans.gameObject:SetActive(true)

    local width = Screen.width
    local height = Screen.height
    local halfWidth = width / 2
    local halfHeight = height / 2

    local k = (sPos.y - halfHeight) / (sPos.x - halfWidth)
    local x,y
    if sPos.x > width then
        x = 360 - 50
        y = x * k
    elseif sPos.x < 0 then
        x = -360 + 50
        y = x * k
    elseif sPos.y > height then
        y = 640 - 50
        x = y / k
    else
        y = -640 + 50
        x = y / k
    end
    item.trans.localPosition = Vector3(x, y, 0)
    item.canvasGroup.alpha = alpha
    sPos.z = 0
    sPos.x = sPos.x - halfWidth
    sPos.y = sPos.y - halfHeight
    item.arrow.up = sPos.normalized
end

function UIBattle:hideEnemyDirTips(pEnemy)
    if self.enemyDirImgMap[pEnemy.enemyId] ~= nil then
        self.enemyDirImgMap[pEnemy.enemyId].trans.gameObject:SetActive(false)
    end
end

function UIBattle:showBeHitDirTips(sPos, pEnemy)
    local obj = GameObject.Instantiate(self.beHitDirImgPrefab)
    obj.transform:SetParent(self.content.transform)
    obj:SetActive(true)
    sPos.x = sPos.x - Screen.width / 2
    sPos.y = sPos.y - Screen.height / 2
    obj.transform.localPosition = Vector3.New(0,0,0)
    sPos.z = 0
    obj.transform.up = sPos.normalized
    local tw = _DoTweenHelper:Fade(obj, 0, 0.5, function()
        GameObject.Destroy(obj)
        tw:Kill()
    end)
end

function UIBattle:showKillTips(isShootOnHead)
    self.killTipsIndex = self.killTipsIndex + 1
    local index = self.killTipsIndex % 4 + 1
    for i = 1, #self.killTipsList do
        if index ~= i then
            local pos = self.killTipsList[i].obj.transform.localPosition
            if pos == Vector3(-170, -115, 0) then
                _DoTweenHelper:FadeGroup(self.killTipsList[i].obj, 0, 0.2, 0, nil)
            end
            _DoTweenHelper:Move(self.killTipsList[i].obj, pos + Vector3(0,45,0), Ease.Linear, 0.2, nil)
        end
    end
    
    local name1 = "Player"
    local name2 = dataConfigMgr.getLanguage(200 + math.random(1, 10))
    self.killTipsList[index].canvasGroup.alpha = 1
    self.killTipsList[index].obj.transform.localPosition = Vector3(-170,-205,0)
    self.killTipsList[index].txtName1.text = name1
    self.killTipsList[index].txtName2.text = name2

    local gunType = battleMgr.player.gunCfg.type
    self.killTipsList[index].gunIcon.transform.localEulerAngles = Vector3(0,0,-20)
    local gunIcon = "buqiang"
    if gunType == 1 then
        gunIcon = "shouqiang"
        self.killTipsList[index].gunIcon.transform.localEulerAngles = Vector3(0,0,0)
    elseif gunType == 2 then
        gunIcon = "chongfengqiang"
    elseif gunType == 3 then
        gunIcon = "buqiang"
    elseif gunType == 4 then
        gunIcon = "jiqiang"
    elseif gunType == 5 then
        gunIcon = "jujiqiang"
    end
    self.killTipsList[index].gunIcon.sprite = self:loadObject("atlas_uiqiangxiejiehuan", gunIcon)
    self.killTipsList[index].gunIcon:SetNativeSize()
    self.killTipsList[index].shootOnHead:SetActive(isShootOnHead)
    self.killTipsList[index].shootOnHead.transform.localPosition = Vector3(-80 - 20 * (string.len(name1) / 3), 0,0)
end

function UIBattle:showShootOnHead()
    if battleMgr.levelId == 1 then return end
--    self.shootOnHeadTimer = 2
--    self.shootOnHeadImg.color = Color.New(1,1,1,1)
    self.killIcon:SetActive(true)
    self.killIconImg.sprite = self:loadObject("atlas_uiyouxijiemian", "icon8")
--    self.killIconImg:SetNativeSize()
    self.killIcon.transform.localEulerAngles = Vector3(0,-90,0)
    self.killIcon.transform.localScale = Vector3.one
    if self.killIconTween1 ~= nil then
        self.killIconTween1:Kill()
        self.killIconTween1 = nil
    end

    if self.killIconTween2 ~= nil then
        self.killIconTween2:Kill()
        self.killIconTween2 = nil
    end
    if self.killIconTween3 ~= nil then
        self.killIconTween3:Kill()
        self.killIconTween3 = nil
    end
    self.killIconTween1 = _DoTweenHelper:Rotate(self.killIcon, Vector3(0,30,0), Ease.Linear, 0.2, function()
        self.killIconTween2 = _DoTweenHelper:Rotate(self.killIcon, Vector3(0,0,0), Ease.Linear, 0.2, function()
            self.killIconTween3 = _DoTweenHelper:ScaleXYZ(self.killIcon, Vector3.zero, Ease.Linear, 0.2, 1.6, nil)
        end)
    end)
    self:showShootOnHeadGuide()
end

function UIBattle:showKillIcon()
    if battleMgr.levelId == 1 then return end
    self.killIcon:SetActive(true)
    self.killIconImg.sprite = self:loadObject("atlas_uiyouxijiemian", "icon9")
    self.killIconImg:SetNativeSize()
    self.killIcon.transform.localEulerAngles = Vector3(0,-90,0)
    self.killIcon.transform.localScale = Vector3.one
    if self.killIconTween1 ~= nil then
        self.killIconTween1:Kill()
        self.killIconTween1 = nil
    end

    if self.killIconTween2 ~= nil then
        self.killIconTween2:Kill()
        self.killIconTween2 = nil
    end
    if self.killIconTween3 ~= nil then
        self.killIconTween3:Kill()
        self.killIconTween3 = nil
    end
    self.killIconTween1 = _DoTweenHelper:Rotate(self.killIcon, Vector3(0,30,0), Ease.Linear, 0.2, function()
        self.killIconTween2 = _DoTweenHelper:Rotate(self.killIcon, Vector3(0,0,0), Ease.Linear, 0.2, function()
            self.killIconTween3 = _DoTweenHelper:ScaleXYZ(self.killIcon, Vector3.zero, Ease.Linear, 0.2, 1.6, nil)
        end)
    end)
end

function UIBattle:showUnHealthyBox(duration)
    self.unHealthyBox:SetActive(true)
    if duration ~= nil then
        _DoTweenHelper:Move(self.unHealthyBox, Vector3(0,0,0), Ease.Linear, duration, function()
            self.unHealthyBox:SetActive(false)
        end)
    end
end

--装弹动画初始化
function UIBattle:reloadAnimInit(time)        
    self.addBulltIntervalTime = time / 12
    self.bullTime = 0
    self.indexT = 1
    self.isStartAddBullt = true    
    self.reloadBg.gameObject:SetActive(true)
end

--装弹动画
function UIBattle:addBullt(trans)
    if self.isStartAddBullt then    
        self.bullTime = self.bullTime + Time.deltaTime
        _DoTweenHelper:FadeIn(trans.gameObject, self.addBulltIntervalTime)
        _DoTweenHelper:Move(trans.gameObject, Vector3.New(1.2, -31, 0), Ease.Linear, self.addBulltIntervalTime, nil)
         _DoTweenHelper:Move(trans.gameObject, Vector3.New(0, -40, 0), Ease.Linear, self.addBulltIntervalTime, function ()    
            trans.localEulerAngles = Vector3(0,0,0) 
            if self.bullTime >= self.addBulltIntervalTime * 1.1  then
            self.bullTime =  self.bullTime - self.addBulltIntervalTime * 1.1 
            self.indexT = self.indexT + 1                             
            if self.indexT >= 2  then
                for i =1,self.indexT - 1 do
                    _DoTweenHelper:Move(self.bulltArr[i].gameObject, Vector3.New(0, self.pos[self.indexT - i], 0), Ease.Linear, self.addBulltIntervalTime / 20 , nil)
                end           
                end
            end

            if self.indexT >= 7 then       
                self.isStartAddBullt = false                
                for i = 1,#self.bulltArr do
                    local item = self.bulltArr[i]
                    item.localPosition = Vector3(1,-10,0)
                    item:Rotate(Vector3(0,0,6))
                    local item1 =  self:getCom("bullt"..i, _UICom.Image,self.reloadpNode)
                    item1.color = Color(1,1,1,0)
                end  
                self.reloadBg.gameObject:SetActive(false)
            end 
        end)  
    end
end

function UIBattle:onReloadBtnClick()
    battleMgr.player.weapon:manualReloadClip()
end

function UIBattle:onSettingsBtnClick()
    uiMgr:openUI(_UI.GameSet)
end

function UIBattle:showFlashBombComingTips(delay)
    self.txtFlashBombComing.text = dataConfigMgr.getLanguage(3001)
    self.flashBombComingRoot.transform.localPosition = Vector3(640,390,0)
    self.flashBombComingRoot.alpha = 1
    _DoTweenHelper:Move(self.flashBombComingRoot.gameObject, Vector3.New(0, 390, 0), Ease.Linear, 0.1, function()
        _DoTweenHelper:FadeGroup(self.flashBombComingRoot.gameObject, 0, 0.7, delay or 0, function()
            
        end)
    end)
end

function UIBattle:showFlashBombImg(delay)
    self:showFlashBombComingTips(delay + 2)
--    local uiInfo = uiMgr:getUI(_UI.FloatTips)
--    uiInfo:showFadeText(self.content.transform.position + Vector3(640,200,0), dataConfigMgr.getLanguage(3001), delay)
    if self:showFlashBombGuide() then
        
    else
        coroutine.start(function()
            coroutine.wait(delay)
            _DoTweenHelper:Fade(self.flashBombImg.gameObject, 0.95, 0.1, nil)
            coroutine.wait(1.7)
            _DoTweenHelper:Fade(self.flashBombImg.gameObject, 0, 5, nil)
        end)
    end
end

function UIBattle:hideGuideShootTips()
    self.pressShootTipsObj:SetActive(false)
    self.scrollShootTipsObj:SetActive(false)
end

function UIBattle:showPressShootTips(state)
    self.pressShootTipsObj:SetActive(true)
    if state == 1 then
        self.txtPressShoot.text = dataConfigMgr.getLanguage(101)
    elseif state == 2 then
        self.txtPressShoot.text = dataConfigMgr.getLanguage(113)
    end

    if self.pressShootFingerObjTween ~= nil then
        self.pressShootFingerObjTween:Kill()
    end

    self.pressShootFingerObjTween = _DoTweenHelper:LoopTween(self.pressShootTipsObj, 0, 1, 1, 0, -1, LoopType.Restart, false, function(v)
        if v < 0.2 then
            self.pressShootFingerObj.transform.localScale = Vector3.one
        elseif v < 0.25 then
            self.pressShootFingerObj.transform.localScale = Vector3.one * (1 + (v - 0.2) / 0.05 * -0.2)
        elseif v < 0.8 then
            self.pressShootFingerObj.transform.localScale = Vector3.one * 0.8
        elseif v < 1 then
            self.pressShootFingerObj.transform.localScale = Vector3.one * (0.8 + (v - 0.8) / 0.2 * 0.2)
        end
    end)
end

function UIBattle:showScrollShootTips(isRight)
    self.scrollShootTipsObj:SetActive(true)
    self.txtScrollShoot.text = dataConfigMgr.getLanguage(102)

    if self.fingerTween ~= nil then
        self.fingerTween:Kill()
    end

    for i = 1, 9 do
        self.scrollArrows[i].color = Color(1,1,1,0.3)
    end

    if isRight then
        self.scrollArrowsRoot.transform.localEulerAngles = Vector3(0,0,0)
        self.scrollFingerObj.transform.localPosition = Vector3(-180,-40,0)
        self.fingerTween = _DoTweenHelper:LoopTween(self.scrollFingerObj, 0, 1.5, 1.5, 0, -1, LoopType.Restart, false, function(v)
            if v < 0.25 then
                self.scrollFingerObj.transform.localPosition = Vector3(-180,-40,0)
            elseif v < 1.25 then
                self.scrollFingerObj.transform.localPosition = Vector3(-180 + 490 * (v - 0.25),-40,0)
            elseif v < 1.5 then
                self.scrollFingerObj.transform.localPosition = Vector3(310,-40,0)
            end
            for i = 1, 9 do
                if (v - 0.25) / 0.11 >= i then
                    self.scrollArrows[i].color = Color(1,1,1,1)
                else
                    self.scrollArrows[i].color = Color(1,1,1,0.3)
                end
            end
        end)
    else
        self.scrollArrowsRoot.transform.localEulerAngles = Vector3(0,180,0)
        self.scrollFingerObj.transform.localPosition = Vector3(310,-40,0)
        self.fingerTween = _DoTweenHelper:LoopTween(self.scrollFingerObj, 0, 1.5, 1.5, 0, -1, LoopType.Restart, false, function(v)
            if v < 0.25 then
                self.scrollFingerObj.transform.localPosition = Vector3(310,-40,0)
            elseif v < 1.25 then
                self.scrollFingerObj.transform.localPosition = Vector3(310 - 490 * (v - 0.25),-40,0)
                
            elseif v < 1.5 then
                self.scrollFingerObj.transform.localPosition = Vector3(-180,-40,0)
            end
            for i = 1, 9 do
                if (v - 0.25) / 0.11 >= i then
                    self.scrollArrows[i].color = Color(1,1,1,1)
                else
                    self.scrollArrows[i].color = Color(1,1,1,0.3)
                end
            end
        end)
    end
end

function UIBattle:showGuideKillTips()
    self.guideKillTipsObj.transform.localScale = Vector3.zero
    
    _DoTweenHelper:FadeGroup(self.guideKillTipsObj, 1, 0.1, 0, nil)
    _DoTweenHelper:Scale(self.guideKillTipsObj, Vector3.one * 1.1, Ease.Linear, 0.2, function()
        _DoTweenHelper:Scale(self.guideKillTipsObj, Vector3.one * 0.95, Ease.Linear, 0.1, function()
            _DoTweenHelper:Scale(self.guideKillTipsObj, Vector3.one, Ease.Linear, 0.1, function()
                _DoTweenHelper:Scale(self.guideKillTipsObj, Vector3.one, Ease.Linear, 1, function()
                    _DoTweenHelper:Scale(self.guideKillTipsObj, Vector3.zero, Ease.Linear, 0.2, function()

                    end)
                    _DoTweenHelper:FadeGroup(self.guideKillTipsObj, 0, 0.2, 0, nil)
                end)
            end)
        end)
    end)

    local uiInfo = uiMgr:getUI(_UI.FloatTips)
    uiInfo:playStarAnima(self.guideKillTipsStarRoot.transform, Vector3(-10, 10, 0), Vector3(-(math.random() - 0.5) * 150, math.random() * 50 + 50, 0))
    uiInfo:playStarAnima(self.guideKillTipsStarRoot.transform, Vector3(10, -10, 0), Vector3((math.random() -0.5) * 150, -math.random() * 50 - 50, 0))
    uiInfo:playStarAnima(self.guideKillTipsStarRoot.transform, Vector3(-50, 0, 0), Vector3(-math.random() * 150 - 50, math.random() * 50 + 50, 0))
    uiInfo:playStarAnima(self.guideKillTipsStarRoot.transform, Vector3(50, 0, 0), Vector3(math.random() * 150 + 50, -math.random() * 50 - 50, 0))
    uiInfo:playStarAnima(self.guideKillTipsStarRoot.transform)
end

function UIBattle:showGuideHpAndBulletNum()
    if not self.isPopupedHpTip and battleMgr.levelId == 2 and battleMgr.curWave == 1 then
        _gameTools.eventDot(12)
        self.isPopupedHpTip = true
        battleMgr:pause()
        self.guideHpTipsRoot:SetActive(true)
        self.guideMaskObj:SetActive(true)
        self.guideMaskImg.color = Color(0,0,0,0.7)
        self.txtGuideBulletNum.text = self.txtBulletNum.text
        self.txtGuideHp.text = self.txtHp.text
    end
end

function UIBattle:showShootOnHeadGuide()
    if gameDataManager.guideData.shootOnHeadTips ~= nil and gameDataManager.guideData.shootOnHeadTips == 0 then
        gameDataManager.guideData.shootOnHeadTips = 1
        battleMgr:pause(true)
        _gameTools.eventDot(109)
        self.guideMaskObj:SetActive(true)
        self.guideMaskImg.color = Color(0,0,0,0.003)
        self.guideShootOnHeadRoot:SetActive(true)
        self.txtGuideShootOnHeadRoot.text = dataConfigMgr.getLanguage(121)
    end
end

function UIBattle:showFlashBombGuide()
    return false
--    if gameDataManager.guideData.flashBombTips ~= nil and gameDataManager.guideData.flashBombTips == 0 then
--        gameDataManager.guideData.flashBombTips = 1
--        battleMgr:pause()
--        _gameTools.eventDot(105)
--        self.guideMaskObj:SetActive(true)
--        self.guideFlashBombRoot:SetActive(true)
--        self.txtGuideFlashBombRoot.text = dataConfigMgr.getLanguage(122)
--        return true
--    else
--        return false
--    end
end

function UIBattle:showLevelWarningTips(langId)
    coroutine.start(function()
        coroutine.wait(0.5)
        self.levelWarningTips.alpha = 1
        self.levelWarningImg1.transform.localPosition = Vector3(-640, 0, 0)
        self.txtLevelWarning1.text = dataConfigMgr.getLanguage(langId)
        self.levelWarningImg2.transform.localPosition = Vector3(640, -84, 0)
        self.txtLevelWarning2.text = dataConfigMgr.getLanguage(3002)
        self.levelWarningArrow:SetActive(false)
        _DoTweenHelper:Move(self.levelWarningImg1, Vector3.New(0, 0, 0), Ease.Linear, 0.1, nil)
        _DoTweenHelper:Move(self.levelWarningImg2, Vector3.New(0, -84, 0), Ease.Linear, 0.1, function()
            self.levelWarningArrow:SetActive(true)
            self.levelWarningArrow.transform.localPosition = Vector3(196,0,0)
            _DoTweenHelper:Move(self.levelWarningArrow, Vector3.New(196,30,0), Ease.Linear, 0.8, function()
                self.levelWarningArrow.transform.localPosition = Vector3(196,0,0)
                _DoTweenHelper:Move(self.levelWarningArrow, Vector3.New(196,30,0), Ease.Linear, 0.8, function()
                    self.levelWarningArrow.transform.localPosition = Vector3(196,0,0)
--                    _DoTweenHelper:Move(self.levelWarningArrow, Vector3.New(196,30,0), Ease.Linear, 0.8, function()
--                        self.levelWarningArrow.transform.localPosition = Vector3(196,0,0)
                        _DoTweenHelper:Move(self.levelWarningArrow, Vector3.New(196,30,0), Ease.Linear, 0.8, function()
                            self.levelWarningArrow.transform.localPosition = Vector3(196,0,0)
                                _DoTweenHelper:FadeGroup(self.levelWarningTips.gameObject, 0, 0.5, 0, function()
                                
                                end)
--                            self.levelWarningArrow.transform.localPosition = Vector3(196,0,0)
--                            _DoTweenHelper:Move(self.levelWarningArrow, Vector3.New(196,30,0), Ease.Linear, 0.8, function()

--                            end)    
                        end)
--                    end)
                end)
            end)
        end)
    end)
end

function UIBattle:onGuideMaskClick()
    if self.guideHpTipsRoot.activeSelf then
        _gameTools.eventDot(13)
    end
    if self.guideFlashBombRoot.activeSelf then
        _gameTools.eventDot(106)
        coroutine.start(function()
            coroutine.wait(1)
            _DoTweenHelper:Fade(self.flashBombImg.gameObject, 0.9, 0.1, nil)
            coroutine.wait(1)
            _DoTweenHelper:Fade(self.flashBombImg.gameObject, 0, 5, nil)
        end)
    end
    if self.guideShootOnHeadRoot.activeSelf then
        _gameTools.eventDot(110)
    end
    battleMgr:resume()
    self.guideMaskObj:SetActive(false)
    self.guideHpTipsRoot:SetActive(false)
    self.guideFlashBombRoot:SetActive(false)
    self.guideShootOnHeadRoot:SetActive(false)
end

function UIBattle:onClear()
    _gameTools.removeUpdate(self.updateHandler)
end

return UIBattle