--region 加载界面
--Date
--此文件由[BabeLua]插件自动生成
require "ui/uiBase"

UIDayAward = Class(UIBase)

function UIDayAward:start()
	self:addClickByPath("content/closeBtn", self.onCloseBtn) 
	self:addClickByPath("content/videoBtn", self.onVideoBtn) 

    self.awardDiamondNum = self:getCom("content/awrdNum",_UICom.Text)
    self.awardTips = self:getCom("content/tips", _UICom.Text)
    self.awardTimes = self:getCom("content/times",_UICom.Text)
    self.videoBtnText = self:getCom("content/videoBtn/text",_UICom.Text)
    self.videoBtn = self:getObj("content/videoBtn")
    self.content = self:getObj("content")
    _gameTools.popupShowAnim(self.content)

    self.diamondNum = gameDataManager.calFreeDiamond()
    self:bindDayAwardPanel()
end

--绑定每日礼包界面
function UIDayAward:bindDayAwardPanel()
    local times = 5 - gameDataManager.getDayAwardNum()
    if times <= 0 then
        times = 0
        self.videoBtn:SetActive(false)
    end
    self.videoBtnText.text = dataConfigMgr.getLanguage(1024)
    self.awardTips.text = dataConfigMgr.getLanguage(1073)
    self.awardDiamondNum.text = self.diamondNum
    self.awardTimes.text = dataConfigMgr.getLanguage(1074)..": "..times
end

function UIDayAward:onCloseBtn()
    self:closeSelf()
end

--视频按钮
function UIDayAward:onVideoBtn()
    local opts = {}
    opts.unitId = 2
    opts.objectTable = self
    opts.callBack = self.onDiamondCallBack
    sdkMgr:showAd(opts)
end

function UIDayAward:onDiamondCallBack(result)
    if result then
        self:closeSelf()
        gameDataManager.addDayAwardNum(self.diamondNum)
        uiMgr:getUI(_UI.Main):isShowFreeGunBtn()
    end
end

return UIDayAward
--endregion