--region 加载界面
--Date
--此文件由[BabeLua]插件自动生成
require "ui/uiBase"

UIFreeGet = Class(UIBase)

function UIFreeGet:start(args)    
    if args.name == "diamond" then
        if gameDataManager.getGameLv() < _globalCfg.freeGoldAndDiamond then
            self:closeSelf()  
            uiMgr:getUI(_UI.FloatTips): shwoGetAwardTipsAnim(dataConfigMgr.getLanguage(1069))
            return
        else 
            self:closeSelf()
            uiMgr:openUI(_UI.DayAward)
            return
        end
    end
    if args.name == "gold" and gameDataManager.getGameLv() < _globalCfg.freeGoldAndDiamond then
        self:closeSelf()  
        uiMgr:getUI(_UI.FloatTips): shwoGetAwardTipsAnim(dataConfigMgr.getLanguage(1060))
        return
    end

	self:addClickByPath("content/gold/closeBtn", self.onGoldCloseBtn) 
	self:addClickByPath("content/diamond/closeBtn", self.onDiamondCloseBtn) 
	self:addClickByPath("content/vigor/closeBtn", self.onVigorCloseBtn) 
	self:addClickByPath("content/gold/videoBtn", self.onGoldGetBtn) 
	self:addClickByPath("content/diamond/videoBtn", self.onDiamondGetBtn) 
	self:addClickByPath("content/vigor/videoBtn", self.onVigorGetBtn) 
    self.goldNumText = self:getCom("content/gold/goldNum",_UICom.Text)
    self.diamondNumText = self:getCom("content/diamond/diamondNum",_UICom.Text)
    self.freeGoldText = self:getCom("content/gold/tips",_UICom.Text)
    self.freeGoldBtn = self:getCom("content/gold/videoBtn/text",_UICom.Text)
    self.freeDiamondBtn = self:getCom("content/diamond/videoBtn/text",_UICom.Text)
    self.freeVigorBtn = self:getCom("content/vigor/videoBtn/text",_UICom.Text)
    self.goldTitleName = self:getCom("content/gold/title/name",_UICom.Text)
    self.diamondTitleName = self:getCom("content/diamond/title/name",_UICom.Text)
    self.vigorTitleName = self:getCom("content/vigor/title/name",_UICom.Text)
    self.vigorTips = self:getCom("content/vigor/tips",_UICom.Text)
    self.goldObj = self:getObj("content/gold")
    self.diamondObj = self:getObj("content/diamond")
    self.vigorObj = self:getObj("content/vigor")
    self.vigorVideoBtn = self:getObj("content/vigor/videoBtn")
    self.diamondVideoBtn = self:getObj("content/diamond/videoBtn")
    self.goldVideoBtn = self:getObj("content/gold/videoBtn")
    self.vigorVideoTips = self:getObj("content/vigor/videoTips")
    self.vigorVideoTipsText = self:getCom("content/vigor/videoTips",_UICom.Text)
    self.diamondVideoTips = self:getObj("content/diamond/videoTips")
    self.diamondVideoTipsText = self:getCom("content/diamond/videoTips",_UICom.Text)
    self.goldVideoTips = self:getObj("content/gold/videoTips")
    self.goldVideoTipsText = self:getCom("content/gold/videoTips",_UICom.Text)
    self.vigorVideoNum = self:getCom("content/vigor/videoNum",_UICom.Text)
    self.diamondVideoNum = self:getCom("content/diamond/videoNum",_UICom.Text)
    self.goldVideoNum = self:getCom("content/gold/videoNum",_UICom.Text)
    self.goldObj:SetActive(false)
    self.diamondObj:SetActive(false)
    self.vigorObj:SetActive(false)
    if args.name == "gold" then
        self.goldObj:SetActive(true)
        self.goldNum = gameDataManager.calFreeGold()
        self.goldTitleName.text = dataConfigMgr.getLanguage(1060)
        self:bindGoldPanel()
    elseif args.name == "diamond" then
        self.diamondObj:SetActive(true)
        self.diamondNum = gameDataManager.calFreeDiamond()
        self.diamondTitleName.text = dataConfigMgr.getLanguage(1069)
        self:bindDiamondPanel()
    elseif args.name == "vigor" then
        self.freeVigorBtn.text = dataConfigMgr.getLanguage(1024)
        self.vigorTitleName.text = dataConfigMgr.getLanguage(1061)
        self.vigorTips.text = dataConfigMgr.getLanguage(1071)
        self:bindVigorPanel()
        self.vigorObj:SetActive(true)
    end
end

--关闭金币界面
function UIFreeGet:onGoldCloseBtn()
    self:closeSelf()
end

--关闭钻石界面
function UIFreeGet:onDiamondCloseBtn()
    self:closeSelf()
end

--关闭精力界面
function UIFreeGet:onVigorCloseBtn()
    self:closeSelf()
end

--绑定体力界面
function UIFreeGet:bindVigorPanel()
    local val = sdkMgr:getVideoPointIsUseUp(1)
    local num = dataConfigMgr.getVideoPointNum(1).num - sdkMgr:getVideoPointNum(1)
    self.vigorVideoBtn:SetActive(not val)
    self.vigorVideoTips:SetActive(val)
    self.vigorVideoTipsText.text = dataConfigMgr.getLanguage(1086)
    self.vigorVideoNum.text = dataConfigMgr.getLanguage(1085)..": "..num
end

--绑定金币界面
function UIFreeGet:bindGoldPanel()
    self.goldNumText.text = _gameTools.convertNumberToLabelString(self.goldNum)
    self.freeGoldText.text = dataConfigMgr.getLanguage(1021)
    self.freeGoldBtn.text = dataConfigMgr.getLanguage(1024)
    local val = sdkMgr:getVideoPointIsUseUp(3) 
    local num = dataConfigMgr.getVideoPointNum(3).num - sdkMgr:getVideoPointNum(3)
    self.goldVideoBtn:SetActive(not val)
    self.goldVideoTips:SetActive(val)
    self.goldVideoTipsText.text = dataConfigMgr.getLanguage(1086)
    self.goldVideoNum.text = dataConfigMgr.getLanguage(1085)..": "..num
end

--绑定钻石界面
function UIFreeGet:bindDiamondPanel()
    self.diamondNumText.text = _gameTools.convertNumberToLabelString(self.diamondNum)
    self.freeDiamondBtn.text = dataConfigMgr.getLanguage(1024)
    local val = sdkMgr:getVideoPointIsUseUp(2) 
    local num = dataConfigMgr.getVideoPointNum(2).num - sdkMgr:getVideoPointNum(2)
    self.diamondVideoBtn:SetActive(not val)
    self.diamondVideoTips:SetActive(val)
    self.diamondVideoTipsText.text = dataConfigMgr.getLanguage(1086)
    self.diamondVideoNum.text = dataConfigMgr.getLanguage(1085)..": "..num
end

--视频领取金币
function UIFreeGet:onGoldGetBtn()
    local opts = {}
    opts.unitId = 3
    opts.objectTable = self
    opts.callBack = self.onGoldGetCallBack
    sdkMgr:showAd(opts)
end
function UIFreeGet:onGoldGetCallBack(result)
    if result then
        gameDataManager.addGold(self.goldNum)
        uiMgr:getUI(_UI.FloatTips):shwoGetAwardTipsAnim(dataConfigMgr.getLanguage(1054))
        self:closeSelf()
    end
end

--视频领取钻石
function UIFreeGet:onDiamondGetBtn()
    local opts = {}
    opts.unitId = 2
    opts.objectTable = self
    opts.callBack = self.onDiamondCallBack
    sdkMgr:showAd(opts)
end
function UIFreeGet:onDiamondCallBack(result)
    if result then
        gameDataManager.addDiamond(self.diamondNum)
        uiMgr:getUI(_UI.FloatTips):shwoGetAwardTipsAnim(dataConfigMgr.getLanguage(1056))
        self:closeSelf()
    end
end

--视频领取精力
function UIFreeGet:onVigorGetBtn()
    local opts = {}
    opts.unitId = 1
    opts.objectTable = self
    opts.callBack = self.onVigorCallBack
    sdkMgr:showAd(opts)
end
function UIFreeGet:onVigorCallBack(result)
    if result then
        _gameTools.luaError("Edward: vidoe add tili")
        gameDataManager.addVigor(3,false)
        uiMgr:getUI(_UI.FloatTips):shwoGetAwardTipsAnim(dataConfigMgr.getLanguage(1055))
        self:closeSelf()
        eventMgr:broadcastEvent(_EventType.RefreshVigorAndGameLv, false)
    end
end

return UIFreeGet
--endregion