--region 加载界面
--Date
--此文件由[BabeLua]插件自动生成
require "ui/uiBase"

UIFreeGun = Class(UIBase)

function UIFreeGun:start(args)    
	self:addClickByPath("content/getGun/closeBtn", self.onCloseBtn) 
	self:addClickByPath("content/getGun/videoBtn", self.onVideoBtn) 

    self.freeGunPanel = self:getObj("content/getGun")
    self.freeGunAnim = self:getObj("content/anim")
    self.box = self:getObj("content/anim/box")
    self.boxTop = self:getObj("content/anim/box/boxTop")
    self.boxBottom = self:getObj("content/anim/box/boxBottom")
    self.light = self:getObj("content/anim/box/light")
    self.boxCenter = self:getObj("content/anim/box/boxCenter")
    self.gun = self:getObj("content/anim/box/gun")
    self.tipsText = self:getCom("content/getGun/tips",_UICom.Text)
    self.videoBtnText = self:getCom("content/getGun/videoBtn/text",_UICom.Text)
    self.content = self:getObj("content")

    self.posX = { 68.6, 31.2, 10.6,  -30.6, -64.9 }
    self.posY = { -122, -91.5, -80.1, -59.5, -96.9 }
    self.tipsText.text = dataConfigMgr.getLanguage(1023)
    self.videoBtnText.text = dataConfigMgr.getLanguage(1024)
    self.freeGunAnim:SetActive(false) 
    self.freeGunPanel:SetActive(true)
    _gameTools.popupShowAnim(self.content)
end
 
--关闭免费枪支界面
function UIFreeGun:onCloseBtn()
    self:closeSelf()
end

--视频领取免费枪支
function UIFreeGun:onVideoBtn()
    local opts = {}
    opts.unitId = 5
    opts.objectTable = self
    opts.callBack = self.onVideoCallBack
    sdkMgr:showAd(opts)
end
function UIFreeGun:onVideoCallBack(result)
    if result then
        self.freeGunAnim:SetActive(true) 
        self.freeGunPanel:SetActive(false)
        self:playFreeGunAnim()
    end
end

--播放开启免费枪支动画
function UIFreeGun:playFreeGunAnim()
    _DoTweenHelper:FadeIn(self.boxTop,0.3)
    _DoTweenHelper:FadeIn(self.boxBottom,0.3)
    _DoTweenHelper:ScaleXYZ(self.box, Vector3(1,1,1), Ease.Linear, 0.3, 0, nil)
    _DoTweenHelper:Move(self.box, Vector3.New(0,-80,0), Ease.Linear, 0.1, function()
        _DoTweenHelper:Move(self.box, Vector3.New(0,100,0), Ease.Linear, 0.1, function()
            _DoTweenHelper:ScaleXYZ(self.box, Vector3(1.12,1.12,1.12), Ease.Linear, 0.1, 0, function()
                    _DoTweenHelper:ScaleXYZ(self.box, Vector3(1,1,1), Ease.Linear, 0.1, 0, nil)
                    _DoTweenHelper:Move(self.box, Vector3.New(0,0,0), Ease.Linear, 0.1, function()
                        _DoTweenHelper:ScaleXYZ(self.box, Vector3(1,0.8,1), Ease.Linear, 0.2, 0, function()
                            _DoTweenHelper:ScaleXYZ(self.box, Vector3(1,1.2,1), Ease.Linear, 0.2, 0, function()
                            _DoTweenHelper:FadeOut(self.boxTop, 0.2)
                            self.boxCenter:SetActive(true)
                            _DoTweenHelper:ScaleXYZ(self.box, Vector3(1,1,1), Ease.Linear, 0.2, 0, nil)
                            _DoTweenHelper:Move(self.boxTop,Vector3.New(9.6, 300, 0), Ease.Linear, 0.2, function ()
                                self.boxTop:SetActive(false)
                                self.light:SetActive(true)                    
                                for i = 1,5 do
                                    local item = self.gun.transform:GetChild(i - 1).gameObject
                                    _DoTweenHelper:FadeIn(item, 0.2 * i )
                                    _DoTweenHelper:Move(item, Vector3.New(self.posX[i],self.posY[i],0), Ease.Linear, 0.2 * i , nil)
                                end
                                 _DoTweenHelper:Move(self.box,Vector3.New(0, 0, 0), Ease.Linear, 1, function ()
                                    _DoTweenHelper:Move(self.box,Vector3.New(0, 150, 0), Ease.Linear, 0.25, function ()
                                         local endPos = self.freeGunAnim.transform:InverseTransformPoint(uiMgr:getUI(_UI.Main).freeGunBtn.transform.position)
                                         _DoTweenHelper:Move(self.box, endPos, Ease.Linear, 0.5, function()
                                            gameDataManager.setFreeGunNum(12)                                            
                                            uiMgr:getUI(_UI.Main).isStartAdd = false
                                            uiMgr:getUI(_UI.Main):refreshFreeGun()
                                            uiMgr:getUI(_UI.Main):addFreeGun()
                                            self:closeSelf()
                                            uiMgr:getUI(_UI.FloatTips):shwoGetAwardTipsAnim(dataConfigMgr.getLanguage(1048))
                                            end)
                                            _DoTweenHelper:FadeOut(self.box, 0.5) 
                                            _DoTweenHelper:ScaleXYZ(self.box, Vector3(0.1,0.1,0.1), Ease.Linear, 0.5, 0, function()                                            
                                        end)                                                                               
                                    end)
                                 end)
                            end)
                        end)
                    end)
                end)   
            end)
        end)
    end)
end

return UIFreeGun
--endregion