--region 加载界面
--Date
--此文件由[BabeLua]插件自动生成
require "ui/uiBase"

UIFreeUpGun = Class(UIBase)

function UIFreeUpGun:start(args)
	self:addClickByPath("content/closeBtn", self.onCloseBtn) 
	self:addClickByPath("content/videoBtn", self.onVideoBtn) 

    self.currentGunIcon = self:getCom("content/gunBg/gunIcon",_UICom.Image)
    self.upGunIcon = self:getCom("content/upGunBg/upGunIcon",_UICom.Image)
--    self.currentGunName = self:getCom("content/upGunIcon/text",_UICom.Text)
    self.currentGunLv = self:getCom("content/gunBg/lv",_UICom.Text)
    self.upGunLv = self:getCom("content/upGunBg/lv",_UICom.Text)
    self.blockObj = self:getObj("content/upGunBg/block")
    self.gunBgObj = self:getObj("content/gunBg")
--    self.upGunName = self:getCom("content/upGunIcon/text",_UICom.Text)
    self.freeUpGunText = self:getCom("content/title/text", _UICom.Text)
    self.videoBtnText = self:getCom("content/videoBtn/text", _UICom.Text)
    self.arrowObj = self:getObj("content/arrow")
    self.upGunBgObj = self:getObj("content/upGunBg")


    self:showPopupAnim()
    self.arrowList = {}
    self.arrowListLength  = 0
    self.isStartPlay = false
    for i = 1,self.arrowObj.transform.childCount do
        local item = self.arrowObj.transform:GetChild(i - 1)
        local img = item.gameObject:GetComponent(_UICom.Image)
        self.arrowList[i] = img
    end
    self.arrowListLength = #self.arrowList
    self.callBack = args
    self.colorA = {1,0.85,0.7}
    self.colorB = {0.85,0.7,1}
    self.colorC = {0.7,1,0.85}
    self.arrowTime = 0.2
    self.arrowTimes = 1
    self.blockTime = 0.1
    self:initTxt()    
    self:bindFreeUpGunPanel()
    self.updateHandler = _gameTools.addUpdate(self.onUpdate, self)   
end

function UIFreeUpGun:initTxt()
    self.freeUpGunText.text = dataConfigMgr.getLanguage(1083)
    self.videoBtnText.text = dataConfigMgr.getLanguage(1084)
end

--绑定免费升级界面
function UIFreeUpGun:bindFreeUpGunPanel()
    local lv = gameDataManager.getCurGunLv()
    local currentGun = dataConfigMgr.getFirearms(lv)
    local upGun = dataConfigMgr.getFirearms(lv + 2)
    self.currentGunIcon.sprite = self:loadObject("atlas_gunIcon", currentGun.icon)
    self.upGunIcon.sprite = self:loadObject("atlas_gunIcon", upGun.icon)
--    self.currentGunName.text = currentGun.name
--    self.upGunName.text = upGun.name
    self.currentGunLv.text = lv
    self.upGunLv.text = lv + 2      
end

function UIFreeUpGun:onCloseBtn()
    self:closeSelf()
    self.callBack(0)
end

--视频升级
function UIFreeUpGun:onVideoBtn()
    local opts = {}
    opts.unitId = 24
    opts.objectTable = self
    opts.callBack = self.onVideoCallBack
    sdkMgr:showAd(opts)
end

function UIFreeUpGun:onVideoCallBack(result)
    if result then
        self:closeSelf()
        self.callBack(2)
        gameDataManager.addFreeUpGunNum()
    end
end

--界面出现动画
function UIFreeUpGun:showPopupAnim()
    self.gunBgObj.transform.localScale = Vector3(0.01, 0.01, 0.01)
    self.gunBgObj:SetActive(true)
    _DoTweenHelper:ScaleXYZ(self.gunBgObj, Vector3(1,1,1), Ease.Linear, 0.1, 0, function()
--    _DoTweenHelper:Move(self.gunBgObj, Vector3.New(14.6, -259.7, 0), Ease.Linear, 0.1, function()     
        self.arrowObj:SetActive(true)   
        _DoTweenHelper:Move(self.arrowObj, Vector3.New(18.4, -107.7, 0), Ease.Linear, 0.2, function()
            
            self.upGunBgObj.transform.localScale = Vector3(0.01,0.01,0.01)
            self.upGunBgObj:SetActive(true)
            _DoTweenHelper:ScaleXYZ(self.upGunBgObj, Vector3(1.25, 1.25, 1.25), Ease.Linear, 0.1, 0.1, function()                
                 _DoTweenHelper:ScaleXYZ(self.upGunBgObj, Vector3(1, 1, 1), Ease.Linear, 0.1, 0, function()
                    self.isStartPlay = true        
                end)
            end)
        end)
    end)
end

--箭头动画
function UIFreeUpGun:arrowAnim()
    self.arrowTime = self.arrowTime + Time.deltaTime
    if self.arrowTime >= 0.5 then
        self.arrowTime = 0
        local tmp = nil
        if self.arrowTimes > 3 then
            self.arrowTimes = 1
        end
        if self.arrowTimes == 1 then
            tmp = self.colorA
        elseif self.arrowTimes == 2 then
            tmp = self.colorB
        else
            tmp = self.colorC
        end
        for i = 1,self.arrowListLength do
            self.arrowList[i].color = Color(1,1,1, tmp[i])
        end
        self.arrowTimes = self.arrowTimes + 1
    end
end

function UIFreeUpGun:blockAnim()
    if self.isStartPlay then
        self.blockTime = self.blockTime + Time.deltaTime
        if self.blockTime >= 0.1 then
            self.blockTime = 0
            uiMgr:getUI(_UI.FloatTips):freeUpGunAnim(self.blockObj.transform)
        end
    end
end

function UIFreeUpGun:onUpdate()
    self:arrowAnim()
    self:blockAnim()
end

function UIFreeUpGun:onClear()
    _gameTools.removeUpdate(self.updateHandler)
end

return UIFreeUpGun
--endregion