﻿
require "ui/uiBase"

UIMain = Class(UIBase)

function UIMain:ctor()

end

function UIMain:start()
	self:addClickByPath("content/enterBtn", self.onStartBtnClick)
	self:addClickByPath("content/bottomRoot/shopBtn", self.onShopBtnClick) 
	self:addClickByPath("content/getDiamondBtn/finished", self.onGetDiamondBtnClick) 
	self:addClickByPath("content/swappedGunsBtn", self.onSwappedGunsBtnClick) 
	self:addClickByPath("content/clickSwapped", self.onSwappedGunsBtnClick)     
	self:addClickByPath("content/bottomRoot/freeGunsBtn/freeBox", self.onFreeGunsBtnClick) 
	self:addClickByPath("content/bottomRoot/dayAwardBtn", self.onDayAwardBtnClick) 
	self:addClickByPath("content/bottomRoot/earningsBtn", self.onEarningsBtnClick) 
	self:addClickByPath("content/bottomRoot/buyBtn", self.onBuyBtnClick) 
	self:addClickByPath("content/topRoot/setBtn", self.onSetBtn) 
	self:addClickByPath("content/topRoot/signBtn", self.onSignBtn) 
	self:addClickByPath("content/topRoot/dialBtn", self.onDialBtn) 
	self:addClickByPath("content/topRoot/vigor/addVigorBtn", self.onGetVigorBtnClick) 
    self:addClickByPath("content/clearGameData", self.onClearGameDataClick) 
    self:addClickByPath("content/bottomRoot/rubbishBtn", self.onRubbishBtnClick) 
    self:addClickByPath("content/mergeRoot/boxIcon", self.onBoxBtn)
    self:addClickByPath("content/mergeRoot/goldBoxIcon", self.onGoldBoxBtn)
    self:addClickByPath("content/getDiamondBtn/task", self.onTragetTaskBtn)

    self.bottomRoot = self:getObj("content/bottomRoot")
    self.totalGoldText = self:getCom("content/topRoot/gold/goldNum",_UICom.Text)
    self.totalDiamondText = self:getCom("content/topRoot/diamond/diamondNum",_UICom.Text)
    self.perSecondEarningText = self:getCom("content/topRoot/gold/earnings",_UICom.Text)
    self.getDiamondText = self:getCom("content/getDiamondBtn/finished/diamondNum",_UICom.Text)
    self.buyGunPriceText = self:getCom("content/bottomRoot/buyBtn/goldNum",_UICom.Text)
    self.gunLvText = self:getCom("content/bottomRoot/buyBtn/gunLv/lvText",_UICom.Text)
    self.currentGameLvText = self:getCom("content/enterBtn/gameLv",_UICom.Text)
--    self.vigorObj = self:getObj("content/topRoot/vigor/vigorPoint")
    self.finishTask = self:getObj("content/getDiamondBtn/finished")
    self.enterBtnObj = self:getObj("content/enterBtn")
    self.targetTask = self:getObj("content/getDiamondBtn/task")
    self.freeGunBtn = self:getObj("content/bottomRoot/freeGunsBtn")
    self.dayAwardBtn = self:getObj("content/bottomRoot/dayAwardBtn")
--    self.freeGunButton = self:getCom("content/bottomRoot/freeGunsBtn", _UICom.Button) 
--	self.dayAwardButton= self:getCom("content/bottomRoot/dayAwardBtn", _UICom.Button) 
    self.diamondIcon = self:getObj("content/topRoot/diamond/icon")
    self.goldIcon = self:getObj("content/topRoot/gold/icon")
    self.diamondObj = self:getObj("content/topRoot/diamond")
    self.goldObj = self:getObj("content/topRoot/gold")
    self.starObj = self:getObj("content/bottomRoot/freeGunsBtn/freeGun/xx")
    self.freeGunObj = self:getObj("content/bottomRoot/freeGunsBtn/freeGun")
    self.freeBox = self:getObj("content/bottomRoot/freeGunsBtn/freeBox/box")
    self.freeBoxObj = self:getObj("content/bottomRoot/freeGunsBtn/freeBox")
    self.freeBoxTipsBg = self:getObj("content/bottomRoot/freeGunsBtn/tipsBg")
    self.vigorIcon = self:getObj("content/topRoot/vigor/icon")
    self.mergeTipsHandle = self:getObj("content/mergeRoot/mergeTipsHandle")
    self.gunBoxImg = self:getObj("content/mergeRoot/boxIcon")
    self.goldBoxImg = self:getObj("content/mergeRoot/goldBoxIcon")
    self.freeGunFlyIcon = self:getObj("content/mergeRoot/freeGunIcon")
    self.saoGuangObj = self:getObj("content/enterBtn/saoGuang")
    self.freeGunFlyImg = self:getCom("content/mergeRoot/freeGunIcon", _UICom.Image)
--    self.markObj = self:getObj("uiMain/content/bottomRoot/tipsAnim/mark")
--    self.markAnimObj = self:getObj("uiMain/content/bottomRoot/tipsAnim")
    self.vigorTimeText = self:getCom("content/topRoot/vigor/time",_UICom.Text)
    self.freeGunTipsText = self:getCom("content/bottomRoot/freeGunsBtn/freeGun/tips",_UICom.Text)
    self.freeGunNumText = self:getCom("content/bottomRoot/freeGunsBtn/tipsBg/text",_UICom.Text)
    self.swappedGunText = self:getCom("content/swappedGunsBtn/swappedText",_UICom.Text)
    self.gunRawImage = self:getCom("content/gunImg", _UICom.RawImage)
    self.gunRawImgRectTrans = self:getCom("content/gunImg", _UICom.RectTransform)
    self.taskTipsText = self:getCom("content/getDiamondBtn/task/taskTips",_UICom.Text)
    self.taskNameText = self:getCom("content/getDiamondBtn/task/name",_UICom.Text)
    self.earningText = self:getCom("content/bottomRoot/earningsBtn/time",_UICom.Text)
    self.currentGunName = self:getCom("content/topRoot/gunNameBg/gunName",_UICom.Text)
    self.vigorNumText = self:getCom("content/topRoot/vigor/vigorNum",_UICom.Text)
    self.buyGunIcon = self:getCom("content/bottomRoot/buyBtn/gunIcon",_UICom.Image)
    self.swappedIconObj = self:getObj("content/swappedGunsBtn/swappedIcon")
    self.mergeBgEff = self:getObj("content/mergeRoot/mergeEffect1")
    self.rubbishIcon = self:getObj("content/bottomRoot/rubbishBtn/icon")
    self.modelCamera = self:getCom("content/modelCamera", "Camera")
    self.modelRoot = self:getObj("content/modelCamera/modelRoot")
    self.buyBtnObj = self:getObj("content/bottomRoot/buyBtn")
    self.rubbishBtn = self:getCom("content/bottomRoot/rubbishBtn", "EventSender")
    self.signRedPoint = self:getObj("content/topRoot/signBtn/red")
    self.signBtn = self:getObj("content/topRoot/signBtn")
    self.dialRedPoint = self:getObj("content/topRoot/dialBtn/red")
    self.rubbishBtn.luaTab = self
    
    self.guideMask = self:getObj("content/guideMask")
    self.txtGuideSellGun = self:getCom("content/guideMask/bubbleImg/txtDesc", _UICom.Text)
    self.sellGunFinger = self:getObj("content/guideMask/finger")
    self:addClickByPath("content/guideMask/click", self.onGuideMaskClick)

    self.mergeRoot = self:getObj("content/mergeRoot")
    self.dragItemList = {}
    self.markAnimNum = 0
    self.isStartVigor = false
    self.vigorTotalTime = 0
    self.goldRotateTime = 0
    self.mergeTipsTime = 0
    self.saoGuangTime = 0
    self.showMergeTipsTime = 2
    self.startPosId = nil
    self.ordinaryBoxTime = 0
    self.endPosId = 0
    self.existGoldBoxPos = nil
    self.ordinaryBox = nil
    self.isShowHandle = false 
--    self.isOpeningBox = false
    self.isGetBox = gameDataManager.getGameLv() >= _globalCfg.gunBoxGameLv and true or false

    local dragItemPath = "content/mergeRoot/dragItem"
    for i = 1, 12 do
        local obj = self:getObj(dragItemPath..i)
        local info = {}
        info.obj = obj
        info.flashBox = self:getObj("flashBox", obj)
        info.bg = self:getObj("bg", obj)
        info.icon = self:getCom("icon", _UICom.Image, obj)
        info.iconLoopEffect = info.icon.gameObject:GetComponent("UIGunLoopRotate")
        info.txtLv = self:getCom("txtLv", _UICom.Text, obj)
--        info.lvBg = self:getObj("lvBg", obj)
        obj:GetComponent("EventSender").luaTab = self
        info.flashBox:SetActive(false)
        self.dragItemList[i] = info
    end
    self.dragTemplateObj = self:getObj("content/mergeRoot/dragTemplate")
    self.dragTemplateIcon = self:getCom("content/mergeRoot/dragTemplate/icon", _UICom.Image)
    self.mergeEffectObj = self:getObj("content/mergeRoot/mergeEffect")
    self.mergeEffectIcon1 = self:getCom("content/mergeRoot/mergeEffect/icon1", _UICom.Image)
    self.mergeEffectIcon2 = self:getCom("content/mergeRoot/mergeEffect/icon2", _UICom.Image)

    self.renderTexture = RenderTexture.New(640, 400, 2)
    self.modelCamera.targetTexture = self.renderTexture
    self.gunRawImage.texture = self.renderTexture
    self.gunModel = nil
    self.taskDiamondAward = 0
    self.buyBtnAnimTime = 0
    self.enterBtnTime = 0
    self.showBoxTime = 0
    self.earningTime = 0
    self.swappedIconTime  = 0
    self.mainTime = ""
    self.isStartEnterBtn = true   
    self.freeBoxXxAnimTime = 0.75 
    self.isStartAdd = false                 
    self.isStartBuyBtnAnim = true
    self.targetTaskCfg = dataConfigMgr.getTargetTaskTab()
    table.sort(self.targetTaskCfg, function(a,b)
        return a.sort < b.sort
    end)
    self.earningText.transform.gameObject:SetActive(false)

    self.lightList = {}
    for i = 1, 13 do
        local item = {}
        item.com = self:getCom("content/lightRoot/light"..i, _UICom.Image)
        item.tweener = nil
        self.lightList[i] = item
    end
    self.lightRootFadeOutInList = {}
    for i = 1, 10 do
        local item = {}
        item.com = self:getCom("content/lightRootFadeOutIn/light"..i, _UICom.Image)
        item.tweener = nil
        self.lightRootFadeOutInList[i] = item
    end

    self.xxObj = self:getObj("content/xx")
    self.fireStarsList = {}
    for i = 1, 10 do
        self.fireStarsList[i] = self:getCom("xx"..i, _UICom.Image, self.xxObj)
    end

    self.freeBoxXxList = {}
    for i = 1,self.starObj.transform.childCount do
        self.freeBoxXxList[i] = self.starObj.transform:GetChild(i - 1)
    end

--    self.freeGunAnimState = nil ---

    
    self:refreshPanel()

    self:registerEvent(_EventType.RefreshGunModel, self, self.refreshGunModel) 
    self:registerEvent(_EventType.RefreshMoney, self, self.refreshPanelMoney)
    self:registerEvent(_EventType.ProductMoney, self, self.showProductMoney)
    self:registerEvent(_EventType.RefreshGunPrice, self, self.refreshPanelGunData)
    self:registerEvent(_EventType.RefreshProductPerSec, self, self.refreshPruductPerSec)
    self:registerEvent(_EventType.addFreeGun, self, self.addFreeGun)
    self:registerEvent(_EventType.RefreshVigorAndGameLv, self, self.refreshPanelGameData)
    self:registerEvent(_EventType.RefreshTargetTask, self, self.refreshTargetTaskData)
    self:registerEvent(_EventType.HideMergeTipsAnim, self, self.hideMergeTipsAnim)

    audioMgr:playMusic("mainBg1", true)    

    _gameTools.checkAllGuide()
    self.updateHandler = _gameTools.addUpdate(self.onUpdate, self) 
    self:initTxt()

    self.modelRoot.transform.localEulerAngles = Vector3(0,-90,0)

    luaMain.directionalLight:SetActive(true)

    self.lightDirPro = 0.5
    self.playLightAnimaTimer = 1
    self.lightAnimaIndex = 0

    self.playLightFadeAnimaTimer = 1
    self.lightFadeAnimaIndex = 0
   
    self:playFireXxAnim()
    self:playXxAnim()  
    self:freeGunShakeAnim()
--    self:playLightAnima()
end

function UIMain:initTxt()
    self.txtGuideSellGun.text = dataConfigMgr.getLanguage(123)
    self.swappedGunText.text = dataConfigMgr.getLanguage(1070)
end

function UIMain:onStartBtnClick()
    if gameDataManager.getVigor() > 0 then
        battleMgr:setCurrentLevel(gameDataManager.getGameLv())
        levelMgr:changeScene(_ESceneName.Battle)
        if self.existGoldBoxPos then
            gameDataManager.setGoldBoxPos(self.existGoldBoxPos)
        end
        if self.ordinaryBox then
            self.ordinaryBoxTime = 0
            self.isOpenOrdinaryBox = false
            self:onBoxBtn()
        end
    else
        uiMgr:openUI(_UI.FreeGet,false,{name = "vigor"})
    end
    eventMgr:broadcastEvent(_EventType.RefreshVigorAndGameLv, false)
end

function UIMain:onUpdate()
	self:earningCD()
    self:playBuyBtnAnim()
    self:enterBtnAnim()
    self.modelRoot.transform.localEulerAngles = Vector3(0, -90 + math.sin(Time.time) * 45, 0)

    if self.playLightAnimaTimer > 0 then
        self.playLightAnimaTimer = self.playLightAnimaTimer - Time.deltaTime
        if self.playLightAnimaTimer <= 0 then
            self.playLightAnimaTimer = math.random() * 0.5 + 1.5
            self.lightAnimaIndex = self.lightAnimaIndex + 1
            if self.lightAnimaIndex > #self.lightList then
                self.lightAnimaIndex = 1
            end
            self:oneLightAnima(self.lightList[self.lightAnimaIndex])
        end
    end

    if self.playLightFadeAnimaTimer > 0 then
        self.playLightFadeAnimaTimer = self.playLightFadeAnimaTimer - Time.deltaTime
        if self.playLightFadeAnimaTimer <= 0 then
            self.playLightFadeAnimaTimer = math.random() * 0.2 + 0.5
            self.lightFadeAnimaIndex = self.lightFadeAnimaIndex + 1
            if self.lightFadeAnimaIndex > #self.lightRootFadeOutInList then
                self.lightFadeAnimaIndex = 1
            end
            self:oneLightAnima2(self.lightRootFadeOutInList[math.random(1, #self.lightRootFadeOutInList)])
        end
    end

    self:checkMergeTips()
    self:showMergeTipsAnim()
    self:getGunBox()
    self:swappedIconAnim()
    self:saoGuangAnim()
end

--打开商城界面
function  UIMain:onShopBtnClick()
    uiMgr:openUI(_UI.Shop)        
end

--打开设置界面
function UIMain:onSetBtn()
    uiMgr:openUI(_UI.GameSet)
end

--打开签到界面
function UIMain:onSignBtn()
    uiMgr:openUI(_UI.Sign)
end

--打开转盘界面
function UIMain:onDialBtn()
    uiMgr:openUI(_UI.Dial)
end

--点击目标任务按钮
function UIMain:onTragetTaskBtn()
    uiMgr:getUI(_UI.FloatTips):shwoGetAwardTipsAnim(dataConfigMgr.getLanguage(1076))
end

--领取任务钻石
function UIMain:onGetDiamondBtnClick()
    if self.taskDiamondAward ~= 0 then
        local task = gameDataManager.getFinishTaskNum()
        gameDataManager.addFinishTaskNum()
        gameDataManager.addDiamond(self.taskDiamondAward)
        self:playFlyAnim(2)
        self:refreshTargetTaskData()
        uiMgr:getUI(_UI.FloatTips):shwoGetAwardTipsAnim(dataConfigMgr.getLanguage(1046))
    end
end

--播放钻石和金币飞动画
function UIMain:playFlyAnim(args)
    --1金币2钻石
    if args == 1 then
        for i = 1,15 do
            local x,y = 181 + ( math.random() - 0.5) * 300, - 598 + ( math.random() - 0.5) * 250
            uiMgr:getUI(_UI.FloatTips):showGoldFly(Vector3(x,y,0), Vector3(181,-598,0), self.goldIcon, self.goldObj.transform)
        end
    elseif args == 2 then
        for i = 1,15 do
            local x,y = -102 + ( math.random() - 0.5) * 300, - 598 + ( math.random() - 0.5) * 250
            uiMgr:getUI(_UI.FloatTips):showDiamondFly(Vector3(x,y,0), Vector3(-102,-598,0), self.diamondIcon, self.diamondObj.transform)
        end
    end
end


--更换枪械
function UIMain:onSwappedGunsBtnClick()
    uiMgr:openUI(_UI.SwappedGun)
end

--免费枪支
function UIMain:onFreeGunsBtnClick()
    if gameDataManager.bagIsFull() then
        uiMgr:openUI(_UI.FreeGun)
    else
        uiMgr:getUI(_UI.FloatTips):shwoGetAwardTipsAnim(dataConfigMgr.getLanguage(1044))
    end
end

--每日奖励
function UIMain:onDayAwardBtnClick()
    uiMgr:openUI(_UI.DayAward)
end

--添加免费枪支
function UIMain:addFreeGun()
    if gameDataManager.getFreeGunNum() > 0 then
        if self.isStartAdd then                                 
            return
        end
        self.isStartAdd = true 
        local pos = gameDataManager.bagIsFull()    
        if pos then
            gameDataManager.setBagDataById(pos, 99999)
            local lv = gameDataManager.randomGetGun()
            self.freeGunFlyIcon:SetActive(true)  
            self:playFreeGunFlyAnim(pos, lv, function()
                gameDataManager.setBagDataById(pos, 0)
                gameDataManager.useFreeGunNum()
                self:addFirearmsToGrid(pos,lv)
                self.isStartAdd = false
                self.freeGunFlyIcon:SetActive(false)  
                self:refreshFreeGun()                
            end)
        else
            self.isStartAdd = false
        end        
    end
end

--免费枪支宝箱动画
function UIMain:freeGunBoxAnim()
    _DoTweenHelper:Rotate(self.freeBox, Vector3(0,0,-35), Ease.Linear, 0.3, function()
        _DoTweenHelper:Rotate(self.freeBox, Vector3(0,0,0), Ease.Linear, 0.2, function()
            _DoTweenHelper:Rotate(self.freeBox, Vector3(0,0,-30), Ease.Linear, 0.08, function()
                _DoTweenHelper:Rotate(self.freeBox, Vector3(0,0,0), Ease.Linear, 0.08, function()
                    _DoTweenHelper:Rotate(self.freeBox, Vector3(0,0,30), Ease.Linear, 0.08, function()
                        _DoTweenHelper:Rotate(self.freeBox, Vector3(0,0,0), Ease.Linear, 0.08, function()
                            _DoTweenHelper:ScaleXYZ(self.freeBox, Vector3(1,0.6,1), Ease.Linear, 0.2, 0, function()
                                _DoTweenHelper:ScaleXYZ(self.freeBox, Vector3(1,1,1), Ease.Linear, 0.2, 0, nil)
                                _DoTweenHelper:Move(self.freeBox, Vector3.New(0,35,0), Ease.Linear, 0.3, function()
                                    _DoTweenHelper:Move(self.freeBox, Vector3.New(0,15,0), Ease.Linear, 0.2, function()
                                        _DoTweenHelper:ScaleXYZ(self.freeBox, Vector3(1,0.95,1), Ease.Linear, 0.05, 0, function()
                                            _DoTweenHelper:ScaleXYZ(self.freeBox, Vector3(1,1,1), Ease.Linear, 0.05, 0, function()
                                                self:freeGunBoxAnim()
                                            end)
                                        end)
                                    end)
                                end)
                            end)
                        end)
                    end)
                end)
            end)
        end)
    end)
end

--每一个星星的动画
function UIMain:xxAnim(item)
    item.gameObject:SetActive(true)
    _DoTweenHelper:Move(item.gameObject, Vector3.New(( math.random() - 0.5) * 20, math.random() * 7 + 18, 0), Ease.Linear, math.random() * 0.8 + 1.5, function()
        item.gameObject:SetActive(false)
        item.localPosition = Vector3(0, -41, 0)
        self:xxAnim(item)
    end)        
end

--播放星星动画
function UIMain:playXxAnim()
    for i = 1,#self.freeBoxXxList do
        self:xxAnim(self.freeBoxXxList[i])
    end
end

--金币转圈动画
function UIMain:goldRotateAnim()    
    _DoTweenHelper:Rotate(self.goldIcon, Vector3(0,0,0), Ease.Linear, 3, function()
        _DoTweenHelper:Rotate(self.goldIcon, Vector3(0,90,0), Ease.Linear, 0.6, function()
            _DoTweenHelper:Rotate(self.goldIcon, Vector3(0,0,0), Ease.Linear, 0.6, function()
                self:goldRotateAnim()
            end)
        end)
    end)
--    self.fingerTween = _DoTweenHelper:LoopTween(self.goldIcon, 0, 1.5, 1.5, 0, -1, LoopType.Restart, false, function()

--    end)
end

--体力转圈动画
function UIMain:vigorRotateAnim()    
    _DoTweenHelper:Rotate(self.vigorIcon, Vector3(0,0,0), Ease.Linear, 3.6, function()
        _DoTweenHelper:Rotate(self.vigorIcon, Vector3(0,90,0), Ease.Linear, 0.5, function()
            _DoTweenHelper:Rotate(self.vigorIcon, Vector3(0,0,0), Ease.Linear, 0.1, function()
                 _DoTweenHelper:Rotate(self.vigorIcon, Vector3(0,90,0), Ease.Linear, 0.1, function()
                    _DoTweenHelper:Rotate(self.vigorIcon, Vector3(0,0,0), Ease.Linear, 0.5, function()
                        self:vigorRotateAnim()
                    end)
                end)
            end)
        end)
    end)
--    self.fingerTween = _DoTweenHelper:LoopTween(self.goldIcon, 0, 1.5, 1.5, 0, -1, LoopType.Restart, false, function()

--    end)
end

--换枪图标动画
function UIMain:swappedIconAnim()
    self.swappedIconTime = self.swappedIconTime + Time.deltaTime
    if self.swappedIconTime >= 6 then
        self.swappedIconTime  = 0
        _DoTweenHelper:Rotate(self.swappedIconObj, Vector3(0,0,-180), Ease.Linear, 0.5, function()
            _DoTweenHelper:Rotate(self.swappedIconObj, Vector3(0,0,-360), Ease.Linear, 0.5, nil)
        end)        
    end
end

--领取收益
function UIMain:onEarningsBtnClick()
    if self.earningTime <= 0 then
        uiMgr:openUI(_UI.AddEarning)
        self.earningStart = false
        self.earningTime = 0
    else
        uiMgr:getUI(_UI.FloatTips):shwoGetAwardTipsAnim(dataConfigMgr.getLanguage(1077)) 
    end
end

--开始收益
function UIMain:openEarning(args)
    self.earningTime = args
    self.earningStart = true
    self.earningText.transform.gameObject:SetActive(true)
    gameDataManager.setEarningDouble(2)    
end

--收益倒计时
function UIMain:earningCD()
    if self.earningStart then
        if self.earningTime <= 0 then
            self.earningText.transform.gameObject:SetActive(false)
            self.earningStart = false
            self.earningTime = 0
            gameDataManager.setEarningDouble(1)
            return
       end
       self.earningTime = self.earningTime - Time.deltaTime
       local m = math.floor(self.earningTime / 60)
       local s = math.floor(self.earningTime % 60)
       if m < 10 then
          m = "0"..m
       end
       if s < 10 then
          s = "0"..s
       end
       self.earningText.text = m..":"..s
    end
    
    if self.isStartVigor then
       self.vigorTotalTime = self.vigorTotalTime - Time.deltaTime
       local m = math.floor(self.vigorTotalTime / 60)
       local s = math.floor(self.vigorTotalTime % 60)
       if m < 10 then
          m = "0"..m
       end
       if s < 10 then
          s = "0"..s
       end
       self.vigorTimeText.text = m..":"..s
       self.mainTime = m..":"..s
       if self.vigorTotalTime <= 0 then
          self.isStartVigor = false
          gameDataManager.addVigor(1,false)
          eventMgr:broadcastEvent(_EventType.RefreshVigorAndGameLv, false)
          self.mainTime = nil
       end
    end
end

--购买枪械
function UIMain:onBuyBtnClick()
    local buyLv = gameDataManager.getCurGunLv()

    local price = math.floor(gameDataManager.calExpendGoldNum(buyLv))
    if price <= gameDataManager.getGold() then
        local fun = function (lv)
            local ret = self:addFirearmsToBag(buyLv + lv , true)
            if ret then
                gameDataManager.useGold(price)
            else
                if gameDataManager.guideData.isShowSellGuide == nil or gameDataManager.guideData.isShowSellGuide == 0 then
                    gameDataManager.guideData.isShowSellGuide = 1
                    self:showSellGunGuide(self.dragItemList[12].obj)
                    _gameTools.eventDot(100)
                else
                    --枪械格子已满
                    uiMgr:getUI(_UI.FloatTips):shwoGetAwardTipsAnim(dataConfigMgr.getLanguage(1044))                
                end
            end
        end

        if gameDataManager.getGameLv() >= _globalCfg.freeUpGunGameLv and not sdkMgr:getVideoPointIsUseUp(24) and math.random() > _globalCfg.freeUpGun then
            local pos = gameDataManager.bagIsFull()
            gameDataManager.setBagDataById(pos, 99999)
            uiMgr:openUI(_UI.FreeUpGun, false, function(res)
                gameDataManager.setBagDataById(pos, 0)
                fun(res)
            end)
        else
            fun(0)
        end       
    else
        --金币不足
        uiMgr:openUI(_UI.FreeGet,false,{name = "gold"})
    end

    gameDataManager.saveData()
end


--进入游戏按钮动画
function UIMain:enterBtnAnim()
    if self.isStartEnterBtn then
        self.enterBtnTime = self.enterBtnTime + Time.deltaTime
        if self.enterBtnTime >= 2 then
            self.isStartEnterBtn = false
            _DoTweenHelper:ScaleXYZ(self.enterBtnObj, Vector3(1.09,1.09,1.09), Ease.Linear, 0.3, 0, function()
                _DoTweenHelper:ScaleXYZ(self.enterBtnObj, Vector3(1,1,1), Ease.Linear, 0.1, 0, function()
                    self.isStartEnterBtn = true
                    self.enterBtnTime = 0
                end)
            end)
        end
    end
end

--枪支产钱动画
function UIMain:oneGunGetGoldAnim(item)
    _DoTweenHelper:ScaleXYZ(item, Vector3(1.2,1.2,1.2), Ease.Linear, 0.3, 0, function()
        _DoTweenHelper:ScaleXYZ(item, Vector3(1,1,1), Ease.Linear, 0.1, 0, nil)
    end)

end

--购买按钮动画
function UIMain:playBuyBtnAnim()
    if self.isStartBuyBtnAnim then
        self.buyBtnAnimTime = self.buyBtnAnimTime + Time.deltaTime
        if self.buyBtnAnimTime >= 3.5 then
            self.isStartBuyBtnAnim = false
            _DoTweenHelper:ScaleXYZ(self.buyBtnObj, Vector3(1.05,1.05,1.05), Ease.Linear, 0.3, 0, function()
                _DoTweenHelper:ScaleXYZ(self.buyBtnObj, Vector3(1,1,1), Ease.Linear, 0.1, 0, function()
                    _DoTweenHelper:ScaleXYZ(self.buyBtnObj, Vector3(1.05,1.05,1.05), Ease.Linear, 0.3, 0, function()
                        _DoTweenHelper:ScaleXYZ(self.buyBtnObj, Vector3(1,1,1), Ease.Linear, 0.1, 0, function()
                            self.isStartBuyBtnAnim = true
                            self.buyBtnAnimTime = 0
                        end)
                    end)
                end)
            end)
        end
    end
end

--垃圾箱
function  UIMain:onRubbishBtnClick()
    uiMgr:getUI(_UI.FloatTips):shwoGetAwardTipsAnim(dataConfigMgr.getLanguage(1045))
end

--获得体力
function UIMain:onGetVigorBtnClick()
--    uiMgr:openUI(_UI.FreeGet,false,{name = "vigor"})
end

--清除数据
function UIMain:onClearGameDataClick()
    _gameTools.setLocalData("wreCS_playerData", "")
    _gameTools.setLocalData("wreCS_bagData", "")
end

--刷新UIMain界面
function UIMain:refreshPanel()
    self:refreshGunModel()
    self:refreshPanelMoney()
    self:refreshPanelGunData()
    self:refreshPanelGameData()
    self:refreshPruductPerSec()
    self:refreshAllMergeItem()
    self:refreshTargetTaskData()    
    self:goldRotateAnim()
    self:vigorRotateAnim()
    self:isShowFreeGunBtn()
    self:refreshFreeGun()
    self:refreshSignRedPoint()
    self:refreshDialRedPoint()
    self:refreshShowGoldBox()
end

--刷新枪械模型的位置
function UIMain:refreshGunModelPos(gunLv, isAdapter)
    if self.gunModel == nil then
        return
    end

    local gunCfg = dataConfigMgr.getFirearms(gunLv)
    if isAdapter then
        self.gunModel.transform.localPosition = Vector3(gunCfg.showPos[1] * gameDef.ResolutionScalerX, gunCfg.showPos[2] * gameDef.ResolutionScalerY, gunCfg.showPos[3] * gameDef.ResolutionScalerX)
        self.gunModel.transform.localScale = Vector3.one * gameDef.ResolutionScalerX * gunCfg.showScale
        self.gunModel.transform.localEulerAngles = Vector3(0,0,0)
    else
        self.gunModel.transform.localPosition = Vector3(gunCfg.showPos[1] * gameDef.ResolutionScalerX, gunCfg.showPos[2], gunCfg.showPos[3] * gameDef.ResolutionScalerX)
        self.gunModel.transform.localScale = Vector3.one * gameDef.ResolutionScalerX * gunCfg.showScale
        self.gunModel.transform.localEulerAngles = Vector3(0,0,0)
    end
    
end

--刷新枪械模型
function UIMain:refreshGunModel(gunLv)
    if self.gunModel ~= nil then
        resMgr:unloadAssetBundle("unit_"..self.gunModel.name)
        GameObject.Destroy(self.gunModel)
        self.gunModel = nil
    end

    if gunLv == nil then
        gunLv = gameDataManager.getUseGunLv()
    end

    local gunCfg = dataConfigMgr.getFirearms(gunLv)
    self.gunModel = self:loadGunObj(gunCfg.model)
    self.gunModel.name = self.gunModel.name
    self.gunModel.transform:SetParent(self.modelRoot.transform)
    self.currentGunName.text = gunCfg.name

    self.gunModel.transform.localPosition = Vector3(gunCfg.showPos[1] * gameDef.ResolutionScalerX, gunCfg.showPos[2], gunCfg.showPos[3] * gameDef.ResolutionScalerX)
    self.gunModel.transform.localScale = Vector3.one * gameDef.ResolutionScalerX * gunCfg.showScale
    self.gunModel.transform.localEulerAngles = Vector3(0,0,0)

    if gunCfg.shininess ~= 0 then
        if gunCfg.type == 1 then
            self.gunMaterial = self.gunModel.transform:Find("QiangE_M"):GetComponent("SkinnedMeshRenderer")
            self.gunMaterial.sharedMaterials[0].shader = UnityEngine.Shader.Find("Mobile/Bumped Specular")
            self.gunMaterial.sharedMaterial:SetFloat("_Shininess", gunCfg.shininess)
        elseif gunCfg.type == 2 then
            self.gunMaterial = self.gunModel.transform:Find("QiangA_M"):GetComponent("SkinnedMeshRenderer")
            self.gunMaterial.sharedMaterial.shader = UnityEngine.Shader.Find("Mobile/Bumped Specular")
            self.gunMaterial.sharedMaterial:SetFloat("_Shininess", gunCfg.shininess)
        elseif gunCfg.type == 3 then
            self.gunMaterial = self.gunModel.transform:Find("QiangB_M"):GetComponent("SkinnedMeshRenderer")
            self.gunMaterial.sharedMaterial.shader = UnityEngine.Shader.Find("Mobile/Bumped Specular")
            self.gunMaterial.sharedMaterial:SetFloat("_Shininess", gunCfg.shininess)
        elseif gunCfg.type == 4 then
            self.gunMaterial = self.gunModel.transform:Find("QiangC_M"):GetComponent("SkinnedMeshRenderer")
            self.gunMaterial.sharedMaterial.shader = UnityEngine.Shader.Find("Mobile/Bumped Specular")
            self.gunMaterial.sharedMaterial:SetFloat("_Shininess", gunCfg.shininess)
        elseif gunCfg.type == 5 then
            self.gunMaterial = self.gunModel.transform:Find("QiangD_M"):GetComponent("SkinnedMeshRenderer")
            self.gunMaterial.sharedMaterial.shader = UnityEngine.Shader.Find("Mobile/Bumped Specular")
            self.gunMaterial.sharedMaterial:SetFloat("_Shininess", gunCfg.shininess)
        end
    end
end

--刷新免费枪支的状态
function UIMain:refreshFreeGun()
--    self.freeGunObj:SetActive(false)
    self.freeBoxObj:SetActive(false) 
    local freeGunNum = gameDataManager.getFreeGunNum()
    if freeGunNum > 0 then
        self.freeGunObj:SetActive(false)
        self.freeGunObj:SetActive(true)        
--        self.freeGunNumText.text = freeGunNum
        self.freeGunTipsText.text = dataConfigMgr.getLanguage(1087)..freeGunNum
    else
        if self.freeGunObj.activeSelf then
            _DoTweenHelper:ScaleXYZ(self.freeGunObj, Vector3(0.01, 0.01, 0.01), Ease.Linear, 0.2, 0, function()
                self.dayAwardBtn:SetActive(true)
                self.freeGunBtn:SetActive(false)
                self.freeGunObj:SetActive(true)
                self.freeGunBtn.transform.localScale = Vector3(1, 1, 1)
            end)
        else
        self.freeBoxObj:SetActive(true) 
        self.dayAwardBtn:SetActive(true)
--        self:freeGunBoxAnim()
--        self:playXxAnim()
--        self.freeGunNumText.text = 12
        end
    end
end

--刷新签到红点提示
function UIMain:refreshSignRedPoint()
    local state = gameDataManager.isShowSignPanel()
    self.signBtn:SetActive(state)
    if state then
        self.signRedPoint:SetActive(not gameDataManager.isSignToday())
    end
end

--刷新转盘红点提示
function UIMain:refreshDialRedPoint()
    local tmpNum = gameDataManager.getTicket()
    local val = tmpNum > 0 and true or false
    self.dialRedPoint:SetActive(val)
end

--免费枪械按钮显示
function UIMain:isShowFreeGunBtn()
--    if gameDataManager.getFreeGunNum() > 0 then
--        self.freeGunBtn:SetActive(false)
--        self.dayAwardBtn:SetActive(true)
--        if gameDataManager.getFreeGunNum() < 5 then
--            if math.random() > _globalCfg.freeGunBtnPro then
--                self:playFreeGunBtnAnim()
--            end
--        else
--            self:playFreeGunBtnAnim()
--        end
--    else
--        self.freeGunBtn:SetActive(true)
--        self.dayAwardBtn:SetActive(false)
--        self:refreshFreeGun()
--    end
    if gameDataManager.getFreeGunNum() > 0 then

    else
        local state = gameDataManager.getFreeGunBtnState()     
        if state and gameDataManager.getGameLv() >= _globalCfg.freeGunBtn and not sdkMgr:getVideoPointIsUseUp(5) then
            if math.random() > _globalCfg.freeGunBtnPro then    
                self:playFreeGunBtnAnim()
            end
        else
            self.freeGunBtn:SetActive(false)
            self.dayAwardBtn:SetActive(true)
            self:refreshFreeGun()
        end
    end
end

--免费枪械按钮出现动画
function UIMain:playFreeGunBtnAnim()
    _DoTweenHelper:FadeOut(self.dayAwardBtn, 0.8)
    _DoTweenHelper:FadeOut(self.freeGunBtn, 0.8)
    _DoTweenHelper:ScaleXYZ(self.freeGunBtn, Vector3(0.01,0.01,0.01), Ease.Linear, 1.1, 0, function()
        self.dayAwardBtn:SetActive(false)
        self.freeGunBtn:SetActive(true) 
        _DoTweenHelper:FadeIn(self.freeGunBtn, 0.1)
        _DoTweenHelper:ScaleXYZ(self.freeGunBtn, Vector3(1.35,1.35,1.35), Ease.Linear, 0.1, 0, function()
            _DoTweenHelper:ScaleXYZ(self.freeGunBtn, Vector3(1,1,1), Ease.Linear, 0.2, 0, nil)
            _DoTweenHelper:FadeIn(self.dayAwardBtn, 0)
            _DoTweenHelper:FadeIn(self.freeGunBtn, 0)                      
        end)
    end)
end

--免费枪支发送动画
function UIMain:playFreeGunFlyAnim(index, lv, callBack)
    self.freeGunFlyIcon.transform.localPosition = Vector3(-300, -375, 0)
    self.freeGunFlyImg.sprite = self:loadObject("atlas_gunIcon", dataConfigMgr.getFirearms(lv).icon)
    _DoTweenHelper:FadeIn(self.freeGunFlyIcon, 0.05)
    _DoTweenHelper:ScaleXYZ(self.freeGunFlyIcon, Vector3(0.5,0.5,0.5), Ease.Linear, 0.2, 0, nil)
    _DoTweenHelper:Move(self.freeGunFlyIcon, Vector3.New(self.dragItemList[index].obj.transform.localPosition.x, self.dragItemList[index].obj.transform.localPosition.y, 0), Ease.Linear, 0.2, function()
       _DoTweenHelper:FadeOut(self.freeGunFlyIcon, 0.01) 
       _DoTweenHelper:ScaleXYZ(self.freeGunFlyIcon, Vector3(0.1,0.1,0.1), Ease.Linear, 0.01, 0, nil)       
       callBack()       
    end)
end

--免费枪支按钮摇动动画
function UIMain:freeGunShakeAnim()
    _DoTweenHelper:Rotate(self.freeGunBtn, Vector3(0,0,-15), Ease.Linear, 0.08, function()
        _DoTweenHelper:Rotate(self.freeGunBtn, Vector3(0,0,0), Ease.Linear, 0.08, function()
            _DoTweenHelper:Rotate(self.freeGunBtn, Vector3(0,0,15), Ease.Linear, 0.08, function()
                _DoTweenHelper:Rotate(self.freeGunBtn, Vector3(0,0,0), Ease.Linear, 0.08, function()
                    _DoTweenHelper:Rotate(self.freeGunBtn, Vector3(0,0,0), Ease.Linear, 3, function()
                        self:freeGunShakeAnim()
                    end)
                end)
            end)
        end)
    end)
end

--感叹号动画
function UIMain:playMarkAnim()
    local x,y,z = self.markObj.transform.position.x,self.markObj.transform.position.y,self.markObj.transform.position.z
    _DoTweenHelper:ScaleXYZ(self.markObj, Vector3(1.05,1.1,1), Ease.Linear, 0.85, 0, nil)
    _DoTweenHelper:Move(self.markObj, Vector3.New(x, y, z), Ease.Linear, 0.85, function()
        _DoTweenHelper:ScaleXYZ(self.markObj, Vector3(1,1,1), Ease.Linear, 0.1, 0, nil)
        _DoTweenHelper:Move(self.markObj, Vector3.New(x, y, z), Ease.Linear, 0.1, function()
            self.markAnimNum = self.markAnimNum + 1
            self:playMarkAnim()
            if self.markAnimNum >= 3 then
                
            end
        end)
    end)
end

--扫光动画
function UIMain:saoGuangAnim()
    self.saoGuangTime = self.saoGuangTime + Time.deltaTime
    if self.saoGuangTime >= 5 then   
        self.saoGuangTime = 0
        self.saoGuangObj:SetActive(true)
        _DoTweenHelper:Move(self.saoGuangObj, Vector3.New(122, -4.8, 0), Ease.Linear, 0.7, function()
            self.saoGuangObj:SetActive(false)
            self.saoGuangObj.transform.localPosition = Vector3(-122, -4.8, 0)            
        end)
    end
end

--检测是否打开提示合成动画
function UIMain:checkMergeTips()
    self.mergeTipsTime = self.mergeTipsTime + Time.deltaTime
    if self.mergeTipsTime >= 5 and not self.isShowHandle then
        if gameDataManager.getGameLv() < 5 then
            self.mergeTipsTime = 0
            return
        end
        self.mergeTipsTime = 0
        local bag = gameDataManager.getAllBagData()
        local maxLv, grid = 0, {}
        for i = 1,#bag do
            for j = i + 1,#bag do
                if bag[i] and bag[j] and bag[i].level ~= 0 and bag[j].level ~= 0 and bag[i].level == bag[j].level then
                    if maxLv < bag[i].level and bag[i].level == bag[j].level and bag[i].level < _globalCfg.maxGunLv and bag[j].level < _globalCfg.maxGunLv then
                        maxLv = bag[i].level
                        grid[1] = bag[i].gridId
                        grid[2] = bag[j].gridId 
                    end
                end
            end
        end
        if grid[1] and grid[2] then
            self.isShowHandle = true                       
            self.startPosId = grid[1]
            self.endPosId = grid[2]
            local objStart,objEnd = self.dragItemList[self.startPosId].obj, self.dragItemList[self.endPosId].obj 
            self.mergeTipsHandle.transform.localPosition = objStart.transform.localPosition
--            self.mergeTipsHandle:SetActive(true)
            grid = {}
        end
    end
end

--显示手指合成的动画
function UIMain:showMergeTipsAnim()
    if self.isShowHandle then   
        self.showMergeTipsTime = self.showMergeTipsTime + Time.deltaTime
        if self.showMergeTipsTime > 2.3 and self.startPosId then
            self.showMergeTipsTime = 0         
            local objStart,objEnd = self.dragItemList[self.startPosId].obj, self.dragItemList[self.endPosId].obj 
            if self.fingerTweenMove ~= nil then
                self.fingerTweenMove:Kill()
            end
            if self.fingerTweenStop ~= nil then
                self.fingerTweenStop:Kill()
            end    
            self.mergeTipsHandle.transform.localPosition = objStart.transform.localPosition
            self.mergeTipsHandle:SetActive(true)
            local distance = Vector3.Distance(objStart.transform.localPosition,objEnd.transform.localPosition)
            self.fingerTweenMove = _DoTweenHelper:Move(self.mergeTipsHandle, Vector3.New(objEnd.transform.localPosition.x, objEnd.transform.localPosition.y, 0), Ease.Linear, distance / 620 * 1.2, function()
                self.fingerTweenStop = _DoTweenHelper:Move(self.mergeTipsHandle, Vector3.New(objEnd.transform.localPosition.x, objEnd.transform.localPosition.y, 0), Ease.Linear, 0.7, function()
                    self.mergeTipsHandle:SetActive(false)
                end)
            end)
        end
    end
end

--隐藏手指提示合成动画
function UIMain:hideMergeTipsAnim()
    self.isShowHandle = false
    self.mergeTipsHandle:SetActive(false)
    self.mergeTipsTime = 0
    self.startPosId = nil
    self.endPosId = nil  
end

--获得普通或黄金宝箱
function UIMain:getGunBox()
    self.showBoxTime = self.showBoxTime + Time.deltaTime
    if self.isGetBox and self.showBoxTime > _globalCfg.gunBoxCdTime then
        self.showBoxTime = 0
        local pos = gameDataManager.bagIsFull()
        if pos then   
            local box = 2
            if not sdkMgr:getVideoPointIsUseUp(6) then
                box = math.random() > _globalCfg.goldGunBoxPro and 1 or 2
            end                     
            if self.existGoldBoxPos then
                box = 2
            end               
            if box == 1 then
                self.goldBoxImg.transform.localPosition = Vector3(self.dragItemList[pos].obj.transform.localPosition.x, self.dragItemList[pos].obj.transform.localPosition.y - 63, 0)
                self:showBoxAnim(self.goldBoxImg, function()
                    self:boxAnim(self.goldBoxImg, 4)
                end)                  
                self.existGoldBoxPos = pos
                gameDataManager.setBagDataById(pos, 99999)
            else
                self.gunBoxImg.transform.localPosition = Vector3(self.dragItemList[pos].obj.transform.localPosition.x, self.dragItemList[pos].obj.transform.localPosition.y - 63, 0)
                self:showBoxAnim(self.gunBoxImg,function()
                    self:boxAnim(self.gunBoxImg, 1)
                end)                
                self.isOpenOrdinaryBox = true
                self.ordinaryBox = pos
                gameDataManager.setBagDataById(pos, 99999)
            end
        else
            self.showBoxTime = 0
        end
    end

    if self.isOpenOrdinaryBox then
        self.ordinaryBoxTime = self.ordinaryBoxTime + Time.deltaTime
        if self.ordinaryBoxTime >= 5 and self.gunBoxImg.transform.gameObject.activeSelf then                                   
            self.ordinaryBoxTime = 0
            self.isOpenOrdinaryBox = false
            self:onBoxBtn() 
        end
    end
end

--宝箱出现时动画
function UIMain:showBoxAnim(item,callBack)
    _DoTweenHelper:ScaleXYZ(item, Vector3(0.01, 0.01, 0.01), Ease.Linear, 0, 0, function()
        item:SetActive(true)
        _DoTweenHelper:ScaleXYZ(item, Vector3(1.1, 1.1, 1.1), Ease.Linear, 0.1, 0, function()
            _DoTweenHelper:ScaleXYZ(item, Vector3(1, 1, 1), Ease.Linear, 0.1, 0, function()
                callBack()
            end)
        end)
    end)
end

--宝箱停放时动画
function UIMain:boxAnim(item,time)
    if item.activeSelf then
        _DoTweenHelper:ScaleXYZ(item, Vector3(1, 0.85, 1), Ease.Linear, 0.1, 0, function()
            _DoTweenHelper:ScaleXYZ(item, Vector3(1, 1, 1), Ease.Linear, 0.1, 0, function()
                _DoTweenHelper:ScaleXYZ(item, Vector3(1, 1, 1), Ease.Linear, time, 0, function()
                    self:boxAnim(item,time)
                end)   
            end)    
        end)
    end
end

--点击普通宝箱
function UIMain:onBoxBtn()  
    local gunLv = gameDataManager.getMaxGunLv()
    local lv = 1    
    local index = _gameTools.randomAward(_globalCfg.ordinaryBoxPro)
    local tmp = _globalCfg.ordinaryBoxPro[index][2]
    self.gunBoxImg:SetActive(false)
    self:blockBoomAnim(self.ordinaryBox)
    self.isOpenOrdinaryBox = false
    local lv = gunLv - tmp >= 1 and  gunLv - tmp or 1 
    gameDataManager.setBagDataById(self.ordinaryBox, 0)
    self:addFirearmsToGrid(self.ordinaryBox,lv)
    self.ordinaryBox = nil        
end

--方块爆炸的动画
function UIMain:blockBoomAnim(index)
    local item = self.dragItemList[index]
    local uiInfo = uiMgr:getUI(_UI.FloatTips)
    for i = 1,7 do
        uiInfo:showBlockFly(item.bg.transform) 
    end
end

--点击黄金宝箱
function UIMain:onGoldBoxBtn()  
    self.goldBoxImg:SetActive(false) 
    uiMgr:openUI(_UI.GoldBox)
end

--刷新显示黄金宝箱
function UIMain:refreshShowGoldBox()
    local pos = gameDataManager.getGoldBoxPos()
    if pos ~= 0 then
        self.existGoldBoxPos = pos
        self.goldBoxImg.transform.localPosition = Vector3(self.dragItemList[pos].obj.transform.localPosition.x, self.dragItemList[pos].obj.transform.localPosition.y - 63, 0)
        self:showBoxAnim(self.goldBoxImg, function()
            self:boxAnim(self.goldBoxImg, 4)
        end)  
    end
end

function UIMain:gunBoxInit()
    gameDataManager.setBagDataById(self.existGoldBoxPos, 0)
    self.showBoxTime = 0
    self.isGetBox = true
    self.existGoldBoxPos = nil
end

--刷新每秒产出显示
function UIMain:refreshPruductPerSec()
    local num = gameDataManager.getProductPerSec()
    self.perSecondEarningText.text = _gameTools.convertNumberToLabelString(num) .."/"..dataConfigMgr.getLanguage(1012)
end

--刷新玩家游戏界面的金钱和钻石
function UIMain:refreshPanelMoney()
    self.totalGoldText.text = _gameTools.convertNumberToLabelString(gameDataManager.getGold())
    self.totalDiamondText.text = gameDataManager.getDiamond()
end

--刷新玩家游戏界面购买枪械信息
function UIMain:refreshPanelGunData()
    local gunLv = gameDataManager.getCurGunLv()
    self.gunLvText.text = gunLv
    self.buyGunPriceText.text = _gameTools.convertNumberToLabelString(gameDataManager.calExpendGoldNum(gunLv))
    self.buyGunIcon.sprite = self:loadObject("atlas_gunIcon", dataConfigMgr.getFirearms(gunLv).icon)
end

--刷新玩家游戏界面的体力和关卡信息
function UIMain:refreshPanelGameData()
    local gameLv = gameDataManager.getGameLv()
    self.currentGameLvText.text = string.format(dataConfigMgr.getLanguage(1017), gameLv)     --"第"..gameLv.."关"
    local vigorNum = gameDataManager.getVigor()
    self.vigorNumText.gameObject:SetActive(false)
    self.vigorTimeText.gameObject:SetActive(false)
    if vigorNum <= 0 then 
        self.vigorTimeText.gameObject:SetActive(true)      
    else
        self.vigorNumText.gameObject:SetActive(true)
        if vigorNum > 10 then
            self.vigorNumText.text = "<color=#20E500>"..vigorNum.."</color>/10"
        else
            self.vigorNumText.text = vigorNum.."/10"
        end
    end
    if vigorNum < 10 then
        self.vigorTotalTime = gameDataManager.getFreeVigorTime() - os.time()
        if self.vigorTotalTime <= 0 then
            gameDataManager.setFreeVigorTime()
            self.vigorTotalTime = gameDataManager.getFreeVigorTime() - os.time()
        end                
        self.isStartVigor = true
    else
        self.isStartVigor = false
    end
end

--刷新目标任务信息
function UIMain:refreshTargetTaskData()
    self.finishTask:SetActive(false)
    self.targetTask:SetActive(false)
    local taskNum = gameDataManager.getFinishTaskNum()
    if taskNum < #self.targetTaskCfg then
        if self.targetTaskCfg[taskNum + 1].taskType == 1 then
            if gameDataManager.getMaxGunLv() >= self.targetTaskCfg[taskNum + 1].target then
                self.taskNameText.text = dataConfigMgr.getLanguage(1024)
                self.taskDiamondAward = self.targetTaskCfg[taskNum + 1].award
                self.getDiamondText.text = self.taskDiamondAward
                self.finishTask:SetActive(true)
            else
                self.taskTipsText.text = string.format(dataConfigMgr.getLanguage(1064), self.targetTaskCfg[taskNum + 1].target)--"激活"..self.targetTaskCfg[taskNum + 1].target.."级枪"
                self.taskNameText.text = dataConfigMgr.getLanguage(1067)
                self.targetTask:SetActive(true)
            end
        elseif self.targetTaskCfg[taskNum + 1].taskType == 2 then
            if gameDataManager.getGameLv() > self.targetTaskCfg[taskNum + 1].target then
                self.taskNameText.text = dataConfigMgr.getLanguage(1024)
                self.taskDiamondAward = self.targetTaskCfg[taskNum + 1].award
                self.getDiamondText.text = self.taskDiamondAward
                self.finishTask:SetActive(true)
            else
                self.taskTipsText.text = string.format(dataConfigMgr.getLanguage(1065), self.targetTaskCfg[taskNum + 1].target)--"通关"..self.targetTaskCfg[taskNum + 1].target.."关"
                self.taskNameText.text = dataConfigMgr.getLanguage(1068)
                self.targetTask:SetActive(true)
            end
        end
    end
end


--产钱表现
function UIMain:showProductMoney(args)
    local gridId = args[1]
    local moneyNum = args[2]
    local item = self.dragItemList[gridId]
    local uiInfo = uiMgr:getUI(_UI.FloatTips)

    uiInfo:showProductMoney(item.obj.transform.position, moneyNum, self.mergeRoot.transform)
    self:oneGunGetGoldAnim(item.icon.transform.gameObject)
    self:blockBoomAnim(gridId)
end

--显示卖枪引导
function UIMain:showSellGunGuide(itemObj)
    self.guideMask:SetActive(true)
    self.guideSellGunItem = itemObj
    itemObj.transform:SetParent(self.guideMask.transform)
    itemObj.transform:SetAsFirstSibling()
    self.rubbishBtn.transform:SetParent(self.guideMask.transform)
    self.rubbishBtn.transform:SetAsFirstSibling()

    local startPos = itemObj.transform.position
    local endPos = self.rubbishBtn.transform.position

    local dir = endPos - startPos
    self.sellGunFinger.transform.position = startPos
    self.sellGunFinger.transform.localScale = Vector3.one * 1.25

    if self.fingerTween ~= nil then
        self.fingerTween:Kill()
    end

    self.fingerTween = _DoTweenHelper:LoopTween(self.sellGunFinger.transform.gameObject, 0, 1.5, 1.5, 0, -1, LoopType.Restart, false, function(v)
        if v <= 0.2 then
            self.sellGunFinger.transform.position = startPos
            self.sellGunFinger.transform.localScale = Vector3.one * 1.25
        elseif v <= 0.3 then
            self.sellGunFinger.transform.localScale = Vector3.one * ((1 - (v - 0.2) / 0.1) * 0.15 + 0.85)
        elseif v <= 0.8 then
            self.sellGunFinger.transform.position = startPos + dir * (v - 0.3) / 0.5
        elseif v <= 0.9 then
            self.sellGunFinger.transform.localScale = Vector3.one * ((v - 0.8) / 0.1 * 0.4 + 0.85)
        elseif v <= 1.2 then
            
        else
            self.sellGunFinger.transform.position = startPos
            self.sellGunFinger.transform.localScale = Vector3.one * 1.25
        end
    end)
end

--卖枪提示遮罩点击
function UIMain:onGuideMaskClick()
    _gameTools.eventDot(101)
    self.guideMask:SetActive(false)
    if self.guideSellGunItem ~= nil then
        self.guideSellGunItem.transform:SetParent(self.mergeRoot.transform)
        self.guideSellGunItem.transform:SetSiblingIndex(tonumber(string.sub(self.guideSellGunItem.name, 9)) - 1)
    end
    self.rubbishBtn.transform:SetParent(self.bottomRoot.transform)
end

--region 合成代码

function UIMain:refreshAllMergeItem()
    for i = 1, 12 do
        self:refreshMergeItem(i)
    end
end

function UIMain:refreshMergeItem(gridId)
    local item = self.dragItemList[gridId]
    local data = gameDataManager.getBagDataById(gridId)
    if data == nil or data.level == 0 or data.level > 300 then
        item.icon.gameObject:SetActive(false)
        item.txtLv.gameObject:SetActive(false)
--        item.lvBg.gameObject:SetActive(false)
    else
        local cfg = dataConfigMgr.getFirearmsByLv(data.level)
        item.icon.gameObject:SetActive(true)
        item.txtLv.gameObject:SetActive(true)
--        item.lvBg.gameObject:SetActive(true)
        item.icon.sprite = self:loadObject("atlas_gunIcon", cfg.icon)
--        item.icon:SetNativeSize()
        local index = math.ceil(data.level / 10)
        local colorCfg = _globalCfg.gunLvColor[index]
        item.txtLv.color = Color(colorCfg[1],colorCfg[2],colorCfg[3],colorCfg[4])
        item.txtLv.text = data.level
    end
end

function UIMain:setMergeItemGray(gridId, isGray)
    local item = self.dragItemList[gridId]
    item.icon.color = isGray and Color.New(1, 1, 1, 0.5) or Color.New(1, 1, 1, 1)
end

function UIMain:addFirearmsToBag(gunLv , isAdd)
    local i = gameDataManager.addFirearmsToBag(gunLv)
    if i ~= nil then
        if isAdd then
            gameDataManager.addExpendGoldTimes(gunLv)
        end
        self:refreshPanelGunData()
        self:refreshMergeItem(i)
        self:playBuyEffect(i)
        return true
    else
        return false
    end
end

--添加枪到指定格子
function UIMain:addFirearmsToGrid(pos,gunLv)
    gameDataManager.addFirearmsToGrid(pos,gunLv)
    self:refreshPanelGunData()
    self:refreshMergeItem(pos)
    self:playBuyEffect(pos)
end

function UIMain:playBuyEffect(gridId)
    local item = self.dragItemList[gridId]
    _DoTweenHelper:ScaleXYZ(item.icon.gameObject, Vector3(1.2,1.2,1.2), Ease.Linear, 0.15, 0, function()
        _DoTweenHelper:ScaleXYZ(item.icon.gameObject, Vector3.one, Ease.Linear, 0.05, 0, nil)
    end)
end

function UIMain:showFlashBox(gunLv, selfId)
    for i = 1, 12 do
        local data = gameDataManager.getBagDataById(i)
        if data ~= nil and data.level == gunLv and i ~= selfId then
            self.dragItemList[i].flashBox:SetActive(true)
            self.dragItemList[i].iconLoopEffect:ReStart()
        else
            self.dragItemList[i].flashBox:SetActive(false)
            self.dragItemList[i].iconLoopEffect:Pause()
            self.dragItemList[i].icon.transform.localEulerAngles = Vector3(0,0,0)
        end
    end
end

function UIMain:showMergeEffect(gridId, level, callBack)
    local item = self.dragItemList[gridId]
    local cfg = dataConfigMgr.getFirearmsByLv(level)
    self.mergeEffectObj:SetActive(true)
    self.mergeEffectObj.transform.localPosition = item.obj.transform.localPosition
    self.mergeEffectIcon1.transform.localPosition = Vector3(-10, 0, 0)
    self.mergeEffectIcon2.transform.localPosition = Vector3(-10, 0, 0)
    self.mergeEffectIcon1.sprite = self:loadObject("atlas_gunIcon", cfg.icon)
--    self.mergeEffectIcon1:SetNativeSize()
    self.mergeEffectIcon2.sprite = self:loadObject("atlas_gunIcon", cfg.icon)
--    self.mergeEffectIcon2:SetNativeSize()
    _DoTweenHelper:Move(self.mergeEffectIcon1.gameObject, Vector3(-120,0,0), Ease.Linear, 0.2, function()
        _DoTweenHelper:Move(self.mergeEffectIcon1.gameObject, Vector3(-20,0,0), Ease.Linear, 0.1, nil)
    end)

    _DoTweenHelper:Move(self.mergeEffectIcon2.gameObject, Vector3(120,0,0), Ease.Linear, 0.2, function()
        _DoTweenHelper:Move(self.mergeEffectIcon2.gameObject, Vector3(20,0,0), Ease.Linear, 0.1, function()
            if callBack ~= nil then
                callBack()
            end
            self.mergeEffectObj:SetActive(false)
        end, false)
    end, false)
end

function UIMain:onPointerDown(go, ped)
    if ped.pointerCurrentRaycast.gameObject.name == "rubbishBtn" then
        return
    end
    self.rubbishIcon.transform.localScale = Vector3(1.2,1.2,1.2)
    local fromId = tonumber(string.sub(ped.pointerCurrentRaycast.gameObject.name, 9))
    local fromData = gameDataManager.getBagDataById(fromId)
    if fromData == nil or fromData.level == 0 or fromData.level > 9999 then
        return
    end

    if not _gameTools.isEffectiveDrag(1, fromId) then
        return
    end

    local cfg = dataConfigMgr.getFirearmsByLv(fromData.level)
    self.dragTemplateObj:SetActive(true)
    self.dragTemplateObj.transform.localPosition = Vector3((Input.mousePosition.x - Screen.width / 2) * gameDef.ResolutionScalerX, 
        (Input.mousePosition.y - Screen.height / 2) * gameDef.ResolutionScalerY + 260, 0)
    self.dragTemplateIcon.sprite = self:loadObject("atlas_gunIcon", cfg.icon)
--    self.dragTemplateIcon:SetNativeSize()

    self.dragFromId = fromId
    self:setMergeItemGray(self.dragFromId, true)
    self:showFlashBox(fromData.level, self.dragFromId)
    eventMgr:broadcastEvent(_EventType.HideMergeTipsAnim, false)
end

function UIMain:onPointerUp(go, ped)
    if self.dragFromId == nil then
        return
    end
    self.rubbishIcon.transform.localScale = Vector3(1,1,1)
    self.dragTemplateObj:SetActive(false)
    if ped.pointerCurrentRaycast.gameObject ~= nil then
        local targetName = ped.pointerCurrentRaycast.gameObject.name
        if string.find(targetName, "dragItem") then
            local grid = tonumber(string.sub(ped.pointerCurrentRaycast.gameObject.name, 9))
            if gameDataManager.getBagDataById(grid) then
                if gameDataManager.getBagDataById(grid).level > 9999 then
                    return
                end
            end
            if gameDataManager.getBagDataById(self.dragFromId) then
                if gameDataManager.getBagDataById(self.dragFromId).level > 9999 then
                    return
                end
            end
            if grid ~= self.dragFromId and _gameTools.isEffectiveDrag(2, grid) then
                local toData = gameDataManager.getBagDataById(grid)
                local fromData = gameDataManager.getBagDataById(self.dragFromId)
                if toData == nil or toData.level == 0 then
                    --交换
                    local fromLv = fromData.level
                    local fromTimer = fromData.timer
                    gameDataManager.setBagDataById(grid, fromLv, fromTimer)
                    gameDataManager.setBagDataById(self.dragFromId, 0)
                elseif toData ~= nil and toData.level ~= fromData.level then
                    --交换
                    local toLv = toData.level
                    local fromLv = fromData.level
                    local toTimer = toData.timer
                    local fromTimer = fromData.timer
                    gameDataManager.setBagDataById(grid, fromLv, fromTimer)
                    gameDataManager.setBagDataById(self.dragFromId, toLv, toTimer)
                elseif toData ~= nil and toData.level == fromData.level then
                    --合并                    
                    if toData.level == fromData.level and fromData.level >= _globalCfg.maxGunLv then
                        uiMgr:getUI(_UI.FloatTips):shwoGetAwardTipsAnim(dataConfigMgr.getLanguage(1080))
                    else 
                        local fromLv = fromData.level
                        local item = self.dragItemList[grid] 
     
                        local tempFromId = self.dragFromId
                        self.mergeBgEff:SetActive(true)
                        self.mergeBgEff.transform.localPosition = item.obj.transform.localPosition   

                        self:showMergeEffect(grid, fromLv, function()
                            gameDataManager.setBagDataById(grid, fromLv + 1)
                            self:refreshMergeItem(grid)

                            eventMgr:broadcastEvent(_EventType.GunMerge, false, { fromId = tempFromId, toId = grid, level = fromLv })

                            if fromLv + 1 > gameDataManager.getMaxGunLv() then
                                uiMgr:openUI(_UI.MergeGun,false,fromLv + 1)
                                gameDataManager.setMaxGunLv(fromLv + 1)
                                gameDataManager.setUseGunLv(fromLv + 1)
                                eventMgr:broadcastEvent(_EventType.RefreshTargetTask, false)
                            end
                        end)
                        gameDataManager.setBagDataById(self.dragFromId, 0)
                    end
                end
                self:refreshMergeItem(grid)
                self:refreshMergeItem(self.dragFromId)
            end
        elseif targetName == "rubbishBtn" then
            local cfg = dataConfigMgr.getFirearmsByLv(gameDataManager.getBagDataById(self.dragFromId).level)
            local uiInfo = uiMgr:getUI(_UI.FloatTips)
            uiInfo:showProductMoney(ped.pointerCurrentRaycast.gameObject.transform.position, math.ceil(cfg.coinPrice * 0.8), ped.pointerCurrentRaycast.gameObject.transform)
            gameDataManager.addGold(math.ceil(cfg.coinPrice * 0.8))
            gameDataManager.setBagDataById(self.dragFromId, 0)
            self:refreshMergeItem(self.dragFromId)
            eventMgr:broadcastEvent(_EventType.RefreshProductPerSec)
        end
    else

    end    
    self:setMergeItemGray(self.dragFromId, false)
    self:showFlashBox(-1)
    self.dragFromId = nil
end

function UIMain:onBeginDrag(go, ped)
--    self.dragTemplateObj:SetActive(true) 
    self.rubbishIcon.transform.localScale = Vector3(1.2,1.2,1.2)
end

function UIMain:onDrag(go, ped)
    if self.dragFromId == nil then
        return
    end

    self.dragTemplateObj.transform.localPosition = Vector3((Input.mousePosition.x - Screen.width / 2) * gameDef.ResolutionScalerX, 
        (Input.mousePosition.y - Screen.height / 2) * gameDef.ResolutionScalerY + 260, 0)
--    self.dragTemplateObj.transform.localPosition = Vector3(Input.mousePosition.x - Screen.width / 2, Input.mousePosition.y + 280 - Screen.height / 2, 0)
end

function UIMain:onEndDrag(go, ped)
    self.rubbishIcon.transform.localScale = Vector3(1,1,1)
end


--endregion

--星星飞行动画
function UIMain:playFireXxAnim()
    for i = 1,#self.fireStarsList do
        self:oneXxAnim(self.fireStarsList[i])
    end
end

--单个星星飞行动画
function UIMain:oneXxAnim(item)
    item.gameObject:SetActive(true)
    
    item.transform.localPosition = Vector3(( math.random() - 0.5) * 201, -165, 0)

    item.sprite = self:loadObject("atlas_uizhujiemian", "huoxing"..math.random(1, 4))
    item:SetNativeSize()
    item.color = Color(1,1,1,1)
    local time = math.random() * 2 + 1.2
    _DoTweenHelper:TweenColor(item.gameObject, Color(1,1,1,0.5), time, nil)
    _DoTweenHelper:Move(item.gameObject, Vector3.New(( math.random() - 0.5) * 300, 20, 0), Ease.Linear, time, function()
        item.gameObject:SetActive(false)
        self:oneXxAnim(item)
    end)
end

--播放扫光动画
--function UIMain:playLightAnima()
--    coroutine.start(function()
--        for i = 1, #self.lightList do
--            coroutine.wait(math.random() * 3)
--            self:oneLightAnima(self.lightList[i])
--        end
--    end)

--end
function UIMain:oneLightAnima(item)
    item.com.sprite = self:loadObject("atlas_uizhujiemian", "light"..math.random(1,2))
    item.com:SetNativeSize()
    item.com.color = Color(1,1,1,0.5)
    item.com.transform.localEulerAngles = Vector3(0,0,0)
    item.com.transform.localScale = Vector3(1 + math.random() * 0.5, 1, 1)
    local time = math.random() * 1.5 + 4.5

    if item.tweener1 ~= nil then
        item.tweener1:Kill()
        item.tweener1 = nil
    end

    if item.tweener2 ~= nil then
        item.tweener2:Kill()
         item.tweener2 = nil
    end

    if item.tweener3 ~= nil then
        item.tweener3:Kill()
         item.tweener3 = nil
    end

    item.tweener1 = _DoTweenHelper:TweenColor(item.com.gameObject, Color(1,1,1,0), time, function()
--        self:oneLightAnima(item)
    end)

    local zAngle = 260
    local rn = math.random()
    if rn >= self.lightDirPro then
        self.lightDirPro = self.lightDirPro + 0.2
        zAngle = 200
    else
        self.lightDirPro = self.lightDirPro - 0.2
        zAngle = 260
    end
    
    item.tweener2 = _DoTweenHelper:Rotate(item.com.gameObject, Vector3(0,0, zAngle), Ease.Linear, time * 0.9, nil)
    item.tweener3 = _DoTweenHelper:ScaleXYZ(item.com.gameObject, Vector3(item.com.transform.localScale.x * 0.5, 1, 1), Ease.Linear, time * 0.9, 0, nil)
end

function UIMain:oneLightAnima2(item)
    item.com.color = Color(1,1,1,math.random() * 0.1 + 0.1)
    local time = math.random() * 1 + 4

    if item.tweener1 ~= nil then
        item.tweener1:Kill()
        item.tweener1 = nil
    end

    item.tweener1 = _DoTweenHelper:TweenColor(item.com.gameObject, Color(1,1,1,0), time, nil)
end

function UIMain:onClear()
    _gameTools.removeUpdate(self.updateHandler)
end

return UIMain