--region 加载界面
--Date
--此文件由[BabeLua]插件自动生成
require "ui/uiBase"

UIMergeGun = Class(UIBase)

function UIMergeGun:start(lv)
    self:addClickByPath("content/closeBtn", self.onCloseBtn) 
    self:addClickByPath("content/videoBtn", self.onVideoBtn) 
    self:addClickByPath("content/getBtn", self.onGetBtn) 
    self.mergeNewGunLv = self:getCom("content/title/gunLv",_UICom.Text)
    self.mergeNewGunName = self:getCom("content/title/gunName",_UICom.Text)
--    self.mergeNewGunIcon = self:getCom("content/title/gunIcon",_UICom.Image)
    self.mergeNewGunPic = self:getCom("content/gunIcon",_UICom.Image)
    self.gunPos = self:getCom("content/bottomRoot/gunScrip/posText",_UICom.Text)
    self.gunCaliber = self:getCom("content/bottomRoot/gunScrip/sizeText",_UICom.Text)
    self.gunIntro = self:getCom("content/bottomRoot/gunScrip/text",_UICom.Text)
    self.mergeGunObj = self:getObj("content/mergeGun")
    self.leftGunIcon = self:getCom("content/mergeGun/gun1",_UICom.Image)
    self.rightGunIcon = self:getCom("content/mergeGun/gun2",_UICom.Image)
    self.gunAtkObj = self:getObj("content/bottomRoot/gunDataBg")
    self.mergeEffect = self:getObj("content/mergeEffect1")
    self.bottomRoot = self:getObj("content/bottomRoot")
    self.lightObj = self:getObj("content/light")
    self.videoBtn = self:getObj("content/videoBtn") 
    self.getBtn = self:getObj("content/getBtn") 
    self.gunIconImg = self:getCom("content/title/gunIcon",_UICom.Image)
    self.gunModel = self:getCom("content/gunRawImg",_UICom.RawImage)
    self.videoBtnText = self:getCom("content/videoBtn/num", _UICom.Text)
    self.getBtnText = self:getCom("content/getBtn/num", _UICom.Text)
    self.newGunLv = lv
    self.isStart = false
    self.isClose = false
    self.gunMaxLv = gameDataManager.getMaxGunLv()
    self:bindNewGunData()
    self:mergeGunInit()

    self.gunModel.transform.gameObject:SetActive(false)
    uiMgr:getUI(_UI.Main):refreshGunModel(self.newGunLv)
    self.gunModel.texture = uiMgr:getUI(_UI.Main).renderTexture
    uiMgr:getUI(_UI.Main):refreshGunModelPos(self.newGunLv, true)
--    self.gunModel.transform.position = Vector3(self.gunModel.transform.position.x, self.gunModel.transform.position.y * gameDef.ResolutionScalerX, self.gunModel.transform.position.z)

    self.updateHandler = _gameTools.addUpdate(self.onUpdate, self)    
end

function UIMergeGun:onCloseBtn(state)   
    uiMgr:getUI(_UI.Main):refreshGunModelPos(self.newGunLv, false)
    if dataConfigMgr.getFirearms(self.newGunLv).awardGetType == 0 then
        local diamond = dataConfigMgr.getFirearms(self.newGunLv).awardNum
        gameDataManager.addDiamond(diamond)
    end
    self:closeCommon()
end

function UIMergeGun:closeCommon()
    if not self.isClose then
        return
    end
    eventMgr:broadcastEvent(_EventType.RefreshGunModel)
    self:closeSelf()
    if dataConfigMgr.getFirearms(self.newGunLv).awardGetType == 0 then
        uiMgr:getUI(_UI.Main):playFlyAnim(2)
    end
    if gameDataManager.getUseGunLv() == 15 then
        _gameTools.checkGuide(101)
    end
    eventMgr:broadcastEvent(_EventType.RefreshGunPrice, false)
end

function UIMergeGun:mergeGunInit()
    self.bottomRoot:SetActive(false)
    self:mergeGunAnim()
    self.videoBtn:SetActive(false)
    self.getBtn:SetActive(false)
    if dataConfigMgr.getFirearms(self.newGunLv).awardGetType == 0 then
        self.getBtn:SetActive(true)
        self.getBtnText.text = dataConfigMgr.getFirearms(self.newGunLv).awardNum
    elseif dataConfigMgr.getFirearms(self.newGunLv).awardGetType == 1 then
        self.videoBtn:SetActive(true)
        self.videoBtnText.text = dataConfigMgr.getFirearms(self.newGunLv).awardNum
    end
end

function UIMergeGun:bindNewGunData()
    self.mergeNewGunLv.text = self.newGunLv
    self.mergeNewGunName.text = dataConfigMgr.getFirearms(self.newGunLv).name
--    self.mergeNewGunIcon.sprite = self:loadObject("atlas_gunIcon", dataConfigMgr.getFirearms(self.newGunLv).icon)
    self.mergeNewGunPic.transform.gameObject:SetActive(false)
    self.mergeNewGunPic.sprite = self:loadObject("atlas_gunIcon", dataConfigMgr.getFirearms(self.newGunLv).icon)
    self.gunPos.text = dataConfigMgr.getLanguage(1009)..": "..dataConfigMgr.getFirearms(self.newGunLv).from
    self.gunCaliber.text = dataConfigMgr.getLanguage(1010)..": "..dataConfigMgr.getFirearms(self.newGunLv).diam
    self.gunIntro.text = dataConfigMgr.getLanguage(1011)..": "..dataConfigMgr.getFirearms(self.newGunLv).desc

    local gunType = dataConfigMgr.getFirearms(self.newGunLv).type
    local gunIcon = "buqiang"
    if gunType == 1 then
        gunIcon = "shouqiang"
    elseif gunType == 2 then
        gunIcon = "chongfengqiang"
    elseif gunType == 3 then
        gunIcon = "buqiang"
    elseif gunType == 4 then
        gunIcon = "jiqiang"
    elseif gunType == 5 then
        gunIcon = "jujiqiang"
    end

--    self.renderTexture = RenderTexture.New(600, 400, 0)
--    self.modelCamera.targetTexture = self.renderTexture

    

    self.gunIconImg.sprite = self:loadObject("atlas_uiqiangxiejiehuan", gunIcon)
    self.gunIconImg:SetNativeSize()

    local index = self.newGunLv
    for i = 1,self.gunAtkObj.transform.childCount do 
        local data = {}  
        if i == 1 then  
            data["atk"] = dataConfigMgr.getFirearms(index).atk
            data["bar"] = gameDataManager.calDamageRatio(index) 
        elseif i == 2 then
            data["atk"] = dataConfigMgr.getFirearms(index).speed.."/"..dataConfigMgr.getLanguage(1016)
            data["bar"] = gameDataManager.calAtkSpeed(index)  
        elseif i == 3 then
            data["atk"] = dataConfigMgr.getFirearms(index).stability.."%"
            data["bar"] = gameDataManager.calStabilize(index)  
        elseif i == 4 then
            data["atk"] = dataConfigMgr.getFirearms(index).force
            data["bar"] = gameDataManager.calRecoil(index)  
        elseif i == 5 then            
            data["atk"] = dataConfigMgr.getFirearms(index).clipSize
            data["bar"] = gameDataManager.calMagazieSize(index)              
        end
        if i == 1 then
            data["name"] = dataConfigMgr.getLanguage(1004)
        elseif i == 2 then
            data["name"] = dataConfigMgr.getLanguage(1007)
        elseif i == 3 then
            data["name"] = dataConfigMgr.getLanguage(1008)
        elseif i == 4 then
            data["name"] = dataConfigMgr.getLanguage(1005)
        elseif i == 5 then
            data["name"] = dataConfigMgr.getLanguage(1006)
        end
        self:bindOneGunAtkData(self.gunAtkObj.transform:GetChild(i - 1),data)
    end
end

--绑定一支枪的攻击信息
function UIMergeGun:bindOneGunAtkData(item,data)    
    local atkBar = self:getCom("bg/bar",_UICom.Image,item)
    local atkVal = self:getCom("garde",_UICom.Text,item)
    local name = self:getCom("name",_UICom.Text,item)
    atkVal.text = data.atk
    atkBar.fillAmount = data.bar
    name.text = data.name
end

--两支枪合成动画
function UIMergeGun:mergeGunAnim()
    self.mergeGunObj:SetActive(true)
    self.leftGunIcon.sprite = self:loadObject("atlas_gunIcon", dataConfigMgr.getFirearms(self.newGunLv - 1).icon)
    self.rightGunIcon.sprite = self:loadObject("atlas_gunIcon", dataConfigMgr.getFirearms(self.newGunLv - 1).icon)
    _DoTweenHelper:Move(self.leftGunIcon.transform.gameObject, Vector3.New(-250,0,0), Ease.Linear, 0.2, function()
        _DoTweenHelper:Move(self.leftGunIcon.transform.gameObject, Vector3.New(-100,0,0), Ease.Linear, 0.12, function()
            _DoTweenHelper:Move(self.leftGunIcon.transform.gameObject, Vector3.New(0,0,0), Ease.Linear, 0.12, nil)
        end)
    end)

    _DoTweenHelper:Move(self.rightGunIcon.transform.gameObject, Vector3.New(250,0,0), Ease.Linear, 0.2, function()
        _DoTweenHelper:Move(self.rightGunIcon.transform.gameObject, Vector3.New(100,0,0), Ease.Linear, 0.12, function()
            self.mergeEffect:SetActive(true)
             _DoTweenHelper:Move(self.rightGunIcon.transform.gameObject, Vector3.New(0,0,0), Ease.Linear, 0.12, function()
                self.mergeGunObj:SetActive(false)
--                self.mergeNewGunPic.transform.gameObject:SetActive(true)
                self.gunModel.transform.gameObject:SetActive(true)
                self.isStart = true
                _DoTweenHelper:ScaleXYZ(self.lightObj, Vector3(0.5,0.5,0.5), Ease.Linear, 0.25, 0, nil)
                _DoTweenHelper:ScaleXYZ(self.mergeNewGunPic.transform.gameObject, Vector3(0.5,0.5,0.5), Ease.Linear, 0.25, 0, function()
                    _DoTweenHelper:ScaleXYZ(self.lightObj, Vector3(1,1,1), Ease.Linear, 0.25, 0, nil)
                    _DoTweenHelper:ScaleXYZ(self.mergeNewGunPic.transform.gameObject, Vector3(1,1,1), Ease.Linear, 0.25, 0, function()
                        self.bottomRoot:SetActive(true)
                        self.isClose = true
                    end)
                end)
            end)
        end)
    end)
end

function UIMergeGun:onUpdate()
    if self.isStart then
        self.lightObj.transform:Rotate(-Vector3.forward * 1)
    end
end

--点击视频按钮领取额外钻石
function UIMergeGun:onVideoBtn()
    local opts = {}
    opts.unitId = 26
    opts.objectTable = self
    opts.callBack = self.onVideoCallBack
    sdkMgr:showAd(opts)
end

function UIMergeGun:onVideoCallBack(result)
    if result then
        self:closeCommon()
        local diamond = dataConfigMgr.getFirearms(self.newGunLv).awardNum
        gameDataManager.addDiamond(diamond)
        uiMgr:getUI(_UI.Main):playFlyAnim(2)
    end
end

--点击领取按钮领取额外钻石
function UIMergeGun:onGetBtn()
    self:closeCommon()
    local diamond = dataConfigMgr.getFirearms(self.newGunLv).awardNum
    gameDataManager.addDiamond(diamond)
end

function UIMergeGun:onClear()
    _gameTools.removeUpdate(self.updateHandler)
end

return UIMergeGun

--endregion