--region 加载界面
--Date
--此文件由[BabeLua]插件自动生成
require "ui/uiBase"

UISwappedGun = Class(UIBase)

function UISwappedGun:ctor()

end

function UISwappedGun:start()
    self:addClickByPath("content/topRoot/title/returnBtn", self.onCloseBtn) 
    self.currentGunName = self:getCom("content/topRoot/title/gunName",_UICom.Text)
    self.currentGunLv = self:getCom("content/topRoot/title/gunLv",_UICom.Text)
    self.currentGunIcon = self:getCom("content/topRoot/title/gunIcon",_UICom.Image)
    self.currentGunNation = self:getCom("content/bottomRoot/gunScrip/posText",_UICom.Text)
    self.currentGunSize = self:getCom("content/bottomRoot/gunScrip/sizeText",_UICom.Text)
    self.currentGunDatum = self:getCom("content/bottomRoot/gunScrip/text",_UICom.Text)
    self.gunDamgeObj = self:getObj("content/bottomRoot/gunDataBg")
    self.gunUnlockObj = self:getObj("content/centerRoot/gunState/unlock")
    self.gunUnlockObjText = self:getCom("content/centerRoot/gunState/unlock/text",_UICom.Text)
    self.gunLockObj = self:getObj("content/centerRoot/gunState/lock")
    self.gunLockObjText = self:getCom("content/centerRoot/gunState/lock/text",_UICom.Text)
    self.gunUsingObj = self:getObj("content/centerRoot/gunState/using")
    self.gunUsingObjText = self:getCom("content/centerRoot/gunState/using/text",_UICom.Text)
    self.gunAtkObj = self:getObj("content/bottomRoot/gunDataBg")
    self.leftArrows = self:getObj("content/centerRoot/left")
    self.rightArrows = self:getObj("content/centerRoot/right")
    self.gunPos = self:getCom("content/bottomRoot/gunScrip/posText",_UICom.Text)
    self.gunCaliber = self:getCom("content/bottomRoot/gunScrip/sizeText",_UICom.Text)
    self.gunIntro = self:getCom("content/bottomRoot/gunScrip/text",_UICom.Text)
--    self.gunBg = self:getObj("content/centerRoot/gunBg")
    self.centerRoot = self:getObj("content")
    self.lightOne = self:getObj("content/centerRoot/light1")
    self.lightTwo = self:getObj("content/centerRoot/light2")
    self.xxObj = self:getObj("content/centerRoot/xx")
    self:addClickByPath("content/centerRoot/gunState/unlock", self.onUseGunBtnClick)

    self.selectGunList = self:getCom("content/centerRoot/list",_UICom.UIList)
    self.selectGunObj = self:getObj("content/centerRoot/list")
    self.selectGunContent = self:getObj("content/centerRoot/list/View/Content")    
    self.selectGunList:setProxy(self, "onItemShow", self.onItemShow)
    self.selectScrollRect = self:getCom("content/centerRoot/list/View",_UICom.ScrollRect)
    self.selectContentNum = 0

    self.gunCfg = dataConfigMgr.getFirearmsTab()
    self.gunCfgLength = #self.gunCfg

    self.currentUseGunIndex = gameDataManager.getUseGunLv()
    self.gunMaxLv = gameDataManager.getMaxGunLv()
    
    self.imgArr = {}
    self.imgArr2 = {}
    self.contentChildArr = {}
    for i = 1,self.leftArrows.transform.childCount do
        self.imgArr[i] = self:getCom("arrows"..(i - 1),_UICom.Image,self.leftArrows)
        self.imgArr2[i] = self:getCom("arrows"..(i - 1),_UICom.Image,self.rightArrows)
    end

    self:swappendGunInit()

    self:refreshCurrentGunData(self.currentUseGunIndex)
    for i = 1,#self.contentChildArr do 
        local item = self.contentChildArr[i]
        if i == 2 then
--            item.gameObject:GetComponent(_UICom.RectTransform).sizeDelta = Vector2(322,174)
            item.transform.localScale = Vector3(1.4, 1.4, 1.4)
        else
            item.transform.localScale = Vector3(1, 1, 1)
        end
    end
    self.updateHandler = _gameTools.addUpdate(self.onUpdate, self)        
end

function UISwappedGun:onCloseBtn()
    eventMgr:broadcastEvent(_EventType.RefreshGunModel)
    self:closeSelf()
end

---初始化
function UISwappedGun:swappendGunInit()
    self.colorA = {0.7,0.5,0.3,0.9}
    self.arrowsTime = 0
    self.arrowsSpeed = 0.25
    self.stopTime = 0.5
    self.isStop = false
    self.perOpacity = 20
    self.addTimes = 0
    self.posIndex = 1
    self.addIndex = 0
    self.isStartSelect = false
    self.firstCome = true
    self.isStartArrowAnim = true
    self:bindSelectGunData()

    local dis = (self.currentUseGunIndex - 1) * 350
    local pos = Vector3(dis,0,0)
    self.selectGunList:slidToPos(pos,nil,0.01)
    self:playLightAnim()
    self:playXxAnim()
end


--刷新选中枪的所有信息
function UISwappedGun:refreshCurrentGunData(index)
    local currentGunCfg = dataConfigMgr.getFirearms(index)
    self.gunUnlockObj:SetActive(false)
    self.gunLockObj:SetActive(false)
    self.gunUsingObj:SetActive(false)
    
    self.leftArrows:SetActive(true)
    self.rightArrows:SetActive(true)
    if self.currentUseGunIndex == 1 then
        self.leftArrows:SetActive(false)
    elseif self.currentUseGunIndex == _globalCfg.maxGunLv then
        self.rightArrows:SetActive(false)
    end


    if(index > self.gunMaxLv) then --未解锁的
        self.gunLockObj:SetActive(true)
        self.gunLockObjText.text = dataConfigMgr.getLanguage(1003)
    else
        if index == self.currentUseGunIndex then  --当前使用
            self.gunUsingObj:SetActive(true)
            self.gunUsingObjText.text = dataConfigMgr.getLanguage(1001)
        else
            --已经解锁
            self.gunUnlockObj:SetActive(true)
            self.gunUnlockObjText.text = dataConfigMgr.getLanguage(1002)
        end
    end

    self.currentGunLv.text = index
    self.currentGunName.text = currentGunCfg.name
    
    if index > self.gunMaxLv then
        self.gunPos.text = "???"
        self.gunCaliber.text = "???"
        self.gunIntro.text = "???"
    else
        self.gunPos.text = dataConfigMgr.getLanguage(1009)..": "..dataConfigMgr.getFirearms(index).from
        self.gunCaliber.text = dataConfigMgr.getLanguage(1010)..": "..dataConfigMgr.getFirearms(index).diam
        self.gunIntro.text = dataConfigMgr.getLanguage(1011)..": "..dataConfigMgr.getFirearms(index).desc
    end

    local gunType = dataConfigMgr.getFirearms(index).type
    local gunIcon = "buqiang"
    if gunType == 1 then
        gunIcon = "shouqiang"
    elseif gunType == 2 then
        gunIcon = "chongfengqiang"
    elseif gunType == 3 then
        gunIcon = "buqiang"
    elseif gunType == 4 then
        gunIcon = "jiqiang"
    elseif gunType == 5 then
        gunIcon = "jujiqiang"
    end
    self.currentGunIcon.sprite = self:loadObject("atlas_uiqiangxiejiehuan", gunIcon)
    self.currentGunIcon:SetNativeSize()

    --枪的攻击属性值
    for i = 1,self.gunAtkObj.transform.childCount do
        local data = {}
        if index > self.gunMaxLv then
            data["tatio"] = "???"
            data["val"] = "???"
            data["tatio"] = 0
        else             
            if i == 1 then  
                data["val"] = dataConfigMgr.getFirearms(index).atk
                data["tatio"] = gameDataManager.calDamageRatio(index) 
            elseif i == 2 then
                data["val"] = dataConfigMgr.getFirearms(index).force
                data["tatio"] = gameDataManager.calRecoil(index)  
            elseif i == 3 then
                data["val"] = dataConfigMgr.getFirearms(index).clipSize
                data["tatio"] = gameDataManager.calMagazieSize(index)  
            elseif i == 4 then
                data["val"] = dataConfigMgr.getFirearms(index).speed.."/"..dataConfigMgr.getLanguage(1016)
                data["tatio"] = gameDataManager.calAtkSpeed(index)  
            elseif i == 5 then
                data["val"] = dataConfigMgr.getFirearms(index).stability.."%"
                data["tatio"] = gameDataManager.calStabilize(index)  
            end
        end

        if i == 1 then
            data["name"] = dataConfigMgr.getLanguage(1004)
        elseif i == 2 then
            data["name"] = dataConfigMgr.getLanguage(1005)
        elseif i == 3 then
            data["name"] = dataConfigMgr.getLanguage(1006)
        elseif i == 4 then
            data["name"] = dataConfigMgr.getLanguage(1007)
        elseif i == 5 then
            data["name"] = dataConfigMgr.getLanguage(1008)
        end
        self:bindOneGunAtkData(self.gunAtkObj.transform:GetChild(i - 1),data)
    end
    self.selectContentNum = self.selectGunContent.transform.childCount
    local tmpIndex = 1
    for i = 2,self.selectContentNum do
        self.contentChildArr[tmpIndex] = self.selectGunContent.transform:GetChild(i - 1)
        tmpIndex = tmpIndex + 1
    end

    self.leftArrows:SetActive(true)
    self.rightArrows:SetActive(true)
    if index == 1 then
        self.leftArrows:SetActive(false)
    elseif index == _globalCfg.maxGunLv then
        self.rightArrows:SetActive(false)      
    end
end

--点击使用选中的枪
function UISwappedGun:onUseGunBtnClick()
    self.gunUnlockObj:SetActive(false)
    self.gunLockObj:SetActive(false)
    self.gunUsingObj:SetActive(true)
    gameDataManager.setUseGunLv(self.curSelectGun)
    uiMgr:getUI(_UI.FloatTips):shwoGetAwardTipsAnim(dataConfigMgr.getLanguage(1050))
end

--绑定一支枪的攻击信息
function UISwappedGun:bindOneGunAtkData(item,data)    
    local atkBar = self:getCom("bg/bar",_UICom.Image,item)
    local atkVal = self:getCom("garde",_UICom.Text,item)
    local name = self:getCom("name",_UICom.Text,item)

    atkVal.text = data.val
    atkBar.fillAmount = data.tatio
    name.text = data.name
end

function UISwappedGun:onUpdate()
    self:setArrowsOpacity()
    self:selectGunAnimation()
end


--选枪灯光动画
function UISwappedGun:playLightAnim()
    _DoTweenHelper:Rotate(self.lightOne, Vector3(0,0,30), Ease.Linear, 3, function()
        _DoTweenHelper:Rotate(self.lightOne, Vector3(0,0,0), Ease.Linear, 3, function()
        
        end)
    end)
    _DoTweenHelper:Rotate(self.lightTwo, Vector3(0,180,30), Ease.Linear, 3, function()
        _DoTweenHelper:Rotate(self.lightTwo, Vector3(0,180,0), Ease.Linear, 3, function()
            self:playLightAnim()
        end)
    end)
end

--星星飞行动画
function UISwappedGun:playXxAnim()
    for i = 1,self.xxObj.transform.childCount do
        self:oneXxAnim(self.xxObj.transform:GetChild(i - 1))
    end
end

--单个星星飞行动画
function UISwappedGun:oneXxAnim(item)
    item.gameObject:SetActive(true)
    item.localPosition = Vector3(( math.random() - 0.5) * 201, -165, 0)
    _DoTweenHelper:Move(item.gameObject, Vector3.New(( math.random() - 0.5) * 501, 150, 0), Ease.Linear, math.random() * 2 + 1.2, function()
        item.gameObject:SetActive(false)
        self:oneXxAnim(item)
    end)
end


function UISwappedGun:setArrowsOpacity()
    if self.isStartArrowAnim then
        self.arrowsTime = self.arrowsTime + Time.deltaTime
        if self.arrowsTime >= self.arrowsSpeed then  
            if self.addIndex >= 4 then
                self.addIndex = 0
                self.isStop = true
            end
            if self.arrowsTime >= self.stopTime then
                self.isStop = false
            end
            if not self.isStop then
                for i = 1, #self.imgArr do
                    self.imgArr[i].color = Color(1,1,1,self.colorA[((i  - 1 + self.addIndex) % 4 + 1) ])
                    self.imgArr2[i].color = Color(1,1,1,self.colorA[((i  - 1 + self.addIndex) % 4 + 1)]) 
                end
                self.addIndex = self.addIndex + 1                  
                self.arrowsTime = 0
            end
        end
    end
end

function UISwappedGun:bindSelectGunData()
    self.selectGunList:clear()
    for i = 1,self.gunCfgLength + 2 do
        local data = {}
        if i == 1 or i == self.gunCfgLength + 2 then
            data["icon"] = ""
        else
            data["icon"] = self.gunCfg[i - 1].icon
            if i - 1 > self.gunMaxLv then 
                data["opacity"] = 0
            else
                data["opacity"] = 1
            end
        end

        local item = self.selectGunList:addItem(data)
        self.selectGunList[i] = item  
    end    
    self.selectGunList:refresh()
end

--玩家选择枪的动画
function UISwappedGun:selectGunAnimation()
    if(Input.GetMouseButtonDown(0)) then
        self.isStartSelect = false
    end

    if(Input.GetMouseButtonUp(0)) then
        self.isStartSelect = true
    end

    if math.abs(self.selectScrollRect.velocity.x) > 0 then
        local add = 100
        if self.selectScrollRect.velocity.x < -200 then
            add = -100
        end
        local nameIndex = 1
        local itemIndex = 1
        local minDis = 999999
        local tmpa = 0
        local scaleA = 0
        local tmp = 0

        for i = 1,#self.contentChildArr do      
            local item = self.contentChildArr[i]  
            local pos = self.centerRoot.transform:InverseTransformPoint(item.position)  
            tmp = math.abs( math.abs( math.floor( pos.x + 160)))
            if tmp < minDis then
                nameIndex = tonumber(string.sub(self.contentChildArr[i].name,5))
                minDis = tmp               
                itemIndex = nameIndex
                if nameIndex == nil then
                    nameIndex = 1
                    itemIndex = 1
                end
            end
            if nameIndex >= _globalCfg.maxGunLv then
                nameIndex = _globalCfg.maxGunLv
                itemIndex = _globalCfg.maxGunLv
            end
            if nameIndex <= 1 then
                nameIndex = 1
                itemIndex = 1
            end
            tmpa = math.abs(1 - tmp / 720)
            scaleA = math.abs(1.4 - tmp / 360 * 0.4)
            tmpa = tmpa > 1 and 1 or tmpa
            local item = self.contentChildArr[i]:GetComponent(_UICom.Image)
            item.color = Color(item.color.r,item.color.g,item.color.b,tmpa)
            item.transform.localScale = Vector3(scaleA, scaleA, scaleA)
        end

        if self.isStartSelect and math.abs(self.selectScrollRect.velocity.x) <= 400 then
            local dis = (nameIndex - 1) * 350  
            local pos = Vector3(dis,0,0)
            self.curSelectGun = nameIndex

             for i = 1,#self.contentChildArr do 
                local item = self.contentChildArr[i]
                item.transform.localScale = Vector3(1,1,1)
                local tmp = tonumber(string.sub(self.contentChildArr[i].name,5))
                if tmp == itemIndex then
                    item.transform.localScale = Vector3(1.4,1.4,1.4)
                else
                    item.transform.localScale = Vector3(1, 1, 1)
                end
            end
            self:refreshCurrentGunData(nameIndex)
            self.selectGunList:slidToPos(pos)
            self.isStartSelect = false        
        end
    end
end

function UISwappedGun:onItemShow(item,data)
    local img = item.go:GetComponent(_UICom.Image)
    if data.icon == "" then
        item.go:SetActive(false)     
    else
        img.sprite = self:loadObject("atlas_gunIcon", data.icon)
        img.color = Color(data.opacity,data.opacity,data.opacity,1)
    end    
end

function UISwappedGun:onClear()
    _gameTools.removeUpdate(self.updateHandler)
end

return UISwappedGun

--endregion