--region 武器控制
--Edward
--Date
--此文件由[BabeLua]插件自动生成

require "common/class"

Weapon = Class()

function Weapon:ctor()
    
end

function Weapon:init(gunId, gunObj)
    self.gunId = gunId
    self.gunCfg = dataConfigMgr.getFirearms(gunId)    
    self.object = gunObj
    self.trans = self.object.transform
    self.object:SetActive(false)
    self.object:SetActive(true)
    self.animator2 = self.trans.parent:Find("player"):GetComponent("Animator")
    self.trans.localScale = Vector3.New(0.004,0.004,0.004)
    local tempBone = nil

    if self.gunCfg.type == 1 then
        tempBone = self.object.transform:Find("QiangE_bone")
        self.trans.localPosition = Vector3.New(0.1, -2.09, 0.05)
        self.trans.localEulerAngles = Vector3.New(0.53, 6.52, 3.94)
        self.animator2.transform.localPosition = Vector3.New(0.1, -2.09, 0.05)
        self.animator2.transform.localEulerAngles = Vector3.New(0.53, 6.52, 3.94)
        self.gunMaterial = self.object.transform:Find("QiangE_M"):GetComponent("SkinnedMeshRenderer")
        self.gunMaterial.sharedMaterials[0].shader = UnityEngine.Shader.Find("MatCap/Bumped/Textured Multiply")
    elseif self.gunCfg.type == 2 then
        tempBone = self.object.transform:Find("QiangA_bone")
        self.trans.localPosition = Vector3.New(0.05, -2.07, 0.15)
        self.trans.localEulerAngles = Vector3.New(0.53, 6.52, 3.94)
        self.animator2.transform.localPosition = Vector3.New(0.05, -2.07, 0.15)
        self.animator2.transform.localEulerAngles = Vector3.New(0.53, 6.52, 3.94)
        self.gunMaterial = self.object.transform:Find("QiangA_M"):GetComponent("SkinnedMeshRenderer")
        self.gunMaterial.sharedMaterials[0].shader = UnityEngine.Shader.Find("MatCap/Bumped/Textured Multiply")
    elseif self.gunCfg.type == 3 then
        tempBone = self.object.transform:Find("QiangB_bone")
        self.trans.localPosition = Vector3.New(0.05, -2.02, -0.16)
        self.trans.localEulerAngles = Vector3.New(0.53, 6.52, 3.94)
        self.animator2.transform.localPosition = Vector3.New(0.05, -2.02, -0.16)
        self.animator2.transform.localEulerAngles =  Vector3.New(0.53, 6.52, 3.94)
        self.gunMaterial = self.object.transform:Find("QiangB_M"):GetComponent("SkinnedMeshRenderer")
        self.gunMaterial.sharedMaterials[0].shader = UnityEngine.Shader.Find("MatCap/Bumped/Textured Multiply")
    elseif self.gunCfg.type == 4 then
        tempBone = self.object.transform:Find("QiangC_bone")
        self.trans.localPosition = Vector3.New(0.045, -2.084, -0.008)
        self.trans.localEulerAngles = Vector3.New(0.53, 6.52, 3.94)
        self.animator2.transform.localPosition = Vector3.New(0.045, -2.084, -0.008)
        self.animator2.transform.localEulerAngles =  Vector3.New(0.53, 6.52, 3.94)
        self.gunMaterial = self.object.transform:Find("QiangC_M"):GetComponent("SkinnedMeshRenderer")
        self.gunMaterial.sharedMaterials[0].shader = UnityEngine.Shader.Find("MatCap/Bumped/Textured Multiply")
    elseif self.gunCfg.type == 5 then
        tempBone = self.object.transform:Find("QiangD_bone")
        self.trans.localPosition = Vector3.New(0.045, -2.084, -0.008)
        self.trans.localEulerAngles = Vector3.New(0.53, 6.52, 3.94)
        self.animator2.transform.localPosition = Vector3.New(0.045, -2.084, -0.008)
        self.animator2.transform.localEulerAngles =  Vector3.New(0.53, 6.52, 3.94)
        self.gunMaterial = self.object.transform:Find("QiangD_M"):GetComponent("SkinnedMeshRenderer")
        self.gunMaterial.sharedMaterials[0].shader = UnityEngine.Shader.Find("MatCap/Bumped/Textured Multiply")
    end
    self.muzzlePos = tempBone:Find("muzzlePos")
    self.animator = self.object:GetComponent("Animator")
    self.eggShellPos = tempBone:Find("eggShellPos")

--    self.muzzleFlashObj = battleMgr:getModelObject("muzzleFlash3")
    if self.gunCfg.type == 2 or self.gunCfg.type == 3 or self.gunCfg.type == 4 then
        self.muzzleFlashObj = battleMgr:getModelObject("muzzleFlash3")
        self.muzzleFlashObj.transform:SetParent(self.muzzlePos.transform)
        self.muzzleFlashObj.transform.localPosition = Vector3(0, 0,1.154)
        self.muzzleFlashObj.transform.localEulerAngles = Vector3(-180,0,0)
    else
        self.muzzleFlashObj = battleMgr:getModelObject("muzzleFlash7")
        self.muzzleFlashObj.transform:SetParent(self.muzzlePos.transform)
        self.muzzleFlashObj.transform.localPosition = Vector3(0,0,0)
        self.muzzleFlashObj.transform.localEulerAngles = Vector3(0,180,0)
    end
    self.muzzleFlashObj.transform.localScale = Vector3(1,1,1)
    self.muzzleFlashObj:SetActive(false)

    
    self.shootTime = 0
    self.bulletNum = self.gunCfg.clipSize
    battleMgr:getUIBattle():refreshBulletNum(self.bulletNum, self.gunCfg.clipSize)
    self.isReloadClip = false
    self:reloadClip()
end

function Weapon:fire(ray, hitInfo)
    self:checkBulletNum()

    if self.isReloadClip then return end

    if self.shootTime + 60 / self.gunCfg.speed > Time.time then
        return
    end

    battleMgr:getUIBattle():shakeCrossHair()
    battleMgr.player:addForce(self.gunCfg.force)
    self.shootTime = Time.time
    self.bulletNum = self.bulletNum - 1

    if hitInfo ~= nil then
        local hitPos = battleMgr:getHitPos(hitInfo.collider.gameObject.name)
        if hitPos > 0 then
            local hitRandom = math.random()
            local stability = self.gunCfg.stability
            if hitPos == 1 then
                stability = stability + (self.gunCfg.extraStability or 0)
            end
            if hitRandom <= stability then
                local enemyId = string.sub(hitInfo.collider.gameObject.name, 10, string.len(hitInfo.collider.gameObject.name))
                if hitPos == 1 then
                    battleMgr:hitEnemy(tonumber(enemyId), self.gunCfg.atk * 3, true)
                elseif hitPos == 2 then
                    battleMgr:hitEnemy(tonumber(enemyId), self.gunCfg.atk, false)
                end
            else
                local offsetXDir = math.random() > 0.5 and 1 or -1
                local offsetYDir = math.random() > 0.5 and 1 or -1
                local offsetZDir = math.random() > 0.5 and 1 or -1
                local bulletDir = (hitInfo.collider.gameObject.transform.position + Vector3(offsetXDir * math.random() * 0.1 + offsetXDir * 0.2, offsetYDir * math.random() * 0.2 + 1.4, 
                offsetZDir * math.random() * 0.1 + offsetZDir * 0.2) - self.muzzlePos.position).normalized
                self:instBulletFire(self.muzzlePos.position, bulletDir)
            end
        else
            self:instBulletFire(self.muzzlePos.position, ray.direction)
        end
        self:instHitEffect(hitInfo.point, hitInfo.normal)
    else
        self:instBulletFire(self.muzzlePos.position, ray.direction)
    end

    if self.muzzleFlashObj ~= nil then
        self.muzzleFlashObj:SetActive(false)
        if self.gunCfg.type == 2 or self.gunCfg.type == 3 or self.gunCfg.type == 4 then
            self.muzzleFlashObj.transform.localEulerAngles = Vector3(0,0,math.random(0, 360))
        end
        self.muzzleFlashObj:SetActive(true)
    end

    audioMgr:playSound(self.gunCfg.shootAudio)

    CGameUtil.CallNativeFunction("com.example.wreandroidutils.WreAndroidUtils", "SetVibrator", "50")

    local zidanObj = battleMgr:getFreeZidan()
    zidanObj:init(self.eggShellPos.position, -self.eggShellPos.transform.right)

    battleMgr:getUIBattle():refreshBulletNum(self.bulletNum, self.gunCfg.clipSize)
    self.animator.speed = 0.8 / (60 / self.gunCfg.speed)
    self.animator2.speed = 0.8 / (60 / self.gunCfg.speed)
    self:playAnima("shoot"..self.gunCfg.type)
end

function Weapon:instHitEffect(pos, forward)
    local hitEffect = battleMgr:getHitEffect()
    hitEffect.transform.position = pos
    hitEffect.transform.forward = forward
    GameObject.Destroy(hitEffect, 3)
end

function Weapon:instBulletFire(pos, dir)
    local bulletFire = battleMgr:getFreeBulletFire()
    bulletFire:init(pos, dir)
end

function Weapon:onUpdate()
    self:checkBulletNum()
end

function Weapon:checkBulletNum()
    if self.isReloadClip then return end
    
    if self.bulletNum <= 0 then
        self:reloadClip()
    end
end

function Weapon:manualReloadClip()
    if self.isReloadClip then return false end

    if self.bulletNum >= self.gunCfg.clipSize then
        return false
    end

    self:reloadClip()
end

function Weapon:reloadClip()
    self.isReloadClip = true
    
    battleMgr.player:checkIsSniper(false)
    --音效
    audioMgr:playSound(self.gunCfg.reloadAudio)

    battleMgr:getUIBattle():reloadAnimInit(self.gunCfg.reloadTime)
    --动画
    self.animator.speed = 2 / self.gunCfg.reloadTime
    self.animator2.speed = 2 / self.gunCfg.reloadTime
    self:playAnima("reload"..self.gunCfg.type)
--    self.animator:Play("reload3")
    
    self.bulletNum = self.gunCfg.clipSize

    battleMgr:getUIBattle():refreshBulletNum(self.bulletNum, self.gunCfg.clipSize)
    coroutine.start(function()
        coroutine.wait(self.gunCfg.reloadTime)
        self.isReloadClip = false
        if battleMgr.player.isTouched then
            battleMgr.player:checkIsSniper(battleMgr.player.isTouched)
        end
    end)
end

function Weapon:playAnima(animaName)
    self.animator:Play(animaName)
    self.animator2:Play(animaName)
end


--endregion
